26162 = MAME/MESS/UME 0.151x1

Revision: 26162
Author: dhaywood
Date: 14 November 2013 20:36:35
Message:
I think it basically works now, so marked it as such, need to test more tho so might end up unmarking it again later.
----
Modified : /trunk/src/mame/drivers/pgm.c
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26159
Author: curtcode
Date: 14 November 2013 17:16:05
Message:
(MESS) Added nscsi versions of the SCSI callback device and Xebec S1410. [Curt Coder]
----
Modified : /trunk/src/emu/machine/machine.mak
Added : /trunk/src/emu/machine/nscsi_cb.c
Added : /trunk/src/emu/machine/nscsi_cb.h
Modified : /trunk/src/emu/machine/nscsi_hd.c
Modified : /trunk/src/emu/machine/nscsi_hd.h
Added : /trunk/src/emu/machine/nscsi_s1410.c
Added : /trunk/src/emu/machine/nscsi_s1410.h

Revision: 26155
Author: rbelmont
Date: 14 November 2013 03:58:10
Message:
SDL: fix non-Qt non-Windows build (MT #5364) [R. Belmont]


----
Modified : /trunk/src/osd/sdl/sdl.mak

Revision: 26152
Author: curtcode
Date: 13 November 2013 22:42:10
Message:
(MESS) abc800: The hard disk units have only one floppy drive. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/abc890.c
Modified : /trunk/src/emu/bus/abcbus/abcbus.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.h

Revision: 26151
Author: dhaywood
Date: 13 November 2013 20:59:57
Message:
more sensible stack location to prevent crashes / glitches (nw)
----
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26150
Author: curtcode
Date: 13 November 2013 20:45:50
Message:
(MESS) abc800: Added slot devices for the ABC 830/832/834/838 floppy disk drives, and the ABC 850/852/856 hard disk drives. [Curt Coder]
----
Modified : /trunk/src/emu/bus/abcbus/abc890.c
Modified : /trunk/src/emu/bus/abcbus/abc890.h
Modified : /trunk/src/emu/bus/abcbus/abcbus.c
Modified : /trunk/src/emu/bus/abcbus/abcbus.h
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.h
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/mess/drivers/abc80x.c

Revision: 26149
Author: curtcode
Date: 13 November 2013 20:43:40
Message:
Added a new macro MCFG_DEVICE_CARD_DEFAULT_BIOS, which can be used in the machine config to set the default BIOS for a slot card device. [Curt Coder]
----
Modified : /trunk/src/emu/device.c
Modified : /trunk/src/emu/device.h
Modified : /trunk/src/emu/dislot.c
Modified : /trunk/src/emu/dislot.h
Modified : /trunk/src/emu/mconfig.c
Modified : /trunk/src/emu/romload.c

Revision: 26148
Author: curtcode
Date: 13 November 2013 20:40:52
Message:
Fixed make depend on OS X. (nw)
----
Modified : /trunk/src/build/makedep.c

Revision: 26147
Author: dhaywood
Date: 13 November 2013 20:31:26
Message:
set descriptions were swapped around (nw)
----
Modified : /trunk/src/mame/drivers/pgm.c

Revision: 26146
Author: wilbertp
Date: 13 November 2013 20:28:20
Message:
t11.c: Modernized cpu core. (nw)
----
Modified : /trunk/src/emu/cpu/t11/t11.c
Modified : /trunk/src/emu/cpu/t11/t11.h
Modified : /trunk/src/emu/cpu/t11/t11ops.c
Modified : /trunk/src/emu/cpu/t11/t11table.c
Modified : /trunk/src/mame/drivers/atarisy2.c
Modified : /trunk/src/mame/drivers/galgame.c
Modified : /trunk/src/mess/drivers/bk.c
Modified : /trunk/src/mess/drivers/dct11em.c
Modified : /trunk/src/mess/drivers/mk85.c
Modified : /trunk/src/mess/drivers/mk90.c
Modified : /trunk/src/mess/drivers/ms0515.c
Modified : /trunk/src/mess/drivers/pdp11.c
Modified : /trunk/src/mess/drivers/terak.c
Modified : /trunk/src/mess/drivers/uknc.c
Modified : /trunk/src/mess/drivers/vax11.c

Revision: 26145
Author: dhaywood
Date: 13 November 2013 20:08:21
Message:
document another finding (nw)
----
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26144
Author: dhaywood
Date: 13 November 2013 19:22:36
Message:
changed so that the intro runs, but it can no longer be started.. but at least this is a more proper flow.. (nw)
----
Modified : /trunk/src/mame/drivers/pgm.c
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26142
Author: wilbertp
Date: 13 November 2013 19:07:50
Message:
sprite.h: In sprite_device, when no shrared memory region can be found don't save state
  the m_buffer member; assume the owner will take care of save stating the spriteram itself.
  This fixes MT05292. (nw)


----
Modified : /trunk/src/emu/sprite.h

Revision: 26141
Author: hap
Date: 13 November 2013 18:46:02
Message:
swap tinv2650-sia2650 parent-clone relationship
----
Modified : /trunk/src/mame/drivers/zac2650.c

Revision: 26140
Author: smf
Date: 13 November 2013 18:37:42
Message:
I think I deserve equal blame after the amount of work I did on this (nw)
----
Modified : /trunk/src/tools/srcclean.c

Revision: 26133
Author: smf
Date: 13 November 2013 01:54:09
Message:
more changes, area51 stop atari logo flickering (nw)
----
Modified : /trunk/src/emu/machine/idehd.c

Revision: 26132
Author: smf
Date: 13 November 2013 01:46:20
Message:
tweak timings again (nw)
----
Modified : /trunk/src/emu/machine/idehd.c

Revision: 26131
Author: smf
Date: 13 November 2013 00:52:38
Message:
Tweaks to the idehd timing, which are still based on complete fiction. [smf]
----
Modified : /trunk/src/emu/machine/idehd.c

Revision: 26130
Author: alexjack
Date: 13 November 2013 00:16:44
Message:
CPS-1 update [Artemio Urbina]:

* Redumped CDU_22A.7F in dinou to match real
  pcb, verified on two different sources

----
Modified : /trunk/src/mame/drivers/cps1.c

Revision: 26128
Author: dhaywood
Date: 12 November 2013 21:31:59
Message:
comment out a line (nw)
----
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26126
Author: curtcode
Date: 12 November 2013 20:40:11
Message:
(MESS) abc800: Fixed hard disk geometry. (nw)
----
Modified : /trunk/hash/abc800_hdd.xml
Modified : /trunk/src/emu/bus/abcbus/lux21056.c

Revision: 26124
Author: dhaywood
Date: 12 November 2013 20:12:37
Message:
improve notes (nw)
----
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26122
Author: dhaywood
Date: 12 November 2013 18:52:59
Message:
idle skip for theglad .. still don't understand current behavior tho, code is very similar in places to killbldp.. (nw)
----
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26121
Author: curtcode
Date: 12 November 2013 15:00:38
Message:
(MESS) abc800: Emulated the ABC 850 (10MB), ABC 852 (20MB), and ABC 856 (60MB) hard disk drives. [Curt Coder]
----
Added : /trunk/hash/abc800_hdd.xml
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/emu/machine/t10sbc.h
Modified : /trunk/src/mess/drivers/abc80x.c
Modified : /trunk/src/mess/machine/s1410.c

Revision: 26119
Author: hap
Date: 12 November 2013 10:49:47
Message:
small update
----
Modified : /trunk/src/mame/drivers/lbeach.c

Revision: 26118
Author: dhaywood
Date: 12 November 2013 10:30:22
Message:
more fake code.. (nw)
----
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26116
Author: wilbertp
Date: 12 November 2013 09:55:58
Message:
Fixed debug build; someonee please review these changes. (nw)
----
Modified : /trunk/src/emu/netlist/nl_base.h

Revision: 26115
Author: dhaywood
Date: 12 November 2013 08:42:56
Message:
trying to fake it a bit (nw)
----
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26112
Author: dhaywood
Date: 12 November 2013 04:19:05
Message:
added partial dump of internal rom from IGS game 'The Gladiator' - it's missing the first 0x188 bytes which are execute-only, unfortunately the code jumps to them in multiple places and it appears to be important so it still doesn't work (nw)
----
Modified : /trunk/src/mame/drivers/pgm.c
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26111
Author: couriers
Date: 11 November 2013 22:32:12
Message:
Forgot to commit these changes. 
----
Modified : /trunk/src/emu/machine/netlist.h

Revision: 26110
Author: couriers
Date: 11 November 2013 21:52:08
Message:
Netlist: Added some documentation to nl_base.h. Cleared namespace - all classes now have prefix netlist_.
----
Modified : /trunk/src/emu/netlist/devices/net_lib.c
Modified : /trunk/src/emu/netlist/devices/net_lib.h
Modified : /trunk/src/emu/netlist/devices/nld_signal.h
Modified : /trunk/src/emu/netlist/devices/nld_system.c
Modified : /trunk/src/emu/netlist/devices/nld_system.h
Modified : /trunk/src/emu/netlist/nl_base.c
Modified : /trunk/src/emu/netlist/nl_base.h
Modified : /trunk/src/emu/netlist/nl_config.h
Modified : /trunk/src/emu/netlist/nl_parser.c
Modified : /trunk/src/emu/netlist/nl_setup.c
Modified : /trunk/src/emu/netlist/nl_setup.h
Modified : /trunk/src/mame/drivers/pong.c

Revision: 26109
Author: curtcode
Date: 11 November 2013 21:45:11
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/lux21056.c

Revision: 26108
Author: ivanva
Date: 11 November 2013 21:35:57
Message:
Modernized es5505/es5506 device. (nw)
----
Modified : /trunk/src/emu/sound/es5506.c
Modified : /trunk/src/emu/sound/es5506.h
Modified : /trunk/src/mame/audio/taito_en.c
Modified : /trunk/src/mame/drivers/itech32.c
Modified : /trunk/src/mame/drivers/macrossp.c
Modified : /trunk/src/mame/drivers/ssv.c
Modified : /trunk/src/mame/includes/ssv.h
Modified : /trunk/src/mess/drivers/esq5505.c
Modified : /trunk/src/mess/drivers/esqkt.c

Revision: 26107
Author: michaelz
Date: 11 November 2013 19:51:19
Message:
(MESS) ti99: Made READY handling safer; more cleanups. (nw)

----
Modified : /trunk/src/mess/drivers/ti99_4x.c
Modified : /trunk/src/mess/machine/ti99/videowrp.c

Revision: 26106
Author: hap
Date: 11 November 2013 18:53:55
Message:
batch vectors at the right time in queue
----
Modified : /trunk/src/osd/windows/drawd3d.c

Revision: 26105
Author: crazyc
Date: 11 November 2013 18:25:52
Message:
(mess) isbc: bit more checkpoint (nw)
----
Modified : /trunk/src/mess/drivers/isbc.c

Revision: 26104
Author: curtcode
Date: 11 November 2013 15:30:41
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.h

Revision: 26103
Author: dhaywood
Date: 11 November 2013 15:09:04
Message:
new clones
Scramble (Recreativos Franco, Spanish bootleg) [Basilio Garcia]
----
Modified : /trunk/src/mame/drivers/galaxian.c
Modified : /trunk/src/mame/mame.lst

Revision: 26102
Author: michaelz
Date: 11 November 2013 14:59:01
Message:
(MESS) ti99: Some cleanups. (nw)

----
Modified : /trunk/src/mess/drivers/ti99_4x.c

Revision: 26098
Author: tafoid
Date: 11 November 2013 01:07:34
Message:
Marked BAD_DUMP for roms which did not match label written SUM16 for the set ecap. (nw)

----
Modified : /trunk/src/mame/drivers/model3.c

Revision: 26097
Author: tafoid
Date: 11 November 2013 00:12:47
Message:
(MESS)  atari400.c - Updated palette incorporating 'CGIA D020577' and 'GTIA C014805' tech doc info, including normalized grayscale with proper color gradient.  Added phase shift values 24.7 thru 27.7 degrees in 0.5 degree increments.  Enabled phase shift 26.2 degrees as default.  Note included concerning display type impact on palettes.  [Robert Tuccitto]

(MESS) rainbow.c: display blanking implemented.  Documented TURBOW286 card and NEC V20 patch details, as well as new W5, W6, W90 jumpers. NVRAM save and recall now plays with DEC-100-B BIOS  [Bavarese]
----
Modified : /trunk/src/mess/drivers/atari400.c
Modified : /trunk/src/mess/drivers/rainbow.c

Revision: 26095
Author: curtcode
Date: 10 November 2013 22:46:07
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/lux21056.c

Revision: 26094
Author: tafoid
Date: 10 November 2013 22:27:42
Message:
Comments related to undumped Language ROMs and the effects noted, if adverse, for Lunar Lander and Destroyer. (nw)
----
Modified : /trunk/src/mame/drivers/asteroid.c
Modified : /trunk/src/mame/drivers/destroyr.c

Revision: 26093
Author: crazyc
Date: 10 November 2013 21:11:18
Message:
(mess) isbc: 7E1 (nw)
----
Modified : /trunk/src/mess/drivers/isbc.c

Revision: 26091
Author: michaelz
Date: 10 November 2013 13:47:10
Message:
ti990: Moved into ti99 subdirectory. (nw)

----
Modified : /trunk/src/mess/drivers/ti990_10.c
Modified : /trunk/src/mess/drivers/ti990_4.c
Deleted : /trunk/src/mess/machine/990_dk.c
Deleted : /trunk/src/mess/machine/990_dk.h
Deleted : /trunk/src/mess/machine/990_hd.c
Deleted : /trunk/src/mess/machine/990_hd.h
Deleted : /trunk/src/mess/machine/990_tap.c
Deleted : /trunk/src/mess/machine/990_tap.h
Added : /trunk/src/mess/machine/ti99/990_dk.c (Copy from path: /trunk/src/mess/machine/990_dk.c, Revision, 26060)
Added : /trunk/src/mess/machine/ti99/990_dk.h (Copy from path: /trunk/src/mess/machine/990_dk.h, Revision, 26060)
Added : /trunk/src/mess/machine/ti99/990_hd.c (Copy from path: /trunk/src/mess/machine/990_hd.c, Revision, 26060)
Added : /trunk/src/mess/machine/ti99/990_hd.h (Copy from path: /trunk/src/mess/machine/990_hd.h, Revision, 26060)
Added : /trunk/src/mess/machine/ti99/990_tap.c (Copy from path: /trunk/src/mess/machine/990_tap.c, Revision, 26060)
Added : /trunk/src/mess/machine/ti99/990_tap.h (Copy from path: /trunk/src/mess/machine/990_tap.h, Revision, 26060)
Added : /trunk/src/mess/machine/ti99/ti990.c (Copy from path: /trunk/src/mess/machine/ti990.c, Revision, 26060)
Added : /trunk/src/mess/machine/ti99/ti990.h (Copy from path: /trunk/src/mess/machine/ti990.h, Revision, 26060)
Deleted : /trunk/src/mess/machine/ti990.c
Deleted : /trunk/src/mess/machine/ti990.h
Modified : /trunk/src/mess/mess.mak

Revision: 26089
Author: robbbert
Date: 10 November 2013 13:28:07
Message:
(MESS) C80 : Added notes; added wave sound (nw)
----
Modified : /trunk/src/mess/drivers/c80.c

Revision: 26088
Author: robbbert
Date: 10 November 2013 12:50:16
Message:
commit old stuff that has been lying around for a while
1. romcmp - increase max number of files
2. romcmp - allow compare of any size file (not all roms are power-of-2)
3. ravens - mark as working
----
Modified : /trunk/src/mess/drivers/ravens.c
Modified : /trunk/src/tools/romcmp.c

Revision: 26086
Author: jgevarya
Date: 10 November 2013 09:21:03
Message:
nss.c: update bios rom locations and update inst rom label for smw; marked nss v3 bios as possible hack [Kiddcade, Porchy]
----
Modified : /trunk/src/mame/drivers/nss.c

Revision: 26085
Author: jgevarya
Date: 10 November 2013 09:02:56
Message:
sf.c: update prom names for Street Fighter (World, Analog buttons) set.[Porchy]
----
Modified : /trunk/src/mame/drivers/sf.c

Revision: 26084
Author: ivanva
Date: 10 November 2013 08:20:27
Message:
[MESS] New NOT WORKING system
--------------------
VTech Genius Leader 2000 [TeamE]
VTech Genius Leader 2000 Plus [TeamE]
VTech Genius Leader Notebook [TeamE]
----
Modified : /trunk/src/mess/drivers/pc2000.c
Modified : /trunk/src/mess/mess.lst

Revision: 26082
Author: crazyc
Date: 10 November 2013 04:45:41
Message:
(mess) isbc: checkpoint, isbc2861 starts to output (nw)
----
Modified : /trunk/src/mess/drivers/isbc.c

Revision: 26081
Author: rbelmont
Date: 10 November 2013 04:16:40
Message:
(MESS) New skeleton drivers: [R. Belmont]
- Ensoniq ASR-10
- Ensoniq ASR-X


----
Added : /trunk/src/mess/drivers/esqasr.c
Modified : /trunk/src/mess/mess.lst
Modified : /trunk/src/mess/mess.mak

Revision: 26080
Author: rbelmont
Date: 10 November 2013 03:58:22
Message:
(MESS) esqkt: Cleaned up driver and use real es5510 device. [R. Belmont]


----
Modified : /trunk/src/mess/drivers/esqkt.c

Revision: 26079
Author: couriers
Date: 09 November 2013 21:42:46
Message:
Netlist: checkpoint check-in. Outputs now drive nets and inputs access nets. Moved more stuff to net_terminal.
----
Modified : /trunk/src/emu/netlist/devices/net_lib.c
Added : /trunk/src/emu/netlist/devices/nld_system.c
Modified : /trunk/src/emu/netlist/devices/nld_system.h
Modified : /trunk/src/emu/netlist/netlist.mak
Modified : /trunk/src/emu/netlist/nl_base.c
Modified : /trunk/src/emu/netlist/nl_base.h
Modified : /trunk/src/emu/netlist/nl_setup.c

Revision: 26078
Author: curtcode
Date: 09 November 2013 21:29:31
Message:
(MESS) pet_hdd.xml: Added hard disk software list with preformatted images for the Commodore D9060 and D9090 hard drives. [Curt Coder]
----
Added : /trunk/hash/pet_hdd.xml
Modified : /trunk/src/mess/drivers/pet.c

Revision: 26077
Author: hap
Date: 09 November 2013 19:01:49
Message:
added nvram
----
Modified : /trunk/src/mame/drivers/lbeach.c

Revision: 26076
Author: philipbe
Date: 09 November 2013 18:40:46
Message:
konendev.c: Corrected CPU type (PPC403) and added some hardware notes [Phil Bennett]
----
Modified : /trunk/src/mame/drivers/konendev.c

Revision: 26072
Author: ivanva
Date: 09 November 2013 16:36:27
Message:
Removed anonymous timers from some drivers. (nw)
----
Modified : /trunk/src/mame/drivers/2mindril.c
Modified : /trunk/src/mame/drivers/40love.c
Modified : /trunk/src/mame/drivers/acefruit.c
Modified : /trunk/src/mame/includes/40love.h

Revision: 26067
Author: hap
Date: 09 November 2013 13:07:28
Message:
(savestate flag)
----
Modified : /trunk/src/mame/drivers/lbeach.c

Revision: 26066
Author: hap
Date: 09 November 2013 13:02:11
Message:
New game added
-----------------------
Long Beach [any, hap]

----
Added : /trunk/src/mame/drivers/lbeach.c
Modified : /trunk/src/mame/mame.lst
Modified : /trunk/src/mame/mame.mak

Revision: 26065
Author: smf
Date: 09 November 2013 12:57:54
Message:
Fix D9060 format. Reads greater than one sector were broken when using bit banging. [smf]
----
Modified : /trunk/src/emu/machine/scsihle.c

Revision: 26063
Author: ivanva
Date: 09 November 2013 06:43:52
Message:
Converted mame/machine/seicop to a device. Eventually it should be merged with emu/machine/seibu_cop. (nw)
----
Modified : /trunk/src/mame/drivers/legionna.c
Modified : /trunk/src/mame/machine/seicop.c
Modified : /trunk/src/mame/machine/seicop.h

Revision: 26062
Author: crazyc
Date: 09 November 2013 04:26:19
Message:
(mess) clean up the refresh bit, it's always the same as the 5170 (nw)
----
Modified : /trunk/src/mess/drivers/at.c
Modified : /trunk/src/mess/includes/at.h
Modified : /trunk/src/mess/machine/at.c
Modified : /trunk/src/mess/machine/southbridge.c
Modified : /trunk/src/mess/machine/southbridge.h

Revision: 26061
Author: couriers
Date: 08 November 2013 20:24:47
Message:
Netlist: remove hardcoded maximum net size. Separated and documented a couple more devices out of net_lib.c
----
Modified : /trunk/src/emu/machine/netlist.h
Modified : /trunk/src/emu/netlist/devices/net_lib.c
Modified : /trunk/src/emu/netlist/devices/net_lib.h
Modified : /trunk/src/emu/netlist/devices/nld_7420.h
Added : /trunk/src/emu/netlist/devices/nld_7425.h
Added : /trunk/src/emu/netlist/devices/nld_7427.h
Modified : /trunk/src/emu/netlist/devices/nld_signal.h
Modified : /trunk/src/emu/netlist/nl_base.c
Modified : /trunk/src/emu/netlist/nl_base.h
Modified : /trunk/src/emu/netlist/nl_config.h

Revision: 26060
Author: dhaywood
Date: 08 November 2013 16:15:22
Message:
part 4 (nw)
----
Modified : /trunk/src/mame/machine/igs025.c
Modified : /trunk/src/mame/machine/igs025.h
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs012.c
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs028.c

Revision: 26059
Author: dhaywood
Date: 08 November 2013 16:04:45
Message:
part 3 (nw)
----
Modified : /trunk/src/mame/machine/igs025.c
Modified : /trunk/src/mame/machine/igs025.h
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs012.c
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs028.c
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 26058
Author: dhaywood
Date: 08 November 2013 15:56:09
Message:
part 2 (nw)
----
Modified : /trunk/src/mame/machine/igs025.c
Modified : /trunk/src/mame/machine/igs025.h

Revision: 26057
Author: dhaywood
Date: 08 November 2013 15:45:33
Message:
pgm cleanups part 1 (nw)
----
Modified : /trunk/src/mame/drivers/pgm.c
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/machine/igs025.c
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs012.c
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs028.c

Revision: 26056
Author: miodragm
Date: 08 November 2013 14:40:26
Message:
Update some changed roms according to PinMAME (nw)
----
Modified : /trunk/src/mame/drivers/by35.c
Modified : /trunk/src/mame/drivers/spectra.c

Revision: 26054
Author: miodragm
Date: 08 November 2013 13:02:54
Message:
according to pinmame atari_s1 use same rom as s2 for sound (nw)
----
Modified : /trunk/src/mame/drivers/atari_s1.c

Revision: 26053
Author: miodragm
Date: 08 November 2013 12:21:25
Message:
rename future world roms according to pinmame (nw)
----
Modified : /trunk/src/mame/drivers/zac_1.c

Revision: 26050
Author: smf
Date: 08 November 2013 09:52:07
Message:
fixed compilation (nw)
----
Modified : /trunk/src/emu/sound/speaker.c

Revision: 26048
Author: rbelmont
Date: 08 November 2013 03:03:18
Message:
Added a simple DC blocker filter to the speaker toggle device [R. Belmont]


----
Modified : /trunk/src/emu/sound/speaker.c
Modified : /trunk/src/emu/sound/speaker.h

Revision: 26045
Author: smf
Date: 07 November 2013 20:54:04
Message:
fixed mametesters 05357 [smf]
----
Modified : /trunk/src/emu/machine/idehd.c

Revision: 26044
Author: ivanva
Date: 07 November 2013 17:50:23
Message:
Device-ified asic65.c. (nw)
----
Modified : /trunk/src/mame/drivers/atarig42.c
Modified : /trunk/src/mame/drivers/harddriv.c
Modified : /trunk/src/mame/includes/atarig42.h
Modified : /trunk/src/mame/includes/harddriv.h
Modified : /trunk/src/mame/machine/asic65.c
Modified : /trunk/src/mame/machine/asic65.h
Modified : /trunk/src/mame/machine/harddriv.c

Revision: 26043
Author: ivanva
Date: 07 November 2013 17:38:50
Message:
Moved gorf and wow sound handlers into the driver state. Updated some commented code (nw)
----
Modified : /trunk/src/mame/audio/gorf.c
Modified : /trunk/src/mame/audio/wow.c
Modified : /trunk/src/mame/drivers/astrocde.c
Modified : /trunk/src/mame/drivers/galaxian.c
Modified : /trunk/src/mame/drivers/m72.c
Modified : /trunk/src/mame/drivers/pturn.c
Modified : /trunk/src/mame/includes/astrocde.h

Revision: 26042
Author: jkerk
Date: 07 November 2013 15:27:06
Message:
Remove GAME_NO_SOUND flag from ibmpc.c, these drivers have working PC speaker sound (nw)
----
Modified : /trunk/src/mess/drivers/ibmpc.c

Revision: 26041
Author: curtcode
Date: 07 November 2013 14:43:20
Message:
Remove unused file. (nw)
----
Deleted : /trunk/hash/v1050.xml

Revision: 26040
Author: curtcode
Date: 07 November 2013 14:42:21
Message:
(MESS) SASI WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/emu/bus/ieee488/d9060.c
Modified : /trunk/src/emu/bus/ieee488/d9060.h

Revision: 26039
Author: curtcode
Date: 07 November 2013 14:30:10
Message:
(MESS) v1050_hdd.xml: Added hard disk software list with preformatted 5MB and 10MB CP/M images. [Curt Coder]
----
Added : /trunk/hash/v1050_flop.xml
Added : /trunk/hash/v1050_hdd.xml
Modified : /trunk/src/mess/drivers/v1050.c

Revision: 26038
Author: curtcode
Date: 07 November 2013 14:25:28
Message:
scsi: Fixed hard disk images with 256-byte sectors. [Curt Coder]
----
Modified : /trunk/src/emu/machine/t10sbc.c

Revision: 26031
Author: rbelmont
Date: 07 November 2013 03:59:42
Message:
(MESS) Apple II: Support for Applied Engineering Super Music Synthesizer [R. Belmont]

----
Modified : /trunk/src/emu/bus/a2bus/a2alfam2.c
Modified : /trunk/src/emu/bus/a2bus/a2alfam2.h
Modified : /trunk/src/mess/drivers/apple2.c

Revision: 26030
Author: philipbe
Date: 06 November 2013 23:55:34
Message:
05356: offroadc: Off Road Challenge and clones have wrong color in some textures [Phil Bennett]
04947: offroadc: Missing selection indicator within service mode [Phil Bennett]

midvunit.c - Fixed polygon pixel color selection [Phil Bennett]
----
Modified : /trunk/src/mame/video/midvunit.c

Revision: 26029
Author: angelosa
Date: 06 November 2013 22:49:49
Message:
Empty cycle, commented out
----
Modified : /trunk/src/emu/video/mb_vcu.c

Revision: 26028
Author: angelosa
Date: 06 November 2013 22:20:30
Message:
Fix for MVSC by Peter Ferrie
----
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 26027
Author: angelosa
Date: 06 November 2013 19:26:08
Message:
Read-back for paletteram
----
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/emu/video/mb_vcu.h

Revision: 26026
Author: couriers
Date: 06 November 2013 18:50:36
Message:
Netlist: Moved 7420 into its own header file, optimzed some memory ops
----
Modified : /trunk/src/emu/netlist/devices/net_lib.h
Modified : /trunk/src/emu/netlist/devices/nld_7410.h
Added : /trunk/src/emu/netlist/devices/nld_7420.h
Modified : /trunk/src/emu/netlist/nl_base.c
Modified : /trunk/src/emu/netlist/nl_base.h

Revision: 26025
Author: couriers
Date: 06 November 2013 18:43:49
Message:
Fixed compile error (GCC 4.6) in nes_defs.h
----
Modified : /trunk/src/emu/sound/nes_defs.h

Revision: 26024
Author: angelosa
Date: 06 November 2013 18:33:02
Message:
Extra space for i/o in VCU
----
Modified : /trunk/src/emu/sound/nes_apu.c
Modified : /trunk/src/emu/sound/nes_defs.h
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/emu/video/mb_vcu.h

Revision: 26021
Author: ivanva
Date: 06 November 2013 17:12:07
Message:
harddriv: moved common_inits in the driver state. (nw)
----
Modified : /trunk/src/mame/audio/harddriv.c
Modified : /trunk/src/mame/drivers/harddriv.c
Modified : /trunk/src/mame/includes/harddriv.h

Revision: 26020
Author: ivanva
Date: 06 November 2013 15:44:00
Message:
Fix compiling problems. (nw)
----
Modified : /trunk/src/emu/sound/nes_apu.c
Modified : /trunk/src/emu/sound/nes_defs.h

Revision: 26019
Author: jkerk
Date: 06 November 2013 15:43:03
Message:
Fix another emscripten compile error (nw)
----
Modified : /trunk/src/emu/ioport.h

Revision: 26018
Author: miodragm
Date: 06 November 2013 12:41:13
Message:
Moved pc_keyboard into emu/bus (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/pc_kbd
Added : /trunk/src/emu/bus/pc_kbd/ec1841.c
Added : /trunk/src/emu/bus/pc_kbd/ec1841.h
Added : /trunk/src/emu/bus/pc_kbd/keyboards.c
Added : /trunk/src/emu/bus/pc_kbd/keyboards.h
Added : /trunk/src/emu/bus/pc_kbd/keytro.c
Added : /trunk/src/emu/bus/pc_kbd/keytro.h
Added : /trunk/src/emu/bus/pc_kbd/msnat.c
Added : /trunk/src/emu/bus/pc_kbd/msnat.h
Added : /trunk/src/emu/bus/pc_kbd/pc83.c
Added : /trunk/src/emu/bus/pc_kbd/pc83.h
Added : /trunk/src/emu/bus/pc_kbd/pc_kbdc.c
Added : /trunk/src/emu/bus/pc_kbd/pc_kbdc.h
Added : /trunk/src/emu/bus/pc_kbd/pcat84.c
Added : /trunk/src/emu/bus/pc_kbd/pcat84.h
Added : /trunk/src/emu/bus/pc_kbd/pcxt83.c
Added : /trunk/src/emu/bus/pc_kbd/pcxt83.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/at.c
Modified : /trunk/src/mess/drivers/ct486.c
Modified : /trunk/src/mess/drivers/genpc.c
Modified : /trunk/src/mess/drivers/ibmpc.c
Modified : /trunk/src/mess/drivers/pc.c
Modified : /trunk/src/mess/includes/at.h
Modified : /trunk/src/mess/includes/genpc.h
Modified : /trunk/src/mess/includes/pc.h
Deleted : /trunk/src/mess/machine/kb_ec1841.c
Deleted : /trunk/src/mess/machine/kb_ec1841.h
Deleted : /trunk/src/mess/machine/kb_keytro.c
Deleted : /trunk/src/mess/machine/kb_keytro.h
Deleted : /trunk/src/mess/machine/kb_msnat.c
Deleted : /trunk/src/mess/machine/kb_msnat.h
Deleted : /trunk/src/mess/machine/kb_pc83.c
Deleted : /trunk/src/mess/machine/kb_pc83.h
Deleted : /trunk/src/mess/machine/kb_pcat84.c
Deleted : /trunk/src/mess/machine/kb_pcat84.h
Deleted : /trunk/src/mess/machine/kb_pcxt83.c
Deleted : /trunk/src/mess/machine/kb_pcxt83.h
Deleted : /trunk/src/mess/machine/pc_kbdc.c
Deleted : /trunk/src/mess/machine/pc_kbdc.h
Deleted : /trunk/src/mess/machine/pc_keyboards.c
Deleted : /trunk/src/mess/machine/pc_keyboards.h
Modified : /trunk/src/mess/machine/southbridge.c
Modified : /trunk/src/mess/machine/southbridge.h
Modified : /trunk/src/mess/mess.mak

Revision: 26017
Author: robbbert
Date: 06 November 2013 10:00:23
Message:
(MESS) ravens : added round leds
----
Modified : /trunk/src/mess/drivers/ravens.c
Modified : /trunk/src/mess/layout/ravens.lay

Revision: 26016
Author: jgevarya
Date: 06 November 2013 04:11:26
Message:
vsnes.c: Verified second half roms for vs baseball usa e-1 set, fix one mislabeled rom [Dead_Body]
----
Modified : /trunk/src/mame/drivers/vsnes.c

Revision: 26015
Author: ivanva
Date: 05 November 2013 20:53:13
Message:
Fix for MT05355 . (nw)
----
Modified : /trunk/src/mame/drivers/cps1.c

Revision: 26014
Author: couriers
Date: 05 November 2013 20:49:25
Message:
Netlist: moved 7402 and 7410 into separate files
----
Modified : /trunk/src/emu/netlist/devices/net_lib.c
Modified : /trunk/src/emu/netlist/devices/net_lib.h
Deleted : /trunk/src/emu/netlist/devices/nld_7400.c
Added : /trunk/src/emu/netlist/devices/nld_7402.h
Added : /trunk/src/emu/netlist/devices/nld_7410.h

Revision: 26013
Author: ivanva
Date: 05 November 2013 20:38:57
Message:
Modernize nes_apu device. (nw)
Needs merging with N2A03 cpu core.
----
Modified : /trunk/src/emu/sound/nes_apu.c
Modified : /trunk/src/emu/sound/nes_apu.h
Modified : /trunk/src/emu/sound/nes_defs.h
Modified : /trunk/src/emu/sound/sound.mak
Modified : /trunk/src/mame/audio/dkong.c
Modified : /trunk/src/mame/drivers/cham24.c
Modified : /trunk/src/mame/drivers/famibox.c
Modified : /trunk/src/mame/drivers/multigam.c
Modified : /trunk/src/mame/drivers/playch10.c
Modified : /trunk/src/mame/drivers/punchout.c
Modified : /trunk/src/mame/drivers/vsnes.c
Modified : /trunk/src/mame/includes/playch10.h
Modified : /trunk/src/mame/includes/vsnes.h
Modified : /trunk/src/mame/mame.mak
Modified : /trunk/src/mess/drivers/nes.c
Modified : /trunk/src/mess/includes/nes.h
Modified : /trunk/src/mess/machine/nes_mmc5.c
Modified : /trunk/src/mess/machine/nes_mmc5.h
Modified : /trunk/src/mess/mess.mak

Revision: 26012
Author: crazyc
Date: 05 November 2013 18:38:21
Message:
(mess) southbridge: make at586 fdc word [Carl]
----
Modified : /trunk/src/mess/machine/southbridge.c

Revision: 26011
Author: ivanva
Date: 05 November 2013 18:08:17
Message:
harddriv: moved handlers in the driver state. (nw)
----
Modified : /trunk/src/mame/drivers/harddriv.c
Modified : /trunk/src/mame/includes/harddriv.h
Modified : /trunk/src/mame/machine/harddriv.c
Modified : /trunk/src/mame/video/harddriv.c

Revision: 26010
Author: ivanva
Date: 05 November 2013 17:58:50
Message:
Some legacy macros cleanups. (nw)
----
Modified : /trunk/src/emu/devlegcy.h
Modified : /trunk/src/emu/drivlgcy.h
Modified : /trunk/src/emu/video/v9938.c
Modified : /trunk/src/mame/audio/dkong.c
Modified : /trunk/src/mame/drivers/asteroid.c
Modified : /trunk/src/mame/drivers/bwidow.c
Modified : /trunk/src/mame/drivers/bzone.c
Modified : /trunk/src/mame/drivers/mhavoc.c
Modified : /trunk/src/mame/drivers/omegrace.c
Modified : /trunk/src/mame/drivers/quantum.c
Modified : /trunk/src/mame/drivers/starwars.c
Modified : /trunk/src/mame/drivers/tempest.c
Modified : /trunk/src/mame/drivers/tomcat.c

Revision: 26009
Author: smf
Date: 05 November 2013 17:25:30
Message:
added machine().describe_context() to debugging code (nw)
----
Modified : /trunk/src/emu/machine/ataintf.c

Revision: 26008
Author: curtcode
Date: 05 November 2013 15:05:14
Message:
(MESS) adam_flop.xml: Fixed region size. (nw)
----
Modified : /trunk/hash/adam_flop.xml

Revision: 26007
Author: miodragm
Date: 05 November 2013 12:41:51
Message:
renamed vector to vector_device due to a name conflict with game named vector (nw)
----
Modified : /trunk/src/emu/video/vector.c

Revision: 26006
Author: robbbert
Date: 05 November 2013 12:10:10
Message:
(MESS) mbee128 : added 5 more bioses (nw)
----
Modified : /trunk/src/mess/drivers/mbee.c
Modified : /trunk/src/mess/machine/mbee.c


**********************************************************************************
26005 = MAME/MESS 0.151 - NO UME RELEASE
**********************************************************************************



Revision: 26004
Author: miodragm
Date: 05 November 2013 06:59:51
Message:
Cleanups and version bump
----
Modified : /trunk/hash/abc1600.xml
Modified : /trunk/hash/abc800.xml
Modified : /trunk/hash/c64_cart.xml
Modified : /trunk/hash/ibm5170.xml
Modified : /trunk/hash/ibm5170_cdrom.xml
Modified : /trunk/hash/megadriv.xml
Modified : /trunk/hash/nes.xml
Modified : /trunk/hash/pet_rom.xml
Modified : /trunk/src/emu/bus/a2bus/a2cffa.c
Modified : /trunk/src/emu/bus/a2bus/a2hsscsi.c
Modified : /trunk/src/emu/bus/a2bus/a2scsi.c
Modified : /trunk/src/emu/bus/abcbus/abcbus.h
Modified : /trunk/src/emu/bus/abcbus/lux10828.h
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.h
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.h
Modified : /trunk/src/emu/bus/adamnet/fdc.h
Modified : /trunk/src/emu/bus/c64/partner.c
Modified : /trunk/src/emu/bus/c64/partner.h
Modified : /trunk/src/emu/bus/c64/tdos.c
Modified : /trunk/src/emu/bus/centronics/ctronics.c
Modified : /trunk/src/emu/bus/centronics/ctronics.h
Modified : /trunk/src/emu/bus/ieee488/c2031.h
Modified : /trunk/src/emu/bus/isbx/compis_fdc.c
Modified : /trunk/src/emu/bus/isbx/compis_fdc.h
Modified : /trunk/src/emu/bus/isbx/isbx.h
Modified : /trunk/src/emu/bus/plus4/c1551.h
Modified : /trunk/src/emu/cpu/i8089/i8089.c
Modified : /trunk/src/emu/cpu/i8089/i8089.h
Modified : /trunk/src/emu/cpu/i8089/i8089_channel.c
Modified : /trunk/src/emu/cpu/i8089/i8089_channel.h
Modified : /trunk/src/emu/cpu/i8089/i8089_dasm.c
Modified : /trunk/src/emu/cpu/i8089/i8089_ops.c
Modified : /trunk/src/emu/cpu/nec/nec.c
Modified : /trunk/src/emu/cpu/nec/v25.c
Modified : /trunk/src/emu/cpu/rsp/rsp.c
Modified : /trunk/src/emu/cpu/rsp/rspdrc.c
Modified : /trunk/src/emu/cpu/saturn/saturn.c
Modified : /trunk/src/emu/cpu/scudsp/scudsp.c
Modified : /trunk/src/emu/cpu/scudsp/scudsp.h
Modified : /trunk/src/emu/cpu/sh2/sh2drc.c
Modified : /trunk/src/emu/imagedev/serial.h
Modified : /trunk/src/emu/ioport.c
Modified : /trunk/src/emu/machine/6525tpi.h
Modified : /trunk/src/emu/machine/74145.c
Modified : /trunk/src/emu/machine/74145.h
Modified : /trunk/src/emu/machine/74181.c
Modified : /trunk/src/emu/machine/er59256.c
Modified : /trunk/src/emu/machine/er59256.h
Modified : /trunk/src/emu/machine/i80130.c
Modified : /trunk/src/emu/machine/ins8154.c
Modified : /trunk/src/emu/machine/ins8154.h
Modified : /trunk/src/emu/machine/mc146818.c
Modified : /trunk/src/emu/machine/mc146818.h
Modified : /trunk/src/emu/machine/mc6846.h
Modified : /trunk/src/emu/machine/mc6854.c
Modified : /trunk/src/emu/machine/mc6854.h
Modified : /trunk/src/emu/machine/ncr5380n.c
Modified : /trunk/src/emu/machine/pd4990a.h
Modified : /trunk/src/emu/machine/ram.c
Modified : /trunk/src/emu/machine/ram.h
Modified : /trunk/src/emu/mame.c
Modified : /trunk/src/emu/netlist/devices/net_lib.c
Modified : /trunk/src/emu/netlist/devices/net_lib.h
Modified : /trunk/src/emu/netlist/devices/nld_7400.c
Modified : /trunk/src/emu/netlist/devices/nld_7400.h
Modified : /trunk/src/emu/netlist/devices/nld_signal.h
Modified : /trunk/src/emu/netlist/devices/nld_system.h
Modified : /trunk/src/emu/netlist/netlist.mak
Modified : /trunk/src/emu/netlist/nl_base.c
Modified : /trunk/src/emu/netlist/nl_base.h
Modified : /trunk/src/emu/netlist/nl_config.h
Modified : /trunk/src/emu/netlist/nl_lists.h
Modified : /trunk/src/emu/netlist/nl_setup.c
Modified : /trunk/src/emu/netlist/nl_setup.h
Modified : /trunk/src/emu/sound/2608intf.c
Modified : /trunk/src/emu/sound/s14001a.c
Modified : /trunk/src/emu/video/dl1416.c
Modified : /trunk/src/emu/video/dl1416.h
Modified : /trunk/src/emu/video/fixfreq.c
Modified : /trunk/src/emu/video/fixfreq.h
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/emu/video/mb_vcu.h
Modified : /trunk/src/emu/video/vector.c
Modified : /trunk/src/emu/video/vector.h
Modified : /trunk/src/emu/webengine.c
Modified : /trunk/src/lib/softfloat/fsincos.c
Modified : /trunk/src/lib/softfloat/softfloat.h
Modified : /trunk/src/mame/audio/n8080.c
Modified : /trunk/src/mame/audio/pleiads.c
Modified : /trunk/src/mame/audio/pleiads.h
Modified : /trunk/src/mame/audio/s11c_bg.c
Modified : /trunk/src/mame/audio/segag80r.c
Modified : /trunk/src/mame/audio/segasnd.c
Modified : /trunk/src/mame/audio/segasnd.h
Modified : /trunk/src/mame/audio/wpcsnd.c
Modified : /trunk/src/mame/drivers/8080bw.c
Modified : /trunk/src/mame/drivers/cchasm.c
Modified : /trunk/src/mame/drivers/cps1.c
Modified : /trunk/src/mame/drivers/cps2.c
Modified : /trunk/src/mame/drivers/cps3.c
Modified : /trunk/src/mame/drivers/dkong.c
Modified : /trunk/src/mame/drivers/gunpey.c
Modified : /trunk/src/mame/drivers/hideseek.c
Modified : /trunk/src/mame/drivers/igs017.c
Modified : /trunk/src/mame/drivers/jaguar.c
Modified : /trunk/src/mame/drivers/jangou.c
Modified : /trunk/src/mame/drivers/jpmsys5.c
Modified : /trunk/src/mame/drivers/lethalj.c
Modified : /trunk/src/mame/drivers/m92.c
Modified : /trunk/src/mame/drivers/mazerbla.c
Modified : /trunk/src/mame/drivers/n8080.c
Modified : /trunk/src/mame/drivers/namconb1.c
Modified : /trunk/src/mame/drivers/namcops2.c
Modified : /trunk/src/mame/drivers/neogeo.c
Modified : /trunk/src/mame/drivers/peplus.c
Modified : /trunk/src/mame/drivers/pgm.c
Modified : /trunk/src/mame/drivers/pong.c
Modified : /trunk/src/mame/drivers/s11c.c
Modified : /trunk/src/mame/drivers/scramble.c
Modified : /trunk/src/mame/drivers/sderby.c
Modified : /trunk/src/mame/drivers/segag80r.c
Modified : /trunk/src/mame/drivers/segag80v.c
Modified : /trunk/src/mame/drivers/stv.c
Modified : /trunk/src/mame/drivers/taito_f2.c
Modified : /trunk/src/mame/drivers/thepit.c
Modified : /trunk/src/mame/drivers/tumbleb.c
Modified : /trunk/src/mame/drivers/twin16.c
Modified : /trunk/src/mame/drivers/wallc.c
Modified : /trunk/src/mame/drivers/wpc_dcs.c
Modified : /trunk/src/mame/etc/template_cpu.h
Modified : /trunk/src/mame/includes/1943.h
Modified : /trunk/src/mame/includes/aztarac.h
Modified : /trunk/src/mame/includes/cchasm.h
Modified : /trunk/src/mame/includes/cinemat.h
Modified : /trunk/src/mame/includes/dkong.h
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/includes/segag80r.h
Modified : /trunk/src/mame/includes/segag80v.h
Modified : /trunk/src/mame/includes/wpc_pin.h
Modified : /trunk/src/mame/machine/igs022.c
Modified : /trunk/src/mame/machine/igs022.h
Modified : /trunk/src/mame/machine/igs025.c
Modified : /trunk/src/mame/machine/igs028.c
Modified : /trunk/src/mame/machine/igs028.h
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs022.c
Modified : /trunk/src/mame/machine/pgmprot_igs025_igs028.c
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c
Modified : /trunk/src/mame/machine/wpc.c
Modified : /trunk/src/mame/mame.lst
Modified : /trunk/src/mame/video/dkong.c
Modified : /trunk/src/mame/video/lethalj.c
Modified : /trunk/src/mame/video/n64.c
Modified : /trunk/src/mame/video/rdpbhelp.h
Modified : /trunk/src/mame/video/rdpblend.c
Modified : /trunk/src/mame/video/rdpblend.h
Modified : /trunk/src/mame/video/rdpspn16.c
Modified : /trunk/src/mame/video/rdptpipe.c
Modified : /trunk/src/mame/video/rdptpipe.h
Modified : /trunk/src/mame/video/tia.c
Modified : /trunk/src/mess/drivers/a7800.c
Modified : /trunk/src/mess/drivers/apple2.c
Modified : /trunk/src/mess/drivers/apricot.c
Modified : /trunk/src/mess/drivers/astrocde.c
Modified : /trunk/src/mess/drivers/bbc.c
Modified : /trunk/src/mess/drivers/cat.c
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/drivers/ct486.c
Modified : /trunk/src/mess/drivers/dectalk.c
Modified : /trunk/src/mess/drivers/einstein.c
Modified : /trunk/src/mess/drivers/esq5505.c
Modified : /trunk/src/mess/drivers/esqmr.c
Modified : /trunk/src/mess/drivers/ex800.c
Modified : /trunk/src/mess/drivers/hp48.c
Modified : /trunk/src/mess/drivers/ibmpc.c
Modified : /trunk/src/mess/drivers/instruct.c
Modified : /trunk/src/mess/drivers/lx800.c
Modified : /trunk/src/mess/drivers/mc10.c
Modified : /trunk/src/mess/drivers/modellot.c
Modified : /trunk/src/mess/drivers/molecular.c
Modified : /trunk/src/mess/drivers/mtx.c
Modified : /trunk/src/mess/drivers/nascom1.c
Modified : /trunk/src/mess/drivers/ng_aes.c
Modified : /trunk/src/mess/drivers/pc.c
Modified : /trunk/src/mess/drivers/pc1512.c
Modified : /trunk/src/mess/drivers/pt68k4.c
Modified : /trunk/src/mess/drivers/px4.c
Modified : /trunk/src/mess/drivers/rmnimbus.c
Modified : /trunk/src/mess/drivers/samcoupe.c
Modified : /trunk/src/mess/drivers/saturn.c
Modified : /trunk/src/mess/drivers/socrates.c
Modified : /trunk/src/mess/drivers/sym1.c
Modified : /trunk/src/mess/drivers/tsispch.c
Modified : /trunk/src/mess/drivers/vtech1.c
Modified : /trunk/src/mess/drivers/zexall.c
Modified : /trunk/src/mess/includes/apple2.h
Modified : /trunk/src/mess/includes/at.h
Modified : /trunk/src/mess/includes/bbc.h
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/includes/einstein.h
Modified : /trunk/src/mess/includes/mtx.h
Modified : /trunk/src/mess/includes/nascom1.h
Modified : /trunk/src/mess/includes/rmnimbus.h
Modified : /trunk/src/mess/includes/thomson.h
Modified : /trunk/src/mess/machine/amigacd.c
Modified : /trunk/src/mess/machine/amstrad.c
Modified : /trunk/src/mess/machine/bbc.c
Modified : /trunk/src/mess/machine/compiskb.c
Modified : /trunk/src/mess/machine/compiskb.h
Modified : /trunk/src/mess/machine/cs4031.c
Modified : /trunk/src/mess/machine/cs4031.h
Modified : /trunk/src/mess/machine/e05a03.c
Modified : /trunk/src/mess/machine/e05a03.h
Modified : /trunk/src/mess/machine/einstein.c
Modified : /trunk/src/mess/machine/epson_sio.c
Modified : /trunk/src/mess/machine/epson_sio.h
Modified : /trunk/src/mess/machine/isa_cards.c
Modified : /trunk/src/mess/machine/isa_cards.h
Modified : /trunk/src/mess/machine/kb_7007_3.h
Modified : /trunk/src/mess/machine/kb_ec1841.c
Modified : /trunk/src/mess/machine/mtx.c
Modified : /trunk/src/mess/machine/nascom1.c
Modified : /trunk/src/mess/machine/pc.c
Modified : /trunk/src/mess/machine/pf10.c
Modified : /trunk/src/mess/machine/pf10.h
Modified : /trunk/src/mess/machine/samcoupe.c
Modified : /trunk/src/mess/machine/southbridge.c
Modified : /trunk/src/mess/machine/tf20.c
Modified : /trunk/src/mess/machine/tf20.h
Modified : /trunk/src/mess/mess.lst
Modified : /trunk/src/mess/video/samcoupe.c
Modified : /trunk/src/osd/sdl/input.c
Modified : /trunk/src/osd/sdl/sdl.mak
Modified : /trunk/src/osd/sdl/sdlsync_mini.c
Modified : /trunk/src/version.c

Revision: 26003
Author: alexjack
Date: 05 November 2013 06:45:44
Message:
neogeo.c: endian fix for softlist ROM loading [Alex Jackson]
----
Modified : /trunk/src/mame/drivers/neogeo.c

Revision: 26001
Author: alexjack
Date: 05 November 2013 04:48:30
Message:
NeoGeo improvements: [Alex Jackson]
 * Cleaned up large amounts of duplicated code between the MAME and MESS (AES/NeoCD) drivers
 * Removed MVS-only ROMs and devices (SM1 ROM, SFIX ROM, upd4990a RTC, etc.) from AES/NeoCD
 * Replaced legacy NVRAM in MVS and NeoCD with NVRAM devices
 * Correctly hooked up SM1 ROM bankswitching; the BIOS sound test works now
 * Corrected VRAM size
 * Sorted the Universe BIOS versions and unified them between MAME and MESS
 * Fixed kf10thep ROM loading and decryption which was a horrible hack (and not endian safe)
 * Replaced svcplus protection hack ROM patch with a less invasive one, based on FBA
 * Started marking code and data that should be moved out into devices
 * Various other code and comment cleanups

New clones added
----------------
Kizuna Encounter - Super Tag Battle 4 Way Battle Version / Fu'un Super Tag Battle Special Version [Alex Jackson]

----
Modified : /trunk/hash/neogeo.xml
Modified : /trunk/src/mame/drivers/neogeo.c
Modified : /trunk/src/mame/drivers/neogeo.inc
Modified : /trunk/src/mame/includes/neogeo.h
Modified : /trunk/src/mame/machine/neoboot.c
Modified : /trunk/src/mame/machine/neocrypt.c
Modified : /trunk/src/mame/machine/neoprot.c
Modified : /trunk/src/mame/mame.lst
Modified : /trunk/src/mame/video/neogeo.c
Modified : /trunk/src/mess/drivers/ng_aes.c

Revision: 26000
Author: crazyc
Date: 05 November 2013 04:00:32
Message:
(mess) southbridge: greatly increase refresh line delay (nw)
--
Passes floppy controller test, still crashes
----
Modified : /trunk/src/mess/machine/southbridge.c

Revision: 25999
Author: briantro
Date: 05 November 2013 03:39:15
Message:
usgames.c: fix rom load - nw
----
Modified : /trunk/src/mame/drivers/usgames.c

Revision: 25997
Author: smf
Date: 05 November 2013 01:42:25
Message:
Fixed mametesters 05353 [smf]
----
Modified : /trunk/src/mess/machine/southbridge.c
Modified : /trunk/src/mess/machine/southbridge.h

Revision: 25996
Author: smf
Date: 05 November 2013 01:32:06
Message:
removed unnecessary #includes (nw)
----
Modified : /trunk/src/mess/machine/isa_fdc.c

Revision: 25995
Author: jgevarya
Date: 05 November 2013 01:09:30
Message:
extremely minor comment update (n/w)
----
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25994
Author: michaelz
Date: 04 November 2013 22:06:14
Message:
jubilee.c: Switched to new TMS9980 implementation and tried to bring the
driver in better shape. [Michael Zapf]

----
Modified : /trunk/src/mame/drivers/jubilee.c

Revision: 25992
Author: tafoid
Date: 04 November 2013 21:51:36
Message:
Fix for inputs wrongly changed from IPT_START1 to IPT_START.  This system has cabinet networking and no games allow two players with one machine. (nw)
----
Modified : /trunk/src/mame/drivers/namcos22.c

Revision: 25991
Author: tafoid
Date: 04 November 2013 21:37:59
Message:
tia.c - Per "Television Interface Adapter [TIA]" tech doc and "Atari VCS POP Field Service Manual" in harmony with original hardware results, updated NTSC palette to better simulate colors on a CRT display.
 
Documented phase shifts 24.7 thru 27.7 degrees in 0.5 increments.  Enabled 26.2 degrees as default being a logical choice as the system should be initially calibrated for Hue 1x and 15x (F$) to visual match (~25.7 degrees) displaying 'gold'/'goldenrod' via system's manual pot adjustment, while moderate system runtime automatically creates a higher phase shift. 
 
Results collaborate with additional tech docs (I.E. "Stella Programmer's Guide") placing 1x as 'gold', 2x as 'orange' and 15x (F$) as 'light orange' (hue between 1x and 2x).  Colors measured from midpoint of brightness scale. [Robert Tuccitto]
----
Modified : /trunk/src/mame/video/tia.c

Revision: 25990
Author: tafoid
Date: 04 November 2013 21:22:44
Message:
IPT_START changed to IPT_START1 or IPT_START2 where multiple start buttons exist.  [M*A*S*H]

----
Modified : /trunk/src/mame/drivers/cham24.c
Modified : /trunk/src/mame/drivers/cobra.c
Modified : /trunk/src/mame/drivers/cps1.c
Modified : /trunk/src/mame/drivers/namcos22.c
Modified : /trunk/src/mame/drivers/stv.c
Modified : /trunk/src/mame/drivers/taitotz.c

Revision: 25989
Author: couriers
Date: 04 November 2013 20:47:32
Message:
Split the netlist code up into functional pieces like parser, setup and execution. This looks a lot more structured now and highlighted some issue already.
----
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h
Added : /trunk/src/emu/netlist/devices
Added : /trunk/src/emu/netlist/devices/net_lib.c (Copy from path: /trunk/src/emu/netlist/net_lib.c, Revision, 25932)
Added : /trunk/src/emu/netlist/devices/net_lib.h (Copy from path: /trunk/src/emu/netlist/net_lib.h, Revision, 25932)
Added : /trunk/src/emu/netlist/devices/nld_7400.c
Added : /trunk/src/emu/netlist/devices/nld_7400.h
Added : /trunk/src/emu/netlist/devices/nld_signal.h
Added : /trunk/src/emu/netlist/devices/nld_system.h
Deleted : /trunk/src/emu/netlist/net_lib.c
Deleted : /trunk/src/emu/netlist/net_lib.h
Modified : /trunk/src/emu/netlist/netlist.mak
Added : /trunk/src/emu/netlist/nl_base.c
Added : /trunk/src/emu/netlist/nl_base.h
Added : /trunk/src/emu/netlist/nl_config.h
Added : /trunk/src/emu/netlist/nl_lists.h
Added : /trunk/src/emu/netlist/nl_parser.c
Added : /trunk/src/emu/netlist/nl_parser.h
Added : /trunk/src/emu/netlist/nl_setup.c
Added : /trunk/src/emu/netlist/nl_setup.h
Added : /trunk/src/emu/netlist/nl_time.h
Modified : /trunk/src/mame/drivers/pong.c

Revision: 25985
Author: curtcode
Date: 04 November 2013 19:50:16
Message:
(MESS) c128_rom.xml: Added KeyDOS support disk. [Curt Coder]
----
Modified : /trunk/hash/c128_rom.xml

Revision: 25984
Author: michaelz
Date: 04 November 2013 19:08:38
Message:
(MESS) tutor: Switched to new (fixed) TMS9995 implementation. [Michael Zapf]

----
Modified : /trunk/src/mess/drivers/tutor.c

Revision: 25983
Author: michaelz
Date: 04 November 2013 18:40:55
Message:
tms9995: Fixed a missing address alignment for word operations. (nw)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c

Revision: 25982
Author: tafoid
Date: 04 November 2013 18:35:03
Message:
- wboy4 documentation updates.  [Irongiant]

- Small fix for -listxml dumps regarding output of DIP switches.  [Andreas Singer]

- Atari 7800 palette value fix (nw)

----
Modified : /trunk/src/emu/info.c
Modified : /trunk/src/mame/drivers/system1.c
Modified : /trunk/src/mess/drivers/a7800.c

Revision: 25981
Author: ivanva
Date: 04 November 2013 18:06:29
Message:
Modernized mc6854 device.(nw)
Superficial testing shows no breakage, but in-depth testing from someone familiar with the machines would be appreciated.


----
Modified : /trunk/src/emu/bus/econet/e01.c
Modified : /trunk/src/emu/machine/mc6854.c
Modified : /trunk/src/emu/machine/mc6854.h
Modified : /trunk/src/mess/drivers/bbc.c
Modified : /trunk/src/mess/drivers/poly.c
Modified : /trunk/src/mess/includes/bbc.h
Modified : /trunk/src/mess/includes/thomson.h
Modified : /trunk/src/mess/machine/bbc.c
Modified : /trunk/src/mess/machine/thomflop.c

Revision: 25980
Author: angelosa
Date: 04 November 2013 14:38:07
Message:
Note
----
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25979
Author: angelosa
Date: 04 November 2013 14:34:20
Message:
Fixed wrap-around
----
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/emu/video/mb_vcu.h
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25977
Author: robbbert
Date: 04 November 2013 11:37:16
Message:
uppercase
----
Modified : /trunk/src/mess/drivers/wicat.c

Revision: 25976
Author: robbbert
Date: 04 November 2013 10:55:10
Message:
(MESS) mbee256 :  added 2 more bios versions (nw)
----
Modified : /trunk/src/mess/drivers/mbee.c

Revision: 25975
Author: robbbert
Date: 04 November 2013 10:19:07
Message:
(MESS) pockstat : fixed regression, added a note (nw)
----
Modified : /trunk/src/mess/drivers/pockstat.c

Revision: 25974
Author: miodragm
Date: 04 November 2013 09:38:48
Message:
fix for cpc_flop from remax (nw)
----
Modified : /trunk/hash/cpc_flop.xml

Revision: 25972
Author: fabiopri
Date: 04 November 2013 07:54:21
Message:
(MESS) on behalf of ReadOnly: small documentation progress and a few new public dumps added (no whatsnew)
----
Modified : /trunk/hash/snes.xml

Revision: 25969
Author: jgevarya
Date: 04 November 2013 07:44:22
Message:
nss.c: add another BIOS set (single cart, v3) [Porchy]
----
Modified : /trunk/src/mame/drivers/nss.c

Revision: 25968
Author: crazyc
Date: 04 November 2013 01:47:36
Message:
(mess) southbridge: fix dma (nw)
----
Modified : /trunk/src/mess/machine/southbridge.c

Revision: 25967
Author: briantro
Date: 04 November 2013 00:00:59
Message:
mcr3.c: Minor doc update / rom label correction. - NW
----
Modified : /trunk/src/mame/drivers/mcr3.c

Revision: 25966
Author: jkerk
Date: 03 November 2013 22:52:48
Message:
Emscripten makefile stuff (nw)
----
Modified : /trunk/makefile

Revision: 25965
Author: angelosa
Date: 03 November 2013 22:43:42
Message:
Added video banking, fixes Great Guns ranking screen
----
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/emu/video/mb_vcu.h
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25964
Author: jkerk
Date: 03 November 2013 22:07:20
Message:
Split up the construct_core_types() monster, other JSMESS tweaks (nw)
----
Modified : /trunk/src/emu/inpttype.h
Modified : /trunk/src/osd/sdl/sdl.mak
Modified : /trunk/src/osd/sdl/sdlprefix.h

Revision: 25963
Author: tafoid
Date: 03 November 2013 21:28:18
Message:
a7800.c - Modernized screen parameters for NTSC & PAL. [Robert Tuccitto]
Typo fix for palette (nw)

----
Modified : /trunk/src/mess/drivers/a7800.c

Revision: 25962
Author: hap
Date: 03 November 2013 19:27:24
Message:
update note
----
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25961
Author: hap
Date: 03 November 2013 19:23:00
Message:
maincpu irq notes
----
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25960
Author: smf
Date: 03 November 2013 19:09:35
Message:
use ds12885 as at586 needs 128 bytes (nw)
----
Modified : /trunk/src/mess/machine/southbridge.c
Modified : /trunk/src/mess/machine/southbridge.h

Revision: 25959
Author: hap
Date: 03 November 2013 18:06:37
Message:
fix copypaste error, causing bug(s) in mame berzerk.c
----
Modified : /trunk/src/emu/machine/74181.c

Revision: 25958
Author: michaelz
Date: 03 November 2013 16:51:35
Message:
(MESS) Exclude some lines for legacy compile. (nw)

----
Modified : /trunk/src/mess/drivers/tutor.c

Revision: 25957
Author: hap
Date: 03 November 2013 16:46:05
Message:
added servicecoin 2, this fixes gradius4 starting with coin already inserted
----
Modified : /trunk/src/mame/drivers/hornet.c

Revision: 25956
Author: jgevarya
Date: 03 November 2013 16:18:21
Message:
fix compile
----
Modified : /trunk/src/mame/drivers/jubilee.c

Revision: 25955
Author: angelosa
Date: 03 November 2013 16:03:03
Message:
Fully hooked up VCU
----
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/emu/video/mb_vcu.h
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25954
Author: michaelz
Date: 03 November 2013 14:39:45
Message:
Added compile switch for legacy / new CPU implementation.(nw)

----
Modified : /trunk/src/mame/drivers/jubilee.c
Modified : /trunk/src/mess/drivers/cortex.c
Modified : /trunk/src/mess/drivers/tutor.c

Revision: 25953
Author: michaelz
Date: 03 November 2013 14:33:51
Message:
(MESS) geneve: Provide access to on-chip memory for debugger.(nw)

----
Modified : /trunk/src/mess/machine/ti99/genboard.c
Modified : /trunk/src/mess/machine/ti99/genboard.h

Revision: 25952
Author: michaelz
Date: 03 November 2013 14:31:24
Message:
tms9995: Allow debugger to see the on-chip memory. (nw)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.h

Revision: 25951
Author: sronco
Date: 03 November 2013 14:01:58
Message:
micronic: corrected MC146818 clock. (nw)
----
Modified : /trunk/src/mess/drivers/micronic.c

Revision: 25950
Author: smf
Date: 03 November 2013 11:51:29
Message:
call update_irq() after updating B & C register in device_reset (nw)
----
Modified : /trunk/src/emu/machine/mc146818.c

Revision: 25949
Author: robbbert
Date: 03 November 2013 11:23:56
Message:
(MESS) dolphunk : added cassette (nw)
----
Modified : /trunk/src/mess/drivers/dolphunk.c

Revision: 25948
Author: ivanva
Date: 03 November 2013 08:58:11
Message:
Modernized the sega005 sound device. (nw)
----
Modified : /trunk/src/mame/audio/segag80r.c
Modified : /trunk/src/mame/includes/segag80r.h

Revision: 25947
Author: jkerk
Date: 03 November 2013 08:10:11
Message:
Mongoose headers don't play nice with our redefined free() on persnickety compilers (nw)
----
Modified : /trunk/src/emu/webengine.c

Revision: 25946
Author: jkerk
Date: 03 November 2013 04:30:42
Message:
Simplify SDL file changes (nw)

I'm assuming the /work/src/m/sdl stuff is someone's testing leftover; it was added in r19797

----
Modified : /trunk/src/osd/sdl/sdl.mak
Modified : /trunk/src/osd/sdl/sdlfile.c

Revision: 25945
Author: briantro
Date: 03 November 2013 04:01:01
Message:
meritm.c: Minor doc / info update - NW
----
Modified : /trunk/src/mame/drivers/meritm.c

Revision: 25944
Author: jkerk
Date: 03 November 2013 03:53:05
Message:
More cross_build stuff (nw)

<jvilk> DFJustin: the issue is that if you do not add those targets in, then those targets are not defined when you do a CROSS_BUILD
<jvilk> and Make fails
<jvilk> because targets depend on them
<jvilk> the 'correct' fix would be to have the targets that depend on them depend on the correct location of the tools
<jvilk> because I think what was happening is that they depended on the location of the tools assuming that they were built for the target platform
----
Modified : /trunk/src/build/build.mak

Revision: 25943
Author: smf
Date: 03 November 2013 03:33:07
Message:
asserted copyright (nw)
----
Modified : /trunk/src/emu/machine/bankdev.c
Modified : /trunk/src/emu/machine/bankdev.h
Modified : /trunk/src/emu/machine/linflash.c
Modified : /trunk/src/emu/machine/linflash.h
Modified : /trunk/src/emu/machine/mb89371.c
Modified : /trunk/src/emu/machine/mb89371.h
Modified : /trunk/src/emu/machine/pccard.c
Modified : /trunk/src/emu/machine/pccard.h
Modified : /trunk/src/emu/machine/vt83c461.c
Modified : /trunk/src/emu/machine/vt83c461.h
Modified : /trunk/src/mame/machine/k573cass.c
Modified : /trunk/src/mame/machine/k573cass.h
Modified : /trunk/src/mame/machine/ns11prot.c
Modified : /trunk/src/mame/machine/ns11prot.h
Modified : /trunk/src/mame/machine/zndip.c
Modified : /trunk/src/mame/machine/zndip.h

Revision: 25942
Author: jkerk
Date: 03 November 2013 02:49:21
Message:
Fix cross build makefile define to match the other makefiles [John Vilk] (nw)
----
Modified : /trunk/makefile

Revision: 25941
Author: jkerk
Date: 03 November 2013 01:42:33
Message:
Upstream changes needed to compile JSMESS  [Justin Kerk, John Vilk, Justin de Vesine]

Out of whatsnew: there are still a few files being worked on, and the build scripts which are currently set up outside of the MAME source hierarchy. Always open to cleaner ways of doing things.

----
Modified : /trunk/src/emu/machine.c
Modified : /trunk/src/osd/sdl/drawogl.c
Modified : /trunk/src/osd/sdl/input.c
Modified : /trunk/src/osd/sdl/sdl.mak
Modified : /trunk/src/osd/sdl/sdldir.c
Modified : /trunk/src/osd/sdl/sdlfile.c
Modified : /trunk/src/osd/sdl/sdlmain.c
Modified : /trunk/src/osd/sdl/sdlprefix.h
Modified : /trunk/src/osd/sdl/sdlptty_unix.c
Modified : /trunk/src/osd/sdl/sdlsocket.c
Added : /trunk/src/osd/sdl/sdlsync_mini.c
Modified : /trunk/src/osd/sdl/window.c

Revision: 25940
Author: briantro
Date: 03 November 2013 01:22:40
Message:
btime.c: Minor info update for the new set. - NW
----
Modified : /trunk/src/mame/drivers/btime.c

Revision: 25939
Author: dhaywood
Date: 03 November 2013 00:30:40
Message:
idle skips (nw)
----
Modified : /trunk/src/mame/includes/pgm.h
Modified : /trunk/src/mame/machine/pgmprot_igs027a_type3.c

Revision: 25938
Author: smf
Date: 03 November 2013 00:01:36
Message:
New games added or promoted from NOT_WORKING status:

Burger Time (set 3) [Artemio]
----
Modified : /trunk/src/mame/drivers/btime.c
Modified : /trunk/src/mame/mame.lst

Revision: 25937
Author: dhaywood
Date: 02 November 2013 23:39:14
Message:
make The Killing Blade Plus (ver. 300) work
(i think, not extensively tested)
----
Modified : /trunk/src/mame/drivers/pgm.c

Revision: 25936
Author: curtcode
Date: 02 November 2013 20:23:51
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/lux21056.c

Revision: 25935
Author: curtcode
Date: 02 November 2013 20:13:34
Message:
Invalid BIOS is a fatal error. (nw)
----
Modified : /trunk/src/emu/romload.c

Revision: 25934
Author: curtcode
Date: 02 November 2013 20:00:11
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/abc890.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.c

Revision: 25933
Author: smf
Date: 02 November 2013 19:53:13
Message:
Support for different sized MC146818 compatibles [smf]
----
Added : /trunk/src/emu/machine/ds128x.c
Added : /trunk/src/emu/machine/ds128x.h
Modified : /trunk/src/emu/machine/machine.mak
Modified : /trunk/src/emu/machine/mc146818.c
Modified : /trunk/src/emu/machine/mc146818.h
Modified : /trunk/src/mess/machine/cs4031.c
Modified : /trunk/src/mess/machine/cs4031.h

Revision: 25932
Author: couriers
Date: 02 November 2013 19:31:15
Message:
Created folder emu/netlist and moved net_lib.* over. Updated makefiles.
----
Modified : /trunk/src/emu/emu.mak
Deleted : /trunk/src/emu/machine/net_lib.c
Deleted : /trunk/src/emu/machine/net_lib.h
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h
Added : /trunk/src/emu/netlist
Added : /trunk/src/emu/netlist/net_lib.c (Copy from path: /trunk/src/emu/machine/net_lib.c, Revision, 25931)
Added : /trunk/src/emu/netlist/net_lib.h (Copy from path: /trunk/src/emu/machine/net_lib.h, Revision, 25931)
Added : /trunk/src/emu/netlist/netlist.mak
Modified : /trunk/src/mame/drivers/pong.c

Revision: 25931
Author: couriers
Date: 02 November 2013 14:55:41
Message:
dkong: Changed two devices to be optional devices.
----
Modified : /trunk/src/mame/audio/dkong.c
Modified : /trunk/src/mame/drivers/dkong.c
Modified : /trunk/src/mame/includes/dkong.h
Modified : /trunk/src/mame/video/dkong.c

Revision: 25930
Author: couriers
Date: 02 November 2013 14:48:39
Message:
fixfreq: Now supports reset.
----
Modified : /trunk/src/emu/video/fixfreq.c
Modified : /trunk/src/emu/video/fixfreq.h

Revision: 25929
Author: couriers
Date: 02 November 2013 14:47:58
Message:
Netlist now uses astring instead of char *. Makes memory management a lot easier. Fixed a number of memory leaks as well. Driver reset now works.
----
Modified : /trunk/src/emu/machine/net_lib.c
Modified : /trunk/src/emu/machine/net_lib.h
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h

Revision: 25928
Author: smf
Date: 02 November 2013 12:34:02
Message:
Added a hack to allow you to limit the number of threads per work queue (all other limits still apply). If you set this to 0 then chdman doesn't hang. [smf]
----
Modified : /trunk/src/osd/windows/winwork.c

Revision: 25927
Author: smf
Date: 02 November 2013 11:13:11
Message:
asserted copyright (nw)
----
Modified : /trunk/src/emu/video/psx.c
Modified : /trunk/src/emu/video/psx.h

Revision: 25926
Author: smf
Date: 02 November 2013 11:04:55
Message:
asserted copyright (nw)
----
Modified : /trunk/src/emu/machine/atadev.c
Modified : /trunk/src/emu/machine/atadev.h
Modified : /trunk/src/emu/machine/ataflash.c
Modified : /trunk/src/emu/machine/ataflash.h
Modified : /trunk/src/emu/machine/atahle.c
Modified : /trunk/src/emu/machine/atahle.h
Modified : /trunk/src/emu/machine/ataintf.c
Modified : /trunk/src/emu/machine/ataintf.h
Modified : /trunk/src/emu/machine/atapicdr.c
Modified : /trunk/src/emu/machine/atapicdr.h
Modified : /trunk/src/emu/machine/atapihle.c
Modified : /trunk/src/emu/machine/atapihle.h
Modified : /trunk/src/emu/machine/idectrl.c
Modified : /trunk/src/emu/machine/idectrl.h
Modified : /trunk/src/emu/machine/idehd.c
Modified : /trunk/src/emu/machine/idehd.h
Modified : /trunk/src/emu/machine/scsibus.c
Modified : /trunk/src/emu/machine/scsibus.h
Modified : /trunk/src/emu/machine/scsicb.c
Modified : /trunk/src/emu/machine/scsicb.h
Modified : /trunk/src/emu/machine/scsicd.c
Modified : /trunk/src/emu/machine/scsicd.h
Modified : /trunk/src/emu/machine/scsidev.c
Modified : /trunk/src/emu/machine/scsidev.h
Modified : /trunk/src/emu/machine/scsihd.c
Modified : /trunk/src/emu/machine/scsihd.h
Modified : /trunk/src/emu/machine/scsihle.c
Modified : /trunk/src/emu/machine/scsihle.h

Revision: 25925
Author: smf
Date: 02 November 2013 10:56:33
Message:
asserted copyright (nw)
----
Modified : /trunk/src/emu/cpu/psx/dma.c
Modified : /trunk/src/emu/cpu/psx/dma.h
Modified : /trunk/src/emu/cpu/psx/gte.c
Modified : /trunk/src/emu/cpu/psx/gte.h
Modified : /trunk/src/emu/cpu/psx/irq.c
Modified : /trunk/src/emu/cpu/psx/irq.h
Modified : /trunk/src/emu/cpu/psx/mdec.c
Modified : /trunk/src/emu/cpu/psx/mdec.h
Modified : /trunk/src/emu/cpu/psx/psx.c
Modified : /trunk/src/emu/cpu/psx/psx.h
Modified : /trunk/src/emu/cpu/psx/psxdasm.c
Modified : /trunk/src/emu/cpu/psx/rcnt.c
Modified : /trunk/src/emu/cpu/psx/rcnt.h
Modified : /trunk/src/emu/cpu/psx/sio.c
Modified : /trunk/src/emu/cpu/psx/sio.h
Modified : /trunk/src/emu/cpu/psx/siodev.c
Modified : /trunk/src/emu/cpu/psx/siodev.h

Revision: 25924
Author: ivanva
Date: 02 November 2013 08:04:33
Message:
Minimal fix for MT05348 (nw)
----
Modified : /trunk/src/mess/drivers/at.c
Modified : /trunk/src/mess/includes/at.h
Modified : /trunk/src/mess/machine/at.c

Revision: 25923
Author: curtcode
Date: 01 November 2013 22:12:42
Message:
(MESS) adam: Fixed the 160KB floppy controller. [Curt Coder]
----
Modified : /trunk/src/emu/bus/adamnet/fdc.c
Modified : /trunk/src/emu/bus/adamnet/fdc.h

Revision: 25922
Author: curtcode
Date: 01 November 2013 21:09:47
Message:
(MESS) adam: Fixed FDC disk in place sensor. [Curt Coder]
----
Modified : /trunk/src/emu/bus/adamnet/fdc.c

Revision: 25921
Author: smf
Date: 01 November 2013 20:45:39
Message:
Replaced hack code for saving nc200 ram with legacy nvram saving, you can now shut down the emulation and start it up without losing everything. However you must press the on button before exiting (default END key). [smf]
----
Modified : /trunk/src/mess/drivers/nc.c
Modified : /trunk/src/mess/includes/nc.h

Revision: 25920
Author: curtcode
Date: 01 November 2013 19:44:33
Message:
(MESS) compis: Fixed regression. (nw)
----
Modified : /trunk/src/emu/machine/i80130.c
Modified : /trunk/src/emu/machine/i80130.h

Revision: 25919
Author: curtcode
Date: 01 November 2013 19:08:17
Message:
(MESS) abc800: Cleanup. (nw)
----
Modified : /trunk/hash/abc1600.xml
Modified : /trunk/hash/abc80.xml
Modified : /trunk/hash/abc800.xml
Modified : /trunk/hash/abc806.xml
Modified : /trunk/src/emu/bus/abcbus/abcbus.h
Modified : /trunk/src/emu/bus/abcbus/fd2.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/mess/drivers/abc80x.c

Revision: 25918
Author: curtcode
Date: 01 November 2013 19:05:48
Message:
(MESS) abc800: Fixed fast floppy controller. [Curt Coder]
----
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.h

Revision: 25917
Author: philipbe
Date: 01 November 2013 18:51:30
Message:
ppccom.c - Fix and simplify PPC4xx DMA interrupt logic. Fixes goal animations in fiveside. [Phil Bennett]
----
Modified : /trunk/src/emu/cpu/powerpc/ppccom.c
Modified : /trunk/src/emu/cpu/powerpc/ppcdrc.c

Revision: 25916
Author: smf
Date: 01 November 2013 18:17:55
Message:
Fixed the MC146818 modernisation so that local/utc & whether a century is stored in nvram can be specified in a sane way. Removed the century updating as this chip doesn't do that, but each driver can specify where the century should be stored. Fixed off by one errors in the date/time updating. Added support for different external clock speeds and dividers, the clock speeds have been set based on guesswork that the code would set the chip to update at 1hz but this isn't necessarily true. Most flags have been implemented, so that timer updating can be disabled & irq generation should be correct. [smf]
----
Modified : /trunk/src/emu/bus/econet/e01.c
Modified : /trunk/src/emu/drivers/xtal.h
Modified : /trunk/src/emu/machine/mc146818.c
Modified : /trunk/src/emu/machine/mc146818.h
Modified : /trunk/src/mame/drivers/aristmk4.c
Modified : /trunk/src/mame/drivers/rastersp.c
Modified : /trunk/src/mame/machine/pcshare.c
Modified : /trunk/src/mess/drivers/amstr_pc.c
Modified : /trunk/src/mess/drivers/amstrad.c
Modified : /trunk/src/mess/drivers/at.c
Modified : /trunk/src/mess/drivers/bbc.c
Modified : /trunk/src/mess/drivers/bebox.c
Modified : /trunk/src/mess/drivers/hx20.c
Modified : /trunk/src/mess/drivers/mbee.c
Modified : /trunk/src/mess/drivers/micronic.c
Modified : /trunk/src/mess/drivers/nc.c
Modified : /trunk/src/mess/drivers/orion.c
Modified : /trunk/src/mess/drivers/pc1512.c
Modified : /trunk/src/mess/drivers/qx10.c
Modified : /trunk/src/mess/drivers/sgi_ip2.c
Modified : /trunk/src/mess/machine/apollo.c
Modified : /trunk/src/mess/machine/cs4031.c
Modified : /trunk/src/mess/machine/southbridge.c

Revision: 25915
Author: michaelz
Date: 01 November 2013 17:06:32
Message:
tms9995: Cycles fine-tuned, almost complete. (nw)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.h

Revision: 25914
Author: crazyc
Date: 01 November 2013 16:54:15
Message:
i286: fix trap flag (nw)
----
Modified : /trunk/src/emu/cpu/i86/i286.c

Revision: 25913
Author: ivanva
Date: 01 November 2013 12:17:25
Message:
Device-ified vector.c. (nw)
----
Modified : /trunk/src/emu/ui.c
Modified : /trunk/src/emu/video/vector.c
Modified : /trunk/src/emu/video/vector.h
Modified : /trunk/src/mame/drivers/asteroid.c
Modified : /trunk/src/mame/drivers/aztarac.c
Modified : /trunk/src/mame/drivers/bwidow.c
Modified : /trunk/src/mame/drivers/bzone.c
Modified : /trunk/src/mame/drivers/cchasm.c
Modified : /trunk/src/mame/drivers/cinemat.c
Modified : /trunk/src/mame/drivers/mhavoc.c
Modified : /trunk/src/mame/drivers/omegrace.c
Modified : /trunk/src/mame/drivers/quantum.c
Modified : /trunk/src/mame/drivers/segag80v.c
Modified : /trunk/src/mame/drivers/starwars.c
Modified : /trunk/src/mame/drivers/tempest.c
Modified : /trunk/src/mame/drivers/tomcat.c
Modified : /trunk/src/mame/drivers/vectrex.c
Modified : /trunk/src/mame/drivers/vertigo.c
Modified : /trunk/src/mame/includes/aztarac.h
Modified : /trunk/src/mame/includes/cchasm.h
Modified : /trunk/src/mame/includes/cinemat.h
Modified : /trunk/src/mame/includes/segag80v.h
Modified : /trunk/src/mame/includes/vectrex.h
Modified : /trunk/src/mame/includes/vertigo.h
Modified : /trunk/src/mame/machine/cchasm.c
Modified : /trunk/src/mame/machine/vectrex.c
Modified : /trunk/src/mame/video/avgdvg.c
Modified : /trunk/src/mame/video/aztarac.c
Modified : /trunk/src/mame/video/cchasm.c
Modified : /trunk/src/mame/video/cinemat.c
Modified : /trunk/src/mame/video/segag80v.c
Modified : /trunk/src/mame/video/vectrex.c
Modified : /trunk/src/mame/video/vertigo.c
Modified : /trunk/src/mess/drivers/tek405x.c

Revision: 25912
Author: jgevarya
Date: 01 November 2013 10:37:49
Message:
vsnes.c: flip the 'right' and 'left' half roms for vs baseball english set to match rom labels from recent rom redump, also fixed labels to exactly match chips. [Lord Nightmare, Dead_Body]
----
Modified : /trunk/src/mame/drivers/vsnes.c

Revision: 25911
Author: jkerk
Date: 01 November 2013 04:31:11
Message:
More SDL header fixes for clang / emscripten (nw)
----
Modified : /trunk/src/osd/sdl/gl_shader_mgr.c
Modified : /trunk/src/osd/sdl/sdlsync_tc.c
Modified : /trunk/src/osd/sdl/watchdog.c

Revision: 25910
Author: crazyc
Date: 01 November 2013 03:56:41
Message:
i286: fix task state segments (nw)
----
Modified : /trunk/src/emu/cpu/i86/i286.c

Revision: 25909
Author: michaelz
Date: 01 November 2013 01:12:37
Message:
(MESS) geneve: Wait state behavior almost perfect. (nw)

----
Modified : /trunk/src/mess/machine/ti99/genboard.c

Revision: 25908
Author: curtcode
Date: 31 October 2013 21:52:38
Message:
(MESS) Cleanup. (nw)
----
Deleted : /trunk/src/emu/bus/abc1600
Modified : /trunk/src/emu/bus/abcbus/abc890.c
Modified : /trunk/src/emu/bus/abcbus/abc890.h
Modified : /trunk/src/emu/bus/abcbus/abcbus.c
Modified : /trunk/src/emu/bus/abcbus/abcbus.h
Modified : /trunk/src/emu/bus/abcbus/lux10828.c
Modified : /trunk/src/emu/bus/abcbus/lux10828.h
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.h
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.h
Added : /trunk/src/emu/bus/abcbus/lux4105.c
Added : /trunk/src/emu/bus/abcbus/lux4105.h
Modified : /trunk/src/emu/bus/bus.mak
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/abc1600.c
Modified : /trunk/src/mess/drivers/abc80.c
Modified : /trunk/src/mess/drivers/abc80x.c
Modified : /trunk/src/mess/includes/abc1600.h
Modified : /trunk/src/mess/mess.mak

Revision: 25907
Author: dirkbest
Date: 31 October 2013 20:49:17
Message:
Merge branch 'master' of mess.org:mame
----
Deleted : /shelves/git
Modified : /trunk
Modified : /trunk/src/mame/drivers/bfm_sc2.c

Revision: 25905
Author: curtcode
Date: 31 October 2013 20:43:39
Message:
(MESS) Cleanup. (nw)
----
Modified : /trunk/src/emu/bus/abc1600/abc1600.c
Modified : /trunk/src/emu/bus/abc1600/abc1600.h
Modified : /trunk/src/emu/bus/abcbus/abcbus.c
Modified : /trunk/src/emu/bus/abcbus/abcbus.h
Modified : /trunk/src/emu/bus/isbx/isbx.c
Modified : /trunk/src/emu/bus/isbx/isbx.h

Revision: 25904
Author: angelosa
Date: 31 October 2013 14:35:12
Message:
Fixed ROM GFX banking in Great Guns
----
Modified : /trunk/src/emu/video/mb_vcu.c
Modified : /trunk/src/emu/video/mb_vcu.h
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25903
Author: angelosa
Date: 31 October 2013 13:56:53
Message:
Confirmed that video register [1] controls upper color bank (fixes Mazer Blazer CRT test). Upcoming: device-ify custom VCU
----
Added : /trunk/src/emu/video/mb_vcu.c
Added : /trunk/src/emu/video/mb_vcu.h
Modified : /trunk/src/emu/video/video.mak
Modified : /trunk/src/mame/drivers/mazerbla.c
Modified : /trunk/src/mame/mame.mak

Revision: 25902
Author: smf
Date: 31 October 2013 01:46:30
Message:
fixed read sub channel bug introduced in 25577 (fixes ddr2m) (nw)
----
Modified : /trunk/src/emu/machine/t10mmc.c

Revision: 25901
Author: barryrod
Date: 30 October 2013 23:50:37
Message:
wpc: increased number of main CPU bank entries to account for the two versions of White Water that use 1MB ROMs. (no whatsnew)
----
Modified : /trunk/src/mame/drivers/wpc_dot.c

Revision: 25900
Author: robbbert
Date: 30 October 2013 12:09:32
Message:
(MESS) elektor : added paste facility, and sample programs (nw)
----
Modified : /trunk/src/mess/drivers/vc4000.c

Revision: 25899
Author: hap
Date: 30 October 2013 11:05:07
Message:
quizshow.c: Dumped one of the gfx proms, the other one was wounded in action. [Siftware]



nw: before anyone asks, the font is unique i think, and definitely NOT the same one as atari proto cannonball

----
Modified : /trunk/src/mame/drivers/quizshow.c

Revision: 25898
Author: dirkbest
Date: 30 October 2013 09:32:57
Message:
Test commit, ignore
----
Modified : /trunk
Modified : /trunk/src/mess/drivers/px4.c

Revision: 25897
Author: ivanva
Date: 29 October 2013 18:13:02
Message:
Removed SOUND_RESET legacy MACRO. (nw)
----
Modified : /trunk/src/emu/driver.h
Modified : /trunk/src/mame/audio/cinemat.c
Modified : /trunk/src/mame/includes/cchasm.h
Modified : /trunk/src/mame/includes/cinemat.h

Revision: 25896
Author: angelosa
Date: 29 October 2013 01:52:18
Message:
Check-point, definitely needs blitter rewrite
----
Modified : /trunk/src/mame/drivers/fromance.c
Modified : /trunk/src/mame/drivers/mazerbla.c

Revision: 25895
Author: michaelz
Date: 28 October 2013 23:52:43
Message:
tms9995: Another fix for the decrementer, slowing it down. (nw)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.h

Revision: 25894
Author: curtcode
Date: 28 October 2013 22:21:29
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/abc890.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.c

Revision: 25893
Author: michaelz
Date: 28 October 2013 21:31:15
Message:
geneve: Still tuning video wait states. (nw)

----
Modified : /trunk/src/mess/machine/ti99/genboard.c
Modified : /trunk/src/mess/machine/ti99/genboard.h

Revision: 25892
Author: couriers
Date: 28 October 2013 21:27:47
Message:
Netlist: Some hand-crafted optimizations. GCC seems to like ugly pointer C more than using readable arrays :-( The speedup is noticeable.
----
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h

Revision: 25891
Author: hap
Date: 28 October 2013 20:23:13
Message:
revert attempted fix for color overlays not working on vector games, this fixes MT issues 05324 and 05332, and breaks 05214 again
----
Modified : /trunk/src/osd/windows/drawd3d.c

Revision: 25890
Author: hap
Date: 28 October 2013 20:14:42
Message:
fix hlsl bloom drawing onto the prev frame if artwork backdrop is used (note: bug effect was not visible due to MT bug 05332)
----
Modified : /trunk/src/osd/windows/d3dhlsl.c

Revision: 25889
Author: curtcode
Date: 28 October 2013 20:12:55
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/abc890.c
Modified : /trunk/src/emu/bus/abcbus/hdc.c
Modified : /trunk/src/emu/bus/abcbus/hdc.h
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.h

Revision: 25888
Author: fabiopri
Date: 28 October 2013 19:36:44
Message:
(MESS) pico.xml: fixed stupid mistake in prev commit. thanks Tafoid for spotting it :)
----
Modified : /trunk/hash/pico.xml

Revision: 25887
Author: couriers
Date: 28 October 2013 18:37:04
Message:
No whatsnew: Moved device setup out of constructor (again).
This wasn't a good idea because some more advanced stuff like virtual function address caching doesn't work in constructors.
----
Modified : /trunk/src/emu/machine/net_lib.c
Modified : /trunk/src/emu/machine/net_lib.h
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h

Revision: 25886
Author: fabiopri
Date: 28 October 2013 18:34:15
Message:
(MESS) BBC Micro updates / fixes: [Nigel Barnes]
- implemented ram device, all models have default ramsize, model A is 16K/32K switchable.
- added additional bios options for OS0.1, OS1.0 in models A/B.
- added clones bbcb_de, bbcb_us for BBC B German and US export models.
- added clones bbcmaiv, bbcmet, bbcmt, bbcm512, bbcmarm for other BBC Master models.
- added clones bbcmc, bbcmc_ar for BBC Master Compact and Arabic models.
- implemented BREAK key.
- fixed 8271 disk loading of ssd,dsd images.
- device mc146818 now accepts default CMOS RAM.
- added default CMOS RAM settings for all Master models.

----
Modified : /trunk/src/emu/machine/mc146818.c
Modified : /trunk/src/emu/machine/mc146818.h
Modified : /trunk/src/mess/drivers/bbc.c
Modified : /trunk/src/mess/includes/bbc.h
Modified : /trunk/src/mess/machine/bbc.c
Modified : /trunk/src/mess/mess.lst
Modified : /trunk/src/mess/video/bbc.c

Revision: 25885
Author: fabiopri
Date: 28 October 2013 18:31:13
Message:
fixed mess -valid. nw.
----
Modified : /trunk/hash/pet_rom.xml

Revision: 25884
Author: fabiopri
Date: 28 October 2013 18:28:05
Message:
[MESS] pico.xml: added more dumps and more documentation. [Team Europe]

out of whatsnew: also sync lists with new dumps from taizou, lostlevels, nintendoage and others.
----
Modified : /trunk/hash/copera.xml
Modified : /trunk/hash/gameboy.xml
Modified : /trunk/hash/gbcolor.xml
Modified : /trunk/hash/megadriv.xml
Modified : /trunk/hash/nes.xml
Modified : /trunk/hash/pico.xml

Revision: 25883
Author: angelosa
Date: 28 October 2013 17:48:58
Message:
MT #05322, also flagged m92 as GAME_NO_COCKTAIL for obvious reasons
----
Modified : /trunk/src/mame/drivers/m92.c

Revision: 25882
Author: angelosa
Date: 28 October 2013 17:22:38
Message:
MT #05341, assuming that m68k is off by default
----
Modified : /trunk/src/mame/drivers/taito_f3.c
Modified : /trunk/src/mame/includes/taito_f3.h

Revision: 25881
Author: ivanva
Date: 28 October 2013 15:56:32
Message:
Removed legacy macro from berzerk.c (nw)
----
Modified : /trunk/src/mame/drivers/berzerk.c

Revision: 25880
Author: hap
Date: 28 October 2013 15:48:01
Message:
le license
----
Modified : /trunk/src/mame/drivers/quizshow.c

Revision: 25879
Author: robbbert
Date: 28 October 2013 11:37:48
Message:
(MESS) elektor : allow quickload into pvi space (nw)
----
Modified : /trunk/src/mess/drivers/vc4000.c

Revision: 25878
Author: jkerk
Date: 28 October 2013 05:59:36
Message:
Still need the stub functions from debugwin.c for the NO_DEBUGGER case (nw)
----
Added : /trunk/src/osd/sdl/debugwin.c

Revision: 25877
Author: angelosa
Date: 28 October 2013 01:54:14
Message:
Added a bunch of commands
----
Modified : /trunk/src/mame/drivers/jaguar.c
Modified : /trunk/src/mame/includes/jaguar.h

Revision: 25876
Author: angelosa
Date: 28 October 2013 00:37:29
Message:
Glueing the pieces together with Butch ...
----
Modified : /trunk/src/mame/drivers/jaguar.c
Modified : /trunk/src/mame/includes/jaguar.h

Revision: 25875
Author: angelosa
Date: 27 October 2013 23:32:34
Message:
Made Jag CD to boot somehow ...
----
Modified : /trunk/src/mame/drivers/jaguar.c
Modified : /trunk/src/mame/includes/jaguar.h

Revision: 25874
Author: jkerk
Date: 27 October 2013 23:29:06
Message:
Fix SDL compile with NOASM=1 (nw)
----
Modified : /trunk/src/emu/eminline.h

Revision: 25873
Author: jgevarya
Date: 27 October 2013 22:33:07
Message:
Un-marked the 2608 rom as bad, since AFAIK Jarek did test this dump as an external rom and it completely matched the internal rom when played back, digitally compared at the dac input.
Also re-added comments from the original fm.c version.
It would be best if we can find a 2608 to decap eventually, though. [Lord Nightmare]
----
Modified : /trunk/src/emu/sound/2608intf.c

Revision: 25872
Author: curtcode
Date: 27 October 2013 22:03:38
Message:
(MESS) abc80: Added ROMs for the Scandia Metric FD2. [robcfg]
----
Modified : /trunk/src/emu/bus/abcbus/fd2.c

Revision: 25871
Author: angelosa
Date: 27 October 2013 21:31:40
Message:
MT #00489: fix tile-sprite priority in Hole Land
----
Modified : /trunk/src/mame/drivers/holeland.c
Modified : /trunk/src/mame/video/holeland.c

Revision: 25870
Author: angelosa
Date: 27 October 2013 20:50:28
Message:
Preliminary Master volume control for Deco MLC HW [Angelo Salese]
----
Modified : /trunk/src/emu/sound/ymz280b.c
Modified : /trunk/src/mame/drivers/deco_mlc.c
Modified : /trunk/src/mame/includes/deco_mlc.h

Revision: 25869
Author: angelosa
Date: 27 October 2013 20:09:06
Message:
MT #05142
----
Modified : /trunk/src/mame/drivers/stv.c
Modified : /trunk/src/mame/drivers/subsino.c

Revision: 25868
Author: angelosa
Date: 27 October 2013 19:44:16
Message:
Fixed Riot part of MT #1630
----
Modified : /trunk/src/mame/drivers/tecmo16.c

Revision: 25867
Author: ivanva
Date: 27 October 2013 19:38:03
Message:
Removed SOUND_START legacy MACRO. Added SOUND_START_MEMBER and SOUND_RESET_MEMBER macros. (nw)
----
Modified : /trunk/src/emu/driver.h
Modified : /trunk/src/emu/drivlgcy.h
Modified : /trunk/src/mame/audio/cchasm.c
Modified : /trunk/src/mame/audio/cinemat.c
Modified : /trunk/src/mame/audio/dkong.c
Modified : /trunk/src/mame/audio/jedi.c
Modified : /trunk/src/mame/audio/mario.c
Modified : /trunk/src/mame/audio/mw8080bw.c
Modified : /trunk/src/mame/audio/n8080.c
Modified : /trunk/src/mame/audio/redalert.c
Modified : /trunk/src/mame/audio/scramble.c
Modified : /trunk/src/mame/audio/segag80r.c
Modified : /trunk/src/mame/drivers/cchasm.c
Modified : /trunk/src/mame/drivers/dkong.c
Modified : /trunk/src/mame/drivers/equites.c
Modified : /trunk/src/mame/drivers/jangou.c
Modified : /trunk/src/mame/drivers/lucky74.c
Modified : /trunk/src/mame/drivers/mirax.c
Modified : /trunk/src/mame/drivers/n8080.c
Modified : /trunk/src/mame/drivers/segag80r.c
Modified : /trunk/src/mame/includes/cchasm.h
Modified : /trunk/src/mame/includes/cinemat.h
Modified : /trunk/src/mame/includes/jedi.h
Modified : /trunk/src/mame/includes/lucky74.h
Modified : /trunk/src/mame/includes/mario.h
Modified : /trunk/src/mame/includes/mw8080bw.h
Modified : /trunk/src/mame/includes/n8080.h
Modified : /trunk/src/mame/includes/redalert.h

Revision: 25866
Author: curtcode
Date: 27 October 2013 19:11:23
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/lux21056.c

Revision: 25865
Author: robbbert
Date: 27 October 2013 18:21:51
Message:
(MESS) instructor50 : Added flag led. (nw)
----
Modified : /trunk/src/mess/drivers/instruct.c
Modified : /trunk/src/mess/layout/instruct.lay

Revision: 25864
Author: michaelz
Date: 27 October 2013 17:09:50
Message:
(MESS) geneve: Implementing precise wait state behavior. (nw)

----
Modified : /trunk/src/mess/machine/ti99/genboard.c
Modified : /trunk/src/mess/machine/ti99/genboard.h

Revision: 25863
Author: angelosa
Date: 27 October 2013 16:40:30
Message:
Minor changes to RM Nimbus, nw
----
Modified : /trunk/src/mess/drivers/rmnimbus.c
Modified : /trunk/src/mess/includes/rmnimbus.h

Revision: 25862
Author: robbbert
Date: 27 October 2013 16:38:29
Message:
(MESS) instructor50 : Added user switches and round leds. (nw)
----
Modified : /trunk/src/mess/drivers/instruct.c
Modified : /trunk/src/mess/layout/instruct.lay

Revision: 25861
Author: dhaywood
Date: 27 October 2013 15:25:14
Message:
remove 8 kilobytes of internal ROM sample data from MAME's YM2608 emulation, it's been there for ~11 years.

After getting legal advice over some recent happenings this was highlighted as a clear infringement of Yamaha's copyright within the MAME code, and in need of urgent addressing, distributing any builds / source trees with this present is inadvisable. 
----
Modified : /trunk/src/emu/sound/2608intf.c
Modified : /trunk/src/emu/sound/2608intf.h
Modified : /trunk/src/emu/sound/fm.c

Revision: 25860
Author: angelosa
Date: 27 October 2013 14:47:37
Message:
Moar licenses
----
Modified : /trunk/src/mess/machine/pc9801_118.c
Modified : /trunk/src/mess/machine/pc9801_26.c
Modified : /trunk/src/mess/machine/pc9801_86.c
Modified : /trunk/src/mess/machine/pc9801_cbus.c
Modified : /trunk/src/mess/machine/pc9801_kbd.c

Revision: 25859
Author: angelosa
Date: 27 October 2013 12:33:52
Message:
Fix MT #05240
----
Modified : /trunk/src/mame/drivers/deco_mlc.c

Revision: 25858
Author: smf
Date: 27 October 2013 12:33:21
Message:
Marked the turret tower chd as bad and added a note as to why (nw)
----
Modified : /trunk/src/mame/drivers/turrett.c

Revision: 25857
Author: angelosa
Date: 27 October 2013 11:50:24
Message:
MT #04731 & MT #05335: fixed "Warning: k053252 read 0e, contact MAMEdev" msg
----
Modified : /trunk/src/emu/machine/k053252.c

Revision: 25856
Author: angelosa
Date: 27 October 2013 11:25:10
Message:
Define licenses
----
Modified : /trunk/src/mame/drivers/gunpey.c
Modified : /trunk/src/mame/drivers/suprgolf.c

Revision: 25855
Author: ivanva
Date: 27 October 2013 10:13:07
Message:
Updated a pair of commented out legacy calls. (nw)
----
Modified : /trunk/src/emu/bus/ecbbus/grip.c

Revision: 25854
Author: sronco
Date: 27 October 2013 07:16:02
Message:
Specify license for src/mess/drivers/tvc.c
----
Modified : /trunk/src/mess/drivers/tvc.c

Revision: 25853
Author: rbelmont
Date: 27 October 2013 04:01:25
Message:
ncr5380n: improved /BSY behavior on arbitration. [R. Belmont]


----
Modified : /trunk/src/emu/machine/ncr5380n.c

Revision: 25852
Author: jgevarya
Date: 27 October 2013 01:27:24
Message:
specify licenses (after checking with balrog and Kevtris)


----
Modified : /trunk/src/mess/drivers/csc.c
Modified : /trunk/src/mess/drivers/digel804.c
Modified : /trunk/src/mess/drivers/fidelz80.c

Revision: 25851
Author: couriers
Date: 26 October 2013 20:58:49
Message:
Netlist: ongoing cleanup
- simplified classes
- separated logic and analog inputs/outputs. 
----
Modified : /trunk/src/emu/machine/net_lib.c
Modified : /trunk/src/emu/machine/net_lib.h
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h
Modified : /trunk/src/mame/drivers/pong.c

Revision: 25850
Author: sronco
Date: 26 October 2013 20:53:18
Message:
License tags. (nw)
----
Modified : /trunk/src/emu/bus/iq151/disc2.c
Modified : /trunk/src/emu/bus/iq151/disc2.h
Modified : /trunk/src/emu/bus/iq151/grafik.c
Modified : /trunk/src/emu/bus/iq151/grafik.h
Modified : /trunk/src/emu/bus/iq151/iq151.c
Modified : /trunk/src/emu/bus/iq151/iq151.h
Modified : /trunk/src/emu/bus/iq151/minigraf.c
Modified : /trunk/src/emu/bus/iq151/minigraf.h
Modified : /trunk/src/emu/bus/iq151/ms151a.c
Modified : /trunk/src/emu/bus/iq151/ms151a.h
Modified : /trunk/src/emu/bus/iq151/rom.c
Modified : /trunk/src/emu/bus/iq151/rom.h
Modified : /trunk/src/emu/bus/iq151/staper.c
Modified : /trunk/src/emu/bus/iq151/staper.h
Modified : /trunk/src/emu/bus/iq151/video32.c
Modified : /trunk/src/emu/bus/iq151/video32.h
Modified : /trunk/src/emu/bus/iq151/video64.c
Modified : /trunk/src/emu/bus/iq151/video64.h
Modified : /trunk/src/emu/bus/kc/d002.c
Modified : /trunk/src/emu/bus/kc/d002.h
Modified : /trunk/src/emu/bus/kc/d004.c
Modified : /trunk/src/emu/bus/kc/d004.h
Modified : /trunk/src/emu/bus/kc/kc.c
Modified : /trunk/src/emu/bus/kc/kc.h
Modified : /trunk/src/emu/bus/kc/ram.c
Modified : /trunk/src/emu/bus/kc/ram.h
Modified : /trunk/src/emu/bus/kc/rom.c
Modified : /trunk/src/emu/bus/kc/rom.h
Modified : /trunk/src/emu/bus/tvc/hbf.c
Modified : /trunk/src/emu/bus/tvc/hbf.h
Modified : /trunk/src/emu/bus/tvc/tvc.c
Modified : /trunk/src/emu/bus/tvc/tvc.h
Modified : /trunk/src/emu/bus/z88/flash.c
Modified : /trunk/src/emu/bus/z88/flash.h
Modified : /trunk/src/emu/bus/z88/ram.c
Modified : /trunk/src/emu/bus/z88/ram.h
Modified : /trunk/src/emu/bus/z88/rom.c
Modified : /trunk/src/emu/bus/z88/rom.h
Modified : /trunk/src/emu/bus/z88/z88.c
Modified : /trunk/src/emu/bus/z88/z88.h
Modified : /trunk/src/emu/cpu/hd61700/hd61700.c
Modified : /trunk/src/emu/cpu/hd61700/hd61700.h
Modified : /trunk/src/emu/cpu/hd61700/hd61700d.c
Modified : /trunk/src/emu/cpu/lc8670/lc8670.c
Modified : /trunk/src/emu/cpu/lc8670/lc8670.h
Modified : /trunk/src/emu/cpu/lc8670/lc8670dsm.c
Modified : /trunk/src/emu/cpu/score/score.c
Modified : /trunk/src/emu/cpu/score/score.h
Modified : /trunk/src/emu/cpu/score/scoredsm.c
Modified : /trunk/src/emu/cpu/score/scorem.h
Modified : /trunk/src/emu/video/hd44352.c
Modified : /trunk/src/emu/video/hd44352.h
Modified : /trunk/src/emu/video/hd44780.c
Modified : /trunk/src/emu/video/hd44780.h
Modified : /trunk/src/lib/formats/kc_cas.c
Modified : /trunk/src/lib/formats/kc_cas.h
Modified : /trunk/src/lib/formats/pmd_cas.c
Modified : /trunk/src/lib/formats/pmd_cas.h
Modified : /trunk/src/lib/formats/tvc_cas.c
Modified : /trunk/src/lib/formats/tvc_cas.h
Modified : /trunk/src/lib/formats/vg5k_cas.c
Modified : /trunk/src/lib/formats/vg5k_cas.h
Modified : /trunk/src/lib/formats/x07_cas.c
Modified : /trunk/src/lib/formats/x07_cas.h
Modified : /trunk/src/mame/drivers/24cdjuke.c
Modified : /trunk/src/mame/drivers/icecold.c
Modified : /trunk/src/mess/audio/alesis.c
Modified : /trunk/src/mess/audio/tvc.c
Modified : /trunk/src/mess/drivers/alesis.c
Modified : /trunk/src/mess/drivers/alphasma.c
Modified : /trunk/src/mess/drivers/avigo.c
Modified : /trunk/src/mess/drivers/ax20.c
Modified : /trunk/src/mess/drivers/chessmst.c
Modified : /trunk/src/mess/drivers/chesstrv.c
Modified : /trunk/src/mess/drivers/cp1.c
Modified : /trunk/src/mess/drivers/csc.c
Modified : /trunk/src/mess/drivers/digel804.c
Modified : /trunk/src/mess/drivers/dmv.c
Modified : /trunk/src/mess/drivers/fidelz80.c
Modified : /trunk/src/mess/drivers/geniusiq.c
Modified : /trunk/src/mess/drivers/h89.c
Modified : /trunk/src/mess/drivers/hyperscan.c
Modified : /trunk/src/mess/drivers/iq151.c
Modified : /trunk/src/mess/drivers/kc.c
Modified : /trunk/src/mess/drivers/micronic.c
Modified : /trunk/src/mess/drivers/mstation.c
Modified : /trunk/src/mess/drivers/nakajies.c
Modified : /trunk/src/mess/drivers/pb1000.c
Modified : /trunk/src/mess/drivers/pc1500.c
Modified : /trunk/src/mess/drivers/pc2000.c
Modified : /trunk/src/mess/drivers/pc4.c
Modified : /trunk/src/mess/drivers/pda600.c
Modified : /trunk/src/mess/drivers/prestige.c
Modified : /trunk/src/mess/drivers/psion.c
Modified : /trunk/src/mess/drivers/rex6000.c
Modified : /trunk/src/mess/drivers/sc1.c
Modified : /trunk/src/mess/drivers/sc2.c
Modified : /trunk/src/mess/drivers/svmu.c
Modified : /trunk/src/mess/drivers/ti89.c
Modified : /trunk/src/mess/drivers/tvc.c
Modified : /trunk/src/mess/drivers/uzebox.c
Modified : /trunk/src/mess/drivers/vg5k.c
Modified : /trunk/src/mess/drivers/x07.c
Modified : /trunk/src/mess/drivers/z88.c
Modified : /trunk/src/mess/includes/alesis.h
Modified : /trunk/src/mess/includes/avigo.h
Modified : /trunk/src/mess/includes/fidelz80.h
Modified : /trunk/src/mess/includes/kc.h
Modified : /trunk/src/mess/includes/micronic.h
Modified : /trunk/src/mess/includes/pc4.h
Modified : /trunk/src/mess/includes/psion.h
Modified : /trunk/src/mess/includes/ti89.h
Modified : /trunk/src/mess/includes/tvc.h
Modified : /trunk/src/mess/includes/x07.h
Modified : /trunk/src/mess/includes/z88.h
Modified : /trunk/src/mess/machine/hd64610.c
Modified : /trunk/src/mess/machine/hd64610.h
Modified : /trunk/src/mess/machine/kc.c
Modified : /trunk/src/mess/machine/kc_keyb.c
Modified : /trunk/src/mess/machine/kc_keyb.h
Modified : /trunk/src/mess/machine/lh5810.c
Modified : /trunk/src/mess/machine/lh5810.h
Modified : /trunk/src/mess/machine/pce220_ser.c
Modified : /trunk/src/mess/machine/pce220_ser.h
Modified : /trunk/src/mess/machine/psion_pack.c
Modified : /trunk/src/mess/machine/psion_pack.h
Modified : /trunk/src/mess/tools/imgtool/modules/psion.c
Modified : /trunk/src/mess/video/alesis.c
Modified : /trunk/src/mess/video/avigo.c
Modified : /trunk/src/mess/video/ef9345.c
Modified : /trunk/src/mess/video/ef9345.h
Modified : /trunk/src/mess/video/kc.c
Modified : /trunk/src/mess/video/pc4.c
Modified : /trunk/src/mess/video/t6a04.c
Modified : /trunk/src/mess/video/t6a04.h
Modified : /trunk/src/mess/video/z88.c

Revision: 25849
Author: couriers
Date: 26 October 2013 20:47:58
Message:
SDL: Fixed testkeys utility to compile with SDL2.0

What a pity that neither multiple mice nor multiple keyboards made it into SDL2.0 :-(
----
Modified : /trunk/src/osd/sdl/testkeys.c

Revision: 25848
Author: couriers
Date: 26 October 2013 20:46:19
Message:
SDL: Fixed a logging bug.
----
Modified : /trunk/src/osd/sdl/sdlmain.c

Revision: 25847
Author: sronco
Date: 26 October 2013 20:17:51
Message:
Moved iq151, kc, tvc and z88 expansions into emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/iq151
Added : /trunk/src/emu/bus/iq151/disc2.c
Added : /trunk/src/emu/bus/iq151/disc2.h
Added : /trunk/src/emu/bus/iq151/grafik.c
Added : /trunk/src/emu/bus/iq151/grafik.h
Added : /trunk/src/emu/bus/iq151/iq151.c
Added : /trunk/src/emu/bus/iq151/iq151.h
Added : /trunk/src/emu/bus/iq151/minigraf.c
Added : /trunk/src/emu/bus/iq151/minigraf.h
Added : /trunk/src/emu/bus/iq151/ms151a.c
Added : /trunk/src/emu/bus/iq151/ms151a.h
Added : /trunk/src/emu/bus/iq151/rom.c
Added : /trunk/src/emu/bus/iq151/rom.h
Added : /trunk/src/emu/bus/iq151/staper.c
Added : /trunk/src/emu/bus/iq151/staper.h
Added : /trunk/src/emu/bus/iq151/video32.c
Added : /trunk/src/emu/bus/iq151/video32.h
Added : /trunk/src/emu/bus/iq151/video64.c
Added : /trunk/src/emu/bus/iq151/video64.h
Added : /trunk/src/emu/bus/kc
Added : /trunk/src/emu/bus/kc/d002.c
Added : /trunk/src/emu/bus/kc/d002.h
Added : /trunk/src/emu/bus/kc/d004.c
Added : /trunk/src/emu/bus/kc/d004.h
Added : /trunk/src/emu/bus/kc/kc.c
Added : /trunk/src/emu/bus/kc/kc.h
Added : /trunk/src/emu/bus/kc/ram.c
Added : /trunk/src/emu/bus/kc/ram.h
Added : /trunk/src/emu/bus/kc/rom.c
Added : /trunk/src/emu/bus/kc/rom.h
Added : /trunk/src/emu/bus/tvc
Added : /trunk/src/emu/bus/tvc/hbf.c
Added : /trunk/src/emu/bus/tvc/hbf.h
Added : /trunk/src/emu/bus/tvc/tvc.c
Added : /trunk/src/emu/bus/tvc/tvc.h
Added : /trunk/src/emu/bus/z88
Added : /trunk/src/emu/bus/z88/flash.c
Added : /trunk/src/emu/bus/z88/flash.h
Added : /trunk/src/emu/bus/z88/ram.c
Added : /trunk/src/emu/bus/z88/ram.h
Added : /trunk/src/emu/bus/z88/rom.c
Added : /trunk/src/emu/bus/z88/rom.h
Added : /trunk/src/emu/bus/z88/z88.c
Added : /trunk/src/emu/bus/z88/z88.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/iq151.c
Modified : /trunk/src/mess/includes/kc.h
Modified : /trunk/src/mess/includes/tvc.h
Modified : /trunk/src/mess/includes/z88.h
Deleted : /trunk/src/mess/machine/iq151_disc2.c
Deleted : /trunk/src/mess/machine/iq151_disc2.h
Deleted : /trunk/src/mess/machine/iq151_minigraf.c
Deleted : /trunk/src/mess/machine/iq151_minigraf.h
Deleted : /trunk/src/mess/machine/iq151_ms151a.c
Deleted : /trunk/src/mess/machine/iq151_ms151a.h
Deleted : /trunk/src/mess/machine/iq151_rom.c
Deleted : /trunk/src/mess/machine/iq151_rom.h
Deleted : /trunk/src/mess/machine/iq151_staper.c
Deleted : /trunk/src/mess/machine/iq151_staper.h
Deleted : /trunk/src/mess/machine/iq151cart.c
Deleted : /trunk/src/mess/machine/iq151cart.h
Deleted : /trunk/src/mess/machine/kc_d002.c
Deleted : /trunk/src/mess/machine/kc_d002.h
Deleted : /trunk/src/mess/machine/kc_d004.c
Deleted : /trunk/src/mess/machine/kc_d004.h
Deleted : /trunk/src/mess/machine/kc_ram.c
Deleted : /trunk/src/mess/machine/kc_ram.h
Deleted : /trunk/src/mess/machine/kc_rom.c
Deleted : /trunk/src/mess/machine/kc_rom.h
Deleted : /trunk/src/mess/machine/kcexp.c
Deleted : /trunk/src/mess/machine/kcexp.h
Deleted : /trunk/src/mess/machine/tvc_hbf.c
Deleted : /trunk/src/mess/machine/tvc_hbf.h
Deleted : /trunk/src/mess/machine/tvcexp.c
Deleted : /trunk/src/mess/machine/tvcexp.h
Deleted : /trunk/src/mess/machine/z88_flash.c
Deleted : /trunk/src/mess/machine/z88_flash.h
Deleted : /trunk/src/mess/machine/z88_ram.c
Deleted : /trunk/src/mess/machine/z88_ram.h
Deleted : /trunk/src/mess/machine/z88_rom.c
Deleted : /trunk/src/mess/machine/z88_rom.h
Deleted : /trunk/src/mess/machine/z88cart.c
Deleted : /trunk/src/mess/machine/z88cart.h
Modified : /trunk/src/mess/mess.mak
Deleted : /trunk/src/mess/video/iq151_grafik.c
Deleted : /trunk/src/mess/video/iq151_grafik.h
Deleted : /trunk/src/mess/video/iq151_video32.c
Deleted : /trunk/src/mess/video/iq151_video32.h
Deleted : /trunk/src/mess/video/iq151_video64.c
Deleted : /trunk/src/mess/video/iq151_video64.h

Revision: 25846
Author: hap
Date: 26 October 2013 17:28:50
Message:
(Windows) add higher resolution icons for mame/mess. These were made available by JacKc a few months ago. I don't mean to imply that they are 'official', they may be replaced later.
----
Modified : /trunk/src/mess/osd/windows/mess.ico
Modified : /trunk/src/osd/windows/mame.ico

Revision: 25845
Author: smf
Date: 26 October 2013 16:48:32
Message:
Hooked up DSP/GPU interrupt to tom that was missed when modernizing jaguar core in r24736. Fixes Area 51 issue mentioned in mametesters 05256, but 0.149u1 was released before the modernizing and maxf_ng still has the problem mentioned in the bug report. [smf]
----
Modified : /trunk/src/emu/cpu/jaguar/jaguar.h
Modified : /trunk/src/mame/drivers/jaguar.c
Modified : /trunk/src/mame/includes/jaguar.h
Modified : /trunk/src/mame/video/jaguar.c

Revision: 25844
Author: hap
Date: 26 October 2013 13:24:21
Message:
Hardcoded toggled inputs (eg. simulated hi-lo gearshift-lock in racing games) can now be manually turned off or on by the user. [hap]

For example, to disable the toggle on the shifter in outrun, open /cfg/outrun.cfg and add toggle="no" to the port tag, like so:
<port tag=":SERVICE" type="P1_BUTTON1" mask="16" defvalue="0" toggle="no">

----
Modified : /trunk/src/emu/ioport.c
Modified : /trunk/src/emu/ioport.h

Revision: 25843
Author: alexjack
Date: 26 October 2013 13:01:51
Message:
spc700ds.c: fix disassembly of memory-to-memory and immediate-to-memory instructions [Alex Jackson]
----
Modified : /trunk/src/emu/cpu/spc700/spc700ds.c

Revision: 25842
Author: alexjack
Date: 26 October 2013 12:57:38
Message:
SDL: Fix SDL1 build (nw)
----
Modified : /trunk/src/osd/sdl/input.c

Revision: 25841
Author: smf
Date: 26 October 2013 12:09:59
Message:
New games added or promoted from NOT_WORKING status
---------------------------------------------------
Turret Tower [Philip Bennett, smf]
----
Modified : /trunk/src/emu/machine/idehd.h
Added : /trunk/src/mame/audio/turrett.c
Modified : /trunk/src/mame/drivers/turrett.c
Added : /trunk/src/mame/includes/turrett.h
Modified : /trunk/src/mame/mame.mak
Added : /trunk/src/mame/video/turrett.c

Revision: 25840
Author: smf
Date: 26 October 2013 12:04:56
Message:
Changed IDE read sector timing to be the same as read multiple instead of write sector. [smf]
----
Modified : /trunk/src/emu/machine/idehd.c

Revision: 25839
Author: rbelmont
Date: 26 October 2013 04:20:21
Message:
Whoops (nw)

----
Modified : /trunk/src/osd/sdl/sdl.mak

Revision: 25838
Author: rbelmont
Date: 26 October 2013 04:19:45
Message:
SDL: disable TrueType support for SDL2 builds for now. (nw)

----
Modified : /trunk/src/osd/sdl/sdl.mak
Modified : /trunk/src/osd/sdl/sdlmain.c

Revision: 25837
Author: rbelmont
Date: 26 October 2013 04:16:12
Message:
SDL: Fix joystick to work with final SDL 2.0 (nw)

----
Modified : /trunk/src/osd/sdl/input.c

Revision: 25836
Author: curtcode
Date: 25 October 2013 20:40:41
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.h
Modified : /trunk/src/emu/bus/abcbus/lux21056.c
Modified : /trunk/src/emu/bus/abcbus/lux21056.h
Modified : /trunk/src/emu/machine/z80dma.h

Revision: 25835
Author: robbbert
Date: 25 October 2013 17:46:10
Message:
(MESS) instructor50 : Added interrupt logic. Connected up remaining keys.
----
Modified : /trunk/src/mess/drivers/instruct.c

Revision: 25834
Author: rbelmont
Date: 25 October 2013 04:14:09
Message:
Another Clang fix (nw)

----
Modified : /trunk/src/emu/video/fixfreq.c

Revision: 25833
Author: rbelmont
Date: 25 October 2013 04:11:36
Message:
Clang fix (nw)

----
Modified : /trunk/src/mame/includes/wpc_pin.h

Revision: 25832
Author: rbelmont
Date: 25 October 2013 03:53:57
Message:
SDL: Remove deprecated GTK+ debugger. [R. Belmont]


----
Deleted : /trunk/src/osd/sdl/debug-cb.h
Deleted : /trunk/src/osd/sdl/debug-cb.ign
Deleted : /trunk/src/osd/sdl/debug-intf.c
Deleted : /trunk/src/osd/sdl/debug-intf.h
Deleted : /trunk/src/osd/sdl/debug-sup.c
Deleted : /trunk/src/osd/sdl/debug-sup.h
Deleted : /trunk/src/osd/sdl/debug.glade
Deleted : /trunk/src/osd/sdl/debug.gladep
Modified : /trunk/src/osd/sdl/debugqt.c
Added : /trunk/src/osd/sdl/debugqt.h
Deleted : /trunk/src/osd/sdl/debugwin.c
Deleted : /trunk/src/osd/sdl/debugwin.h
Deleted : /trunk/src/osd/sdl/dview.c
Deleted : /trunk/src/osd/sdl/dview.h
Modified : /trunk/src/osd/sdl/video.c

Revision: 25831
Author: rbelmont
Date: 25 October 2013 03:27:31
Message:
SDL: add SDL_FRAMEWORK_PATH option to control where SDL is installed on OS X plus OS X 10.9 support. Started removing deprecated GTK+ debugger. [R. Belmont, Balrog]


----
Modified : /trunk/src/osd/sdl/sdl.mak

Revision: 25830
Author: curtcode
Date: 24 October 2013 22:05:32
Message:
(MESS) abc800: Xebec WIP. (nw)
----
Modified : /trunk/src/emu/bus/abcbus/abcbus.c
Modified : /trunk/src/emu/bus/abcbus/abcbus.h
Modified : /trunk/src/emu/bus/abcbus/lux21046.c
Modified : /trunk/src/emu/bus/abcbus/lux21046.h
Added : /trunk/src/emu/bus/abcbus/lux21056.c
Added : /trunk/src/emu/bus/abcbus/lux21056.h
Deleted : /trunk/src/emu/bus/abcbus/xebec.c
Deleted : /trunk/src/emu/bus/abcbus/xebec.h
Modified : /trunk/src/emu/bus/bus.mak

Revision: 25829
Author: tafoid
Date: 24 October 2013 21:05:13
Message:
New clones added
----------------
Phozon (Sidam)  [Albolo, Silvio Grazzini, Corrado Tomaselli]

----
Modified : /trunk/src/mame/drivers/mappy.c
Modified : /trunk/src/mame/mame.lst

Revision: 25828
Author: ivanva
Date: 24 October 2013 20:36:45
Message:
Modernized the Pleiads sound device. (nw)
----
Modified : /trunk/src/mame/audio/pleiads.c
Modified : /trunk/src/mame/audio/pleiads.h
Modified : /trunk/src/mame/audio/segasnd.c
Modified : /trunk/src/mame/drivers/naughtyb.c
Modified : /trunk/src/mame/drivers/phoenix.c
Modified : /trunk/src/mame/includes/naughtyb.h
Modified : /trunk/src/mame/includes/phoenix.h
Modified : /trunk/src/mame/video/naughtyb.c
Modified : /trunk/src/mame/video/phoenix.c

Revision: 25827
Author: ivanva
Date: 24 October 2013 20:31:15
Message:
Modernized Sega Speech and Sega USB devices. (nw)
----
Modified : /trunk/src/mame/audio/segasnd.c
Modified : /trunk/src/mame/audio/segasnd.h
Modified : /trunk/src/mame/drivers/segag80r.c
Modified : /trunk/src/mame/drivers/segag80v.c
Modified : /trunk/src/mame/drivers/zaxxon.c
Modified : /trunk/src/mame/includes/segag80r.h
Modified : /trunk/src/mame/includes/segag80v.h

Revision: 25826
Author: curtcode
Date: 24 October 2013 20:18:14
Message:
(MESS) compis: Refactored to use i80130, does not work yet. (nw)
----
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h

Revision: 25825
Author: curtcode
Date: 24 October 2013 19:07:38
Message:
Added i80130 OSP emulation. [Curt Coder]
----
Added : /trunk/src/emu/machine/i80130.c
Added : /trunk/src/emu/machine/i80130.h
Modified : /trunk/src/emu/machine/machine.mak
Modified : /trunk/src/mess/mess.mak

Revision: 25824
Author: curtcode
Date: 24 October 2013 17:11:20
Message:
(MESS) compis: WIP. (nw)
----
Modified : /trunk/src/mess/drivers/compis.c

Revision: 25823
Author: curtcode
Date: 24 October 2013 16:51:56
Message:
(MESS) compis: WIP. (nw)
----
Modified : /trunk/src/mess/drivers/compis.c

Revision: 25822
Author: curtcode
Date: 24 October 2013 16:19:45
Message:
(MESS) compis: Added configuration jumpers. (nw)
----
Modified : /trunk/src/emu/bus/isbx/isbx.h
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/machine/compiskb.c

Revision: 25821
Author: robbbert
Date: 24 October 2013 13:58:32
Message:
(MESS) instructor50 wip
----
Modified : /trunk/src/mess/drivers/instruct.c

Revision: 25820
Author: robbbert
Date: 24 October 2013 09:49:07
Message:
(MESS) elektor : fixed quickload regression
----
Modified : /trunk/src/mess/drivers/vc4000.c

Revision: 25819
Author: jgevarya
Date: 23 October 2013 21:35:57
Message:
very small info update for one pdp11 prom
----
Modified : /trunk/src/mess/drivers/pdp11.c

Revision: 25818
Author: jgevarya
Date: 23 October 2013 21:34:19
Message:
specify licenses

----
Modified : /trunk/src/mess/drivers/pes.c
Modified : /trunk/src/mess/drivers/vk100.c

Revision: 25817
Author: curtcode
Date: 23 October 2013 21:30:41
Message:
(MESS) compis: Cleanup. (nw)
----
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h
Deleted : /trunk/src/mess/machine/compis.c
Modified : /trunk/src/mess/mess.mak

Revision: 25816
Author: angelosa
Date: 23 October 2013 19:00:47
Message:
Timer divider is supposed to be vs. the master clock, makes things to be a bit faster
----
Modified : /trunk/src/mess/machine/gamecom.c

Revision: 25815
Author: rbelmont
Date: 23 October 2013 18:01:59
Message:
fix Xcode 5.0.1 build (nw)


----
Modified : /trunk/src/lib/web/json/reader.h

Revision: 25814
Author: angelosa
Date: 23 October 2013 17:46:29
Message:
Improved i/o handling a bit
----
Modified : /trunk/src/mess/includes/gamecom.h
Modified : /trunk/src/mess/machine/gamecom.c

Revision: 25813
Author: angelosa
Date: 23 October 2013 16:59:18
Message:
Hooked DAC writes, now Game.com greets you with a very low pitched "Game Com" speech
----
Modified : /trunk/src/mess/drivers/gamecom.c
Modified : /trunk/src/mess/includes/gamecom.h
Modified : /trunk/src/mess/machine/gamecom.c

Revision: 25812
Author: hap
Date: 23 October 2013 16:55:58
Message:
and a broken dipswitcgh
----
Modified : /trunk/src/mame/drivers/thepit.c

Revision: 25811
Author: hap
Date: 23 October 2013 16:43:43
Message:
one more thing
----
Modified : /trunk/src/mame/drivers/thepit.c

Revision: 25810
Author: hap
Date: 23 October 2013 16:41:31
Message:
funnymou info from auction pcb/artwork pics, thanks Layne
----
Modified : /trunk/src/mame/drivers/thepit.c

Revision: 25809
Author: angelosa
Date: 23 October 2013 16:25:39
Message:
Rather crude h/v blank params, to be improved, nw
----
Modified : /trunk/src/mess/includes/gamecom.h
Modified : /trunk/src/mess/machine/gamecom.c

Revision: 25808
Author: robbbert
Date: 23 October 2013 16:09:30
Message:
(MESS) cd2650 : some more tidy up (nw)
----
Modified : /trunk/src/mess/drivers/cd2650.c

Revision: 25807
Author: miodragm
Date: 23 October 2013 14:01:30
Message:
moved centronics into emu/bus (nw)
----
Modified : /trunk/src/emu/bus/adam/ide.h
Modified : /trunk/src/emu/bus/bus.mak
Modified : /trunk/src/emu/bus/c64/geocable.h
Modified : /trunk/src/emu/bus/cbmiec/c1541.h
Added : /trunk/src/emu/bus/centronics
Added : /trunk/src/emu/bus/centronics/covox.c
Added : /trunk/src/emu/bus/centronics/covox.h
Added : /trunk/src/emu/bus/centronics/ctronics.c
Added : /trunk/src/emu/bus/centronics/ctronics.h
Modified : /trunk/src/emu/bus/comx35/printer.h
Modified : /trunk/src/emu/bus/ecbbus/grip.h
Modified : /trunk/src/emu/bus/econet/e01.h
Modified : /trunk/src/emu/emu.mak
Deleted : /trunk/src/emu/machine/ctronics.c
Deleted : /trunk/src/emu/machine/ctronics.h
Modified : /trunk/src/emu/machine/machine.mak
Modified : /trunk/src/mame/mame.mak
Modified : /trunk/src/mess/drivers/ace.c
Modified : /trunk/src/mess/drivers/amiga.c
Modified : /trunk/src/mess/drivers/amstrad.c
Modified : /trunk/src/mess/drivers/applix.c
Modified : /trunk/src/mess/drivers/apricot.c
Modified : /trunk/src/mess/drivers/bbc.c
Modified : /trunk/src/mess/drivers/elwro800.c
Modified : /trunk/src/mess/drivers/fm7.c
Modified : /trunk/src/mess/drivers/m5.c
Modified : /trunk/src/mess/drivers/mtx.c
Modified : /trunk/src/mess/drivers/mz700.c
Modified : /trunk/src/mess/drivers/nc.c
Modified : /trunk/src/mess/drivers/pc8801.c
Modified : /trunk/src/mess/drivers/pencil2.c
Modified : /trunk/src/mess/drivers/prof180x.c
Modified : /trunk/src/mess/drivers/px4.c
Modified : /trunk/src/mess/drivers/rmnimbus.c
Modified : /trunk/src/mess/drivers/samcoupe.c
Modified : /trunk/src/mess/drivers/svi318.c
Modified : /trunk/src/mess/drivers/thomson.c
Modified : /trunk/src/mess/drivers/tutor.c
Modified : /trunk/src/mess/drivers/vtech1.c
Modified : /trunk/src/mess/includes/amstrad.h
Modified : /trunk/src/mess/includes/apricotf.h
Modified : /trunk/src/mess/includes/apricotp.h
Modified : /trunk/src/mess/includes/atarist.h
Modified : /trunk/src/mess/includes/atom.h
Modified : /trunk/src/mess/includes/bullet.h
Modified : /trunk/src/mess/includes/bw12.h
Modified : /trunk/src/mess/includes/bw2.h
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/includes/crvision.h
Modified : /trunk/src/mess/includes/einstein.h
Modified : /trunk/src/mess/includes/ep64.h
Modified : /trunk/src/mess/includes/jtc.h
Modified : /trunk/src/mess/includes/kaypro.h
Modified : /trunk/src/mess/includes/kyocera.h
Modified : /trunk/src/mess/includes/mbc55x.h
Modified : /trunk/src/mess/includes/mbee.h
Modified : /trunk/src/mess/includes/mc1000.h
Modified : /trunk/src/mess/includes/msx.h
Modified : /trunk/src/mess/includes/mtx.h
Modified : /trunk/src/mess/includes/oric.h
Modified : /trunk/src/mess/includes/pc.h
Modified : /trunk/src/mess/includes/pc1512.h
Modified : /trunk/src/mess/includes/pc8001.h
Modified : /trunk/src/mess/includes/phc25.h
Modified : /trunk/src/mess/includes/portfoli.h
Modified : /trunk/src/mess/includes/sage2.h
Modified : /trunk/src/mess/includes/sg1000.h
Modified : /trunk/src/mess/includes/sorcerer.h
Modified : /trunk/src/mess/includes/super80.h
Modified : /trunk/src/mess/includes/svi318.h
Modified : /trunk/src/mess/includes/tandy2k.h
Modified : /trunk/src/mess/includes/thomson.h
Modified : /trunk/src/mess/includes/tmc600.h
Modified : /trunk/src/mess/includes/trs80.h
Modified : /trunk/src/mess/includes/trs80m2.h
Modified : /trunk/src/mess/includes/tvc.h
Modified : /trunk/src/mess/includes/v1050.h
Modified : /trunk/src/mess/includes/victor9k.h
Modified : /trunk/src/mess/includes/wangpc.h
Modified : /trunk/src/mess/includes/xor100.h
Modified : /trunk/src/mess/machine/amstrad.c
Modified : /trunk/src/mess/machine/bbc.c
Deleted : /trunk/src/mess/machine/cntr_covox.c
Deleted : /trunk/src/mess/machine/cntr_covox.h
Modified : /trunk/src/mess/machine/comxpl80.h
Modified : /trunk/src/mess/machine/mtx.c
Modified : /trunk/src/mess/machine/mz700.c
Modified : /trunk/src/mess/machine/pc_lpt.h
Modified : /trunk/src/mess/machine/rmnimbus.c
Modified : /trunk/src/mess/machine/thomson.c
Modified : /trunk/src/mess/mess.mak

Revision: 25806
Author: jgevarya
Date: 23 October 2013 09:15:58
Message:
8080bw.c: more updates and corrections by Andy Welburn
----
Modified : /trunk/src/mame/drivers/8080bw.c

Revision: 25805
Author: briantro
Date: 23 October 2013 01:32:33
Message:
segas16b.c: uuhhggg.... fix cut-n-paste error - NW
----
Modified : /trunk/src/mame/drivers/segas16b.c

Revision: 25804
Author: briantro
Date: 23 October 2013 01:28:32
Message:
segas16b.c: Remove unneeded comments - NW
----
Modified : /trunk/src/mame/drivers/segas16b.c

Revision: 25803
Author: briantro
Date: 23 October 2013 01:20:42
Message:
new Sega System 16B clones

New Clones Added
--------------------------------------
Dynamite Dux (set 2, Japan, FD1094 317-0094) [Charles MacDonald, ShouTime, The Dumping Union]
E-Swat - Cyber Police (set 1, Japan, FD1094 317-0131) [Charles MacDonald, ShouTime, The Dumping Union]

----
Modified : /trunk/src/mame/drivers/segas16b.c
Modified : /trunk/src/mame/drivers/system16.c
Modified : /trunk/src/mame/mame.lst

Revision: 25802
Author: jgevarya
Date: 22 October 2013 23:14:40
Message:
specify licenses, by request


----
Modified : /trunk/src/mess/drivers/n64.c

Revision: 25801
Author: rbelmont
Date: 22 October 2013 22:17:44
Message:
(MESS) Move NuBus and friends into the new bus structure (nw)

----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/nubus
Added : /trunk/src/emu/bus/nubus/nubus.c
Added : /trunk/src/emu/bus/nubus/nubus.h
Added : /trunk/src/emu/bus/nubus/nubus_48gc.c
Added : /trunk/src/emu/bus/nubus/nubus_48gc.h
Added : /trunk/src/emu/bus/nubus/nubus_asntmc3b.c
Added : /trunk/src/emu/bus/nubus/nubus_asntmc3b.h
Added : /trunk/src/emu/bus/nubus/nubus_cb264.c
Added : /trunk/src/emu/bus/nubus/nubus_cb264.h
Added : /trunk/src/emu/bus/nubus/nubus_image.c
Added : /trunk/src/emu/bus/nubus/nubus_image.h
Added : /trunk/src/emu/bus/nubus/nubus_m2hires.c
Added : /trunk/src/emu/bus/nubus/nubus_m2hires.h
Added : /trunk/src/emu/bus/nubus/nubus_m2video.c
Added : /trunk/src/emu/bus/nubus/nubus_m2video.h
Added : /trunk/src/emu/bus/nubus/nubus_radiustpd.c
Added : /trunk/src/emu/bus/nubus/nubus_radiustpd.h
Added : /trunk/src/emu/bus/nubus/nubus_spec8.c
Added : /trunk/src/emu/bus/nubus/nubus_spec8.h
Added : /trunk/src/emu/bus/nubus/nubus_specpdq.c
Added : /trunk/src/emu/bus/nubus/nubus_specpdq.h
Added : /trunk/src/emu/bus/nubus/nubus_vikbw.c
Added : /trunk/src/emu/bus/nubus/nubus_vikbw.h
Added : /trunk/src/emu/bus/nubus/nubus_wsportrait.c
Added : /trunk/src/emu/bus/nubus/nubus_wsportrait.h
Added : /trunk/src/emu/bus/nubus/pds30_30hr.c
Added : /trunk/src/emu/bus/nubus/pds30_30hr.h
Added : /trunk/src/emu/bus/nubus/pds30_cb264.c
Added : /trunk/src/emu/bus/nubus/pds30_cb264.h
Added : /trunk/src/emu/bus/nubus/pds30_mc30.c
Added : /trunk/src/emu/bus/nubus/pds30_mc30.h
Added : /trunk/src/emu/bus/nubus/pds30_procolor816.c
Added : /trunk/src/emu/bus/nubus/pds30_procolor816.h
Added : /trunk/src/emu/bus/nubus/pds30_sigmalview.c
Added : /trunk/src/emu/bus/nubus/pds30_sigmalview.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/mac.c
Modified : /trunk/src/mess/includes/mac.h
Deleted : /trunk/src/mess/machine/nubus.c
Deleted : /trunk/src/mess/machine/nubus.h
Deleted : /trunk/src/mess/machine/nubus_asntmc3b.c
Deleted : /trunk/src/mess/machine/nubus_asntmc3b.h
Deleted : /trunk/src/mess/machine/nubus_image.c
Deleted : /trunk/src/mess/machine/nubus_image.h
Modified : /trunk/src/mess/mess.mak
Deleted : /trunk/src/mess/video/nubus_48gc.c
Deleted : /trunk/src/mess/video/nubus_48gc.h
Deleted : /trunk/src/mess/video/nubus_cb264.c
Deleted : /trunk/src/mess/video/nubus_cb264.h
Deleted : /trunk/src/mess/video/nubus_m2hires.c
Deleted : /trunk/src/mess/video/nubus_m2hires.h
Deleted : /trunk/src/mess/video/nubus_m2video.c
Deleted : /trunk/src/mess/video/nubus_m2video.h
Deleted : /trunk/src/mess/video/nubus_radiustpd.c
Deleted : /trunk/src/mess/video/nubus_radiustpd.h
Deleted : /trunk/src/mess/video/nubus_spec8.c
Deleted : /trunk/src/mess/video/nubus_spec8.h
Deleted : /trunk/src/mess/video/nubus_specpdq.c
Deleted : /trunk/src/mess/video/nubus_specpdq.h
Deleted : /trunk/src/mess/video/nubus_vikbw.c
Deleted : /trunk/src/mess/video/nubus_vikbw.h
Deleted : /trunk/src/mess/video/nubus_wsportrait.c
Deleted : /trunk/src/mess/video/nubus_wsportrait.h
Deleted : /trunk/src/mess/video/pds30_30hr.c
Deleted : /trunk/src/mess/video/pds30_30hr.h
Deleted : /trunk/src/mess/video/pds30_cb264.c
Deleted : /trunk/src/mess/video/pds30_cb264.h
Deleted : /trunk/src/mess/video/pds30_mc30.c
Deleted : /trunk/src/mess/video/pds30_mc30.h
Deleted : /trunk/src/mess/video/pds30_procolor816.c
Deleted : /trunk/src/mess/video/pds30_procolor816.h
Deleted : /trunk/src/mess/video/pds30_sigmalview.c
Deleted : /trunk/src/mess/video/pds30_sigmalview.h

Revision: 25800
Author: couriers
Date: 22 October 2013 22:01:26
Message:
Netlist code: fixed an issue with 7493 and other minor fixes
----
Modified : /trunk/src/emu/machine/net_lib.c
Modified : /trunk/src/emu/machine/net_lib.h
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h

Revision: 25799
Author: hap
Date: 22 October 2013 21:52:51
Message:
moar
----
Modified : /trunk/src/mame/drivers/8080bw.c

Revision: 25798
Author: curtcode
Date: 22 October 2013 21:09:58
Message:
License tags. (nw)
----
Modified : /trunk/src/mess/machine/sa1403d.c
Modified : /trunk/src/mess/machine/sa1403d.h

Revision: 25797
Author: michaelz
Date: 22 October 2013 20:30:51
Message:
tms9995: Fine-tune cycles. (nw)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c

Revision: 25796
Author: jgevarya
Date: 22 October 2013 19:53:31
Message:
fix whitespace, n/w
----
Modified : /trunk/src/mame/drivers/8080bw.c

Revision: 25795
Author: jgevarya
Date: 22 October 2013 19:50:21
Message:
8080bw.c: fix Space Invaders rom names again, add more comment information [Andy Welburn, Lord Nightmare]
----
Modified : /trunk/src/mame/drivers/8080bw.c

Revision: 25794
Author: rbelmont
Date: 22 October 2013 17:51:06
Message:
(nw)

----
Modified : /trunk/src/mess/drivers/apple3.c

Revision: 25793
Author: rbelmont
Date: 22 October 2013 17:49:54
Message:
one more (nw)

----
Modified : /trunk/src/mess/machine/apple2gs.c

Revision: 25792
Author: rbelmont
Date: 22 October 2013 17:49:08
Message:
missed an outdated include (nw)

----
Modified : /trunk/src/mess/machine/apple2.c

Revision: 25791
Author: rbelmont
Date: 22 October 2013 17:45:06
Message:
(MESS) Apple II bus moving day (nw)


----
Added : /trunk/src/emu/bus/a2bus
Added : /trunk/src/emu/bus/a2bus/a2alfam2.c
Added : /trunk/src/emu/bus/a2bus/a2alfam2.h
Added : /trunk/src/emu/bus/a2bus/a2applicard.c
Added : /trunk/src/emu/bus/a2bus/a2applicard.h
Added : /trunk/src/emu/bus/a2bus/a2arcadebd.c
Added : /trunk/src/emu/bus/a2bus/a2arcadebd.h
Added : /trunk/src/emu/bus/a2bus/a2bus.c
Added : /trunk/src/emu/bus/a2bus/a2bus.h
Added : /trunk/src/emu/bus/a2bus/a2cffa.c
Added : /trunk/src/emu/bus/a2bus/a2cffa.h
Added : /trunk/src/emu/bus/a2bus/a2diskii.c
Added : /trunk/src/emu/bus/a2bus/a2diskii.h
Added : /trunk/src/emu/bus/a2bus/a2eauxslot.c
Added : /trunk/src/emu/bus/a2bus/a2eauxslot.h
Added : /trunk/src/emu/bus/a2bus/a2echoii.c
Added : /trunk/src/emu/bus/a2bus/a2echoii.h
Added : /trunk/src/emu/bus/a2bus/a2eext80col.c
Added : /trunk/src/emu/bus/a2bus/a2eext80col.h
Added : /trunk/src/emu/bus/a2bus/a2eramworks3.c
Added : /trunk/src/emu/bus/a2bus/a2eramworks3.h
Added : /trunk/src/emu/bus/a2bus/a2estd80col.c
Added : /trunk/src/emu/bus/a2bus/a2estd80col.h
Added : /trunk/src/emu/bus/a2bus/a2hsscsi.c
Added : /trunk/src/emu/bus/a2bus/a2hsscsi.h
Added : /trunk/src/emu/bus/a2bus/a2lang.c
Added : /trunk/src/emu/bus/a2bus/a2lang.h
Added : /trunk/src/emu/bus/a2bus/a2memexp.c
Added : /trunk/src/emu/bus/a2bus/a2memexp.h
Added : /trunk/src/emu/bus/a2bus/a2midi.c
Added : /trunk/src/emu/bus/a2bus/a2midi.h
Added : /trunk/src/emu/bus/a2bus/a2mockingboard.c
Added : /trunk/src/emu/bus/a2bus/a2mockingboard.h
Added : /trunk/src/emu/bus/a2bus/a2sam.c
Added : /trunk/src/emu/bus/a2bus/a2sam.h
Added : /trunk/src/emu/bus/a2bus/a2scsi.c
Added : /trunk/src/emu/bus/a2bus/a2scsi.h
Added : /trunk/src/emu/bus/a2bus/a2softcard.c
Added : /trunk/src/emu/bus/a2bus/a2softcard.h
Added : /trunk/src/emu/bus/a2bus/a2ssc.c
Added : /trunk/src/emu/bus/a2bus/a2ssc.h
Added : /trunk/src/emu/bus/a2bus/a2swyft.c
Added : /trunk/src/emu/bus/a2bus/a2swyft.h
Added : /trunk/src/emu/bus/a2bus/a2themill.c
Added : /trunk/src/emu/bus/a2bus/a2themill.h
Added : /trunk/src/emu/bus/a2bus/a2thunderclock.c
Added : /trunk/src/emu/bus/a2bus/a2thunderclock.h
Added : /trunk/src/emu/bus/a2bus/a2videoterm.c
Added : /trunk/src/emu/bus/a2bus/a2videoterm.h
Added : /trunk/src/emu/bus/a2bus/a2vulcan.c
Added : /trunk/src/emu/bus/a2bus/a2vulcan.h
Added : /trunk/src/emu/bus/a2bus/a2zipdrive.c
Added : /trunk/src/emu/bus/a2bus/a2zipdrive.h
Added : /trunk/src/emu/bus/a2bus/laser128.c
Added : /trunk/src/emu/bus/a2bus/laser128.h
Modified : /trunk/src/emu/bus/bus.mak
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/emu/machine/machine.mak
Added : /trunk/src/emu/machine/ncr5380n.c
Added : /trunk/src/emu/machine/ncr5380n.h
Modified : /trunk/src/mess/drivers/apple2.c
Modified : /trunk/src/mess/drivers/apple2gs.c
Modified : /trunk/src/mess/includes/apple2.h
Deleted : /trunk/src/mess/machine/a2alfam2.c
Deleted : /trunk/src/mess/machine/a2alfam2.h
Deleted : /trunk/src/mess/machine/a2applicard.c
Deleted : /trunk/src/mess/machine/a2applicard.h
Deleted : /trunk/src/mess/machine/a2arcadebd.c
Deleted : /trunk/src/mess/machine/a2arcadebd.h
Deleted : /trunk/src/mess/machine/a2bus.c
Deleted : /trunk/src/mess/machine/a2bus.h
Deleted : /trunk/src/mess/machine/a2cffa.c
Deleted : /trunk/src/mess/machine/a2cffa.h
Deleted : /trunk/src/mess/machine/a2diskii.c
Deleted : /trunk/src/mess/machine/a2diskii.h
Deleted : /trunk/src/mess/machine/a2eauxslot.c
Deleted : /trunk/src/mess/machine/a2eauxslot.h
Deleted : /trunk/src/mess/machine/a2echoii.c
Deleted : /trunk/src/mess/machine/a2echoii.h
Deleted : /trunk/src/mess/machine/a2eext80col.c
Deleted : /trunk/src/mess/machine/a2eext80col.h
Deleted : /trunk/src/mess/machine/a2eramworks3.c
Deleted : /trunk/src/mess/machine/a2eramworks3.h
Deleted : /trunk/src/mess/machine/a2estd80col.c
Deleted : /trunk/src/mess/machine/a2estd80col.h
Deleted : /trunk/src/mess/machine/a2hsscsi.c
Deleted : /trunk/src/mess/machine/a2hsscsi.h
Deleted : /trunk/src/mess/machine/a2lang.c
Deleted : /trunk/src/mess/machine/a2lang.h
Deleted : /trunk/src/mess/machine/a2memexp.c
Deleted : /trunk/src/mess/machine/a2memexp.h
Deleted : /trunk/src/mess/machine/a2midi.c
Deleted : /trunk/src/mess/machine/a2midi.h
Deleted : /trunk/src/mess/machine/a2mockingboard.c
Deleted : /trunk/src/mess/machine/a2mockingboard.h
Deleted : /trunk/src/mess/machine/a2sam.c
Deleted : /trunk/src/mess/machine/a2sam.h
Deleted : /trunk/src/mess/machine/a2scsi.c
Deleted : /trunk/src/mess/machine/a2scsi.h
Deleted : /trunk/src/mess/machine/a2softcard.c
Deleted : /trunk/src/mess/machine/a2softcard.h
Deleted : /trunk/src/mess/machine/a2ssc.c
Deleted : /trunk/src/mess/machine/a2ssc.h
Deleted : /trunk/src/mess/machine/a2swyft.c
Deleted : /trunk/src/mess/machine/a2swyft.h
Deleted : /trunk/src/mess/machine/a2themill.c
Deleted : /trunk/src/mess/machine/a2themill.h
Deleted : /trunk/src/mess/machine/a2thunderclock.c
Deleted : /trunk/src/mess/machine/a2thunderclock.h
Deleted : /trunk/src/mess/machine/a2videoterm.c
Deleted : /trunk/src/mess/machine/a2videoterm.h
Deleted : /trunk/src/mess/machine/a2vulcan.c
Deleted : /trunk/src/mess/machine/a2vulcan.h
Deleted : /trunk/src/mess/machine/a2zipdrive.c
Deleted : /trunk/src/mess/machine/a2zipdrive.h
Modified : /trunk/src/mess/machine/apple2.c
Deleted : /trunk/src/mess/machine/laser128.c
Deleted : /trunk/src/mess/machine/laser128.h
Deleted : /trunk/src/mess/machine/ncr5380n.c
Deleted : /trunk/src/mess/machine/ncr5380n.h
Modified : /trunk/src/mess/mess.mak
Modified : /trunk/src/mess/video/apple2.c

Revision: 25790
Author: curtcode
Date: 22 October 2013 16:47:34
Message:
Cleanup. (nw)
----
Deleted : /trunk/src/emu/bus/c64/cbm_crt.c

Revision: 25789
Author: curtcode
Date: 22 October 2013 16:44:27
Message:
(MESS) Moved a bunch of buses under emu/bus. (nw)
----
Added : /trunk/src/emu/bus/abc1600
Added : /trunk/src/emu/bus/abc1600/abc1600.c
Added : /trunk/src/emu/bus/abc1600/abc1600.h
Added : /trunk/src/emu/bus/abc1600/lux4105.c
Added : /trunk/src/emu/bus/abc1600/lux4105.h
Added : /trunk/src/emu/bus/adam
Added : /trunk/src/emu/bus/adam/adamlink.c
Added : /trunk/src/emu/bus/adam/adamlink.h
Added : /trunk/src/emu/bus/adam/exp.c
Added : /trunk/src/emu/bus/adam/exp.h
Added : /trunk/src/emu/bus/adam/ide.c
Added : /trunk/src/emu/bus/adam/ide.h
Added : /trunk/src/emu/bus/adam/ram.c
Added : /trunk/src/emu/bus/adam/ram.h
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/bw2
Added : /trunk/src/emu/bus/bw2/exp.c
Added : /trunk/src/emu/bus/bw2/exp.h
Added : /trunk/src/emu/bus/bw2/ramcard.c
Added : /trunk/src/emu/bus/bw2/ramcard.h
Added : /trunk/src/emu/bus/c64/cbm_crt.c
Modified : /trunk/src/emu/bus/c64/exp.h
Added : /trunk/src/emu/bus/cbm2
Added : /trunk/src/emu/bus/cbm2/24k.c
Added : /trunk/src/emu/bus/cbm2/24k.h
Added : /trunk/src/emu/bus/cbm2/exp.c
Added : /trunk/src/emu/bus/cbm2/exp.h
Added : /trunk/src/emu/bus/cbm2/hrg.c
Added : /trunk/src/emu/bus/cbm2/hrg.h
Added : /trunk/src/emu/bus/cbm2/std.c
Added : /trunk/src/emu/bus/cbm2/std.h
Added : /trunk/src/emu/bus/cbm2/user.c
Added : /trunk/src/emu/bus/cbm2/user.h
Added : /trunk/src/emu/bus/ecbbus
Added : /trunk/src/emu/bus/ecbbus/ecbbus.c
Added : /trunk/src/emu/bus/ecbbus/ecbbus.h
Added : /trunk/src/emu/bus/ecbbus/grip.c
Added : /trunk/src/emu/bus/ecbbus/grip.h
Added : /trunk/src/emu/bus/econet
Added : /trunk/src/emu/bus/econet/e01.c
Added : /trunk/src/emu/bus/econet/e01.h
Added : /trunk/src/emu/bus/econet/econet.c
Added : /trunk/src/emu/bus/econet/econet.h
Added : /trunk/src/emu/bus/ep64
Added : /trunk/src/emu/bus/ep64/exdos.c
Added : /trunk/src/emu/bus/ep64/exdos.h
Added : /trunk/src/emu/bus/ep64/exp.c
Added : /trunk/src/emu/bus/ep64/exp.h
Added : /trunk/src/emu/bus/pet
Added : /trunk/src/emu/bus/pet/64k.c
Added : /trunk/src/emu/bus/pet/64k.h
Added : /trunk/src/emu/bus/pet/c2n.c
Added : /trunk/src/emu/bus/pet/c2n.h
Added : /trunk/src/emu/bus/pet/cass.c
Added : /trunk/src/emu/bus/pet/cass.h
Added : /trunk/src/emu/bus/pet/diag264_lb_tape.c
Added : /trunk/src/emu/bus/pet/diag264_lb_tape.h
Added : /trunk/src/emu/bus/pet/exp.c
Added : /trunk/src/emu/bus/pet/exp.h
Added : /trunk/src/emu/bus/pet/superpet.c
Added : /trunk/src/emu/bus/pet/superpet.h
Added : /trunk/src/emu/bus/pet/user.c
Added : /trunk/src/emu/bus/pet/user.h
Added : /trunk/src/emu/bus/plus4
Added : /trunk/src/emu/bus/plus4/c1551.c
Added : /trunk/src/emu/bus/plus4/c1551.h
Added : /trunk/src/emu/bus/plus4/diag264_lb_user.c
Added : /trunk/src/emu/bus/plus4/diag264_lb_user.h
Added : /trunk/src/emu/bus/plus4/exp.c
Added : /trunk/src/emu/bus/plus4/exp.h
Added : /trunk/src/emu/bus/plus4/sid.c
Added : /trunk/src/emu/bus/plus4/sid.h
Added : /trunk/src/emu/bus/plus4/std.c
Added : /trunk/src/emu/bus/plus4/std.h
Added : /trunk/src/emu/bus/plus4/user.c
Added : /trunk/src/emu/bus/plus4/user.h
Added : /trunk/src/emu/bus/vcs
Added : /trunk/src/emu/bus/vcs/ctrl.c
Added : /trunk/src/emu/bus/vcs/ctrl.h
Added : /trunk/src/emu/bus/vcs/joybooster.c
Added : /trunk/src/emu/bus/vcs/joybooster.h
Added : /trunk/src/emu/bus/vcs/joystick.c
Added : /trunk/src/emu/bus/vcs/joystick.h
Added : /trunk/src/emu/bus/vcs/keypad.c
Added : /trunk/src/emu/bus/vcs/keypad.h
Added : /trunk/src/emu/bus/vcs/lightpen.c
Added : /trunk/src/emu/bus/vcs/lightpen.h
Added : /trunk/src/emu/bus/vcs/paddles.c
Added : /trunk/src/emu/bus/vcs/paddles.h
Added : /trunk/src/emu/bus/vcs/wheel.c
Added : /trunk/src/emu/bus/vcs/wheel.h
Added : /trunk/src/emu/bus/vic10
Added : /trunk/src/emu/bus/vic10/exp.c
Added : /trunk/src/emu/bus/vic10/exp.h
Added : /trunk/src/emu/bus/vic10/std.c
Added : /trunk/src/emu/bus/vic10/std.h
Added : /trunk/src/emu/bus/vic20
Added : /trunk/src/emu/bus/vic20/exp.c
Added : /trunk/src/emu/bus/vic20/exp.h
Added : /trunk/src/emu/bus/vic20/megacart.c
Added : /trunk/src/emu/bus/vic20/megacart.h
Added : /trunk/src/emu/bus/vic20/std.c
Added : /trunk/src/emu/bus/vic20/std.h
Added : /trunk/src/emu/bus/vic20/user.c
Added : /trunk/src/emu/bus/vic20/user.h
Added : /trunk/src/emu/bus/vic20/vic1010.c
Added : /trunk/src/emu/bus/vic20/vic1010.h
Added : /trunk/src/emu/bus/vic20/vic1011.c
Added : /trunk/src/emu/bus/vic20/vic1011.h
Added : /trunk/src/emu/bus/vic20/vic1110.c
Added : /trunk/src/emu/bus/vic20/vic1110.h
Added : /trunk/src/emu/bus/vic20/vic1111.c
Added : /trunk/src/emu/bus/vic20/vic1111.h
Added : /trunk/src/emu/bus/vic20/vic1112.c
Added : /trunk/src/emu/bus/vic20/vic1112.h
Added : /trunk/src/emu/bus/vic20/vic1210.c
Added : /trunk/src/emu/bus/vic20/vic1210.h
Added : /trunk/src/emu/bus/vidbrain
Added : /trunk/src/emu/bus/vidbrain/exp.c
Added : /trunk/src/emu/bus/vidbrain/exp.h
Added : /trunk/src/emu/bus/vidbrain/money_minder.c
Added : /trunk/src/emu/bus/vidbrain/money_minder.h
Added : /trunk/src/emu/bus/vidbrain/std.c
Added : /trunk/src/emu/bus/vidbrain/std.h
Added : /trunk/src/emu/bus/vidbrain/timeshare.c
Added : /trunk/src/emu/bus/vidbrain/timeshare.h
Modified : /trunk/src/emu/emu.mak
Added : /trunk/src/emu/machine/64h156.c
Added : /trunk/src/emu/machine/64h156.h
Modified : /trunk/src/emu/machine/machine.mak
Added : /trunk/src/emu/machine/mos6702.c
Added : /trunk/src/emu/machine/mos6702.h
Added : /trunk/src/emu/machine/mos8706.c
Added : /trunk/src/emu/machine/mos8706.h
Added : /trunk/src/emu/machine/mos8722.c
Added : /trunk/src/emu/machine/mos8722.h
Added : /trunk/src/lib/formats/cbm_crt.c
Added : /trunk/src/lib/formats/cbm_crt.h
Modified : /trunk/src/lib/lib.mak
Modified : /trunk/src/mess/drivers/a2600.c
Modified : /trunk/src/mess/drivers/abc1600.c
Modified : /trunk/src/mess/drivers/bbc.c
Modified : /trunk/src/mess/drivers/prof80.c
Modified : /trunk/src/mess/drivers/vidbrain.c
Modified : /trunk/src/mess/includes/abc1600.h
Modified : /trunk/src/mess/includes/adam.h
Modified : /trunk/src/mess/includes/bw2.h
Modified : /trunk/src/mess/includes/c128.h
Modified : /trunk/src/mess/includes/c64.h
Modified : /trunk/src/mess/includes/cbm2.h
Modified : /trunk/src/mess/includes/ep64.h
Modified : /trunk/src/mess/includes/pet.h
Modified : /trunk/src/mess/includes/plus4.h
Modified : /trunk/src/mess/includes/prof80.h
Modified : /trunk/src/mess/includes/vic10.h
Modified : /trunk/src/mess/includes/vic20.h
Modified : /trunk/src/mess/includes/vidbrain.h
Deleted : /trunk/src/mess/machine/64h156.c
Deleted : /trunk/src/mess/machine/64h156.h
Deleted : /trunk/src/mess/machine/abc1600_bus.c
Deleted : /trunk/src/mess/machine/abc1600_bus.h
Deleted : /trunk/src/mess/machine/adam_ide.c
Deleted : /trunk/src/mess/machine/adam_ide.h
Deleted : /trunk/src/mess/machine/adam_ram.c
Deleted : /trunk/src/mess/machine/adam_ram.h
Deleted : /trunk/src/mess/machine/adamexp.c
Deleted : /trunk/src/mess/machine/adamexp.h
Deleted : /trunk/src/mess/machine/adamlink.c
Deleted : /trunk/src/mess/machine/adamlink.h
Deleted : /trunk/src/mess/machine/bw2_ramcard.c
Deleted : /trunk/src/mess/machine/bw2_ramcard.h
Deleted : /trunk/src/mess/machine/bw2exp.c
Deleted : /trunk/src/mess/machine/bw2exp.h
Deleted : /trunk/src/mess/machine/c1551.c
Deleted : /trunk/src/mess/machine/c1551.h
Deleted : /trunk/src/mess/machine/c2n.c
Deleted : /trunk/src/mess/machine/c2n.h
Deleted : /trunk/src/mess/machine/cbm2_24k.c
Deleted : /trunk/src/mess/machine/cbm2_24k.h
Deleted : /trunk/src/mess/machine/cbm2_graphic.c
Deleted : /trunk/src/mess/machine/cbm2_graphic.h
Deleted : /trunk/src/mess/machine/cbm2_std.c
Deleted : /trunk/src/mess/machine/cbm2_std.h
Deleted : /trunk/src/mess/machine/cbm2exp.c
Deleted : /trunk/src/mess/machine/cbm2exp.h
Deleted : /trunk/src/mess/machine/cbm2user.c
Deleted : /trunk/src/mess/machine/cbm2user.h
Deleted : /trunk/src/mess/machine/cbm_crt.c
Deleted : /trunk/src/mess/machine/cbm_crt.h
Deleted : /trunk/src/mess/machine/diag264_lb_tape.c
Deleted : /trunk/src/mess/machine/diag264_lb_tape.h
Deleted : /trunk/src/mess/machine/diag264_lb_user.c
Deleted : /trunk/src/mess/machine/diag264_lb_user.h
Deleted : /trunk/src/mess/machine/e01.c
Deleted : /trunk/src/mess/machine/e01.h
Deleted : /trunk/src/mess/machine/ecb_grip.c
Deleted : /trunk/src/mess/machine/ecb_grip.h
Deleted : /trunk/src/mess/machine/ecbbus.c
Deleted : /trunk/src/mess/machine/ecbbus.h
Deleted : /trunk/src/mess/machine/econet.c
Deleted : /trunk/src/mess/machine/econet.h
Deleted : /trunk/src/mess/machine/ep64_exdos.c
Deleted : /trunk/src/mess/machine/ep64_exdos.h
Deleted : /trunk/src/mess/machine/ep64exp.c
Deleted : /trunk/src/mess/machine/ep64exp.h
Deleted : /trunk/src/mess/machine/lux4105.c
Deleted : /trunk/src/mess/machine/lux4105.h
Deleted : /trunk/src/mess/machine/mos6702.c
Deleted : /trunk/src/mess/machine/mos6702.h
Deleted : /trunk/src/mess/machine/mos8706.c
Deleted : /trunk/src/mess/machine/mos8706.h
Deleted : /trunk/src/mess/machine/mos8722.c
Deleted : /trunk/src/mess/machine/mos8722.h
Deleted : /trunk/src/mess/machine/pet_64k.c
Deleted : /trunk/src/mess/machine/pet_64k.h
Deleted : /trunk/src/mess/machine/petcass.c
Deleted : /trunk/src/mess/machine/petcass.h
Deleted : /trunk/src/mess/machine/petexp.c
Deleted : /trunk/src/mess/machine/petexp.h
Deleted : /trunk/src/mess/machine/petuser.c
Deleted : /trunk/src/mess/machine/petuser.h
Deleted : /trunk/src/mess/machine/plus4_sid.c
Deleted : /trunk/src/mess/machine/plus4_sid.h
Deleted : /trunk/src/mess/machine/plus4_std.c
Deleted : /trunk/src/mess/machine/plus4_std.h
Deleted : /trunk/src/mess/machine/plus4exp.c
Deleted : /trunk/src/mess/machine/plus4exp.h
Deleted : /trunk/src/mess/machine/plus4user.c
Deleted : /trunk/src/mess/machine/plus4user.h
Deleted : /trunk/src/mess/machine/superpet.c
Deleted : /trunk/src/mess/machine/superpet.h
Deleted : /trunk/src/mess/machine/vb_money_minder.c
Deleted : /trunk/src/mess/machine/vb_money_minder.h
Deleted : /trunk/src/mess/machine/vb_std.c
Deleted : /trunk/src/mess/machine/vb_std.h
Deleted : /trunk/src/mess/machine/vb_timeshare.c
Deleted : /trunk/src/mess/machine/vb_timeshare.h
Deleted : /trunk/src/mess/machine/vcs_joy.c
Deleted : /trunk/src/mess/machine/vcs_joy.h
Deleted : /trunk/src/mess/machine/vcs_joybooster.c
Deleted : /trunk/src/mess/machine/vcs_joybooster.h
Deleted : /trunk/src/mess/machine/vcs_keypad.c
Deleted : /trunk/src/mess/machine/vcs_keypad.h
Deleted : /trunk/src/mess/machine/vcs_lightpen.c
Deleted : /trunk/src/mess/machine/vcs_lightpen.h
Deleted : /trunk/src/mess/machine/vcs_paddles.c
Deleted : /trunk/src/mess/machine/vcs_paddles.h
Deleted : /trunk/src/mess/machine/vcs_wheel.c
Deleted : /trunk/src/mess/machine/vcs_wheel.h
Deleted : /trunk/src/mess/machine/vcsctrl.c
Deleted : /trunk/src/mess/machine/vcsctrl.h
Deleted : /trunk/src/mess/machine/vic1010.c
Deleted : /trunk/src/mess/machine/vic1010.h
Deleted : /trunk/src/mess/machine/vic1011.c
Deleted : /trunk/src/mess/machine/vic1011.h
Deleted : /trunk/src/mess/machine/vic10exp.c
Deleted : /trunk/src/mess/machine/vic10exp.h
Deleted : /trunk/src/mess/machine/vic10std.c
Deleted : /trunk/src/mess/machine/vic10std.h
Deleted : /trunk/src/mess/machine/vic1110.c
Deleted : /trunk/src/mess/machine/vic1110.h
Deleted : /trunk/src/mess/machine/vic1111.c
Deleted : /trunk/src/mess/machine/vic1111.h
Deleted : /trunk/src/mess/machine/vic1112.c
Deleted : /trunk/src/mess/machine/vic1112.h
Deleted : /trunk/src/mess/machine/vic1210.c
Deleted : /trunk/src/mess/machine/vic1210.h
Deleted : /trunk/src/mess/machine/vic20_megacart.c
Deleted : /trunk/src/mess/machine/vic20_megacart.h
Deleted : /trunk/src/mess/machine/vic20exp.c
Deleted : /trunk/src/mess/machine/vic20exp.h
Deleted : /trunk/src/mess/machine/vic20std.c
Deleted : /trunk/src/mess/machine/vic20std.h
Deleted : /trunk/src/mess/machine/vic20user.c
Deleted : /trunk/src/mess/machine/vic20user.h
Deleted : /trunk/src/mess/machine/vidbrain_exp.c
Deleted : /trunk/src/mess/machine/vidbrain_exp.h
Modified : /trunk/src/mess/mess.mak

Revision: 25788
Author: rbelmont
Date: 22 October 2013 14:36:20
Message:
SDL: OS/2 build fixes [KO Myung-Hun]


----
Modified : /trunk/src/lib/web/mongoose.c
Modified : /trunk/src/osd/sdl/sdl.mak

Revision: 25787
Author: robbbert
Date: 22 October 2013 13:38:06
Message:
(MESS) cd2650 : adjusted quickload to get more software working (nw)
----
Modified : /trunk/src/mess/drivers/cd2650.c

Revision: 25786
Author: barryrod
Date: 22 October 2013 02:13:36
Message:
wpc_flip1/2: Added basic implementation of flipper inputs.  This clears the 'flipper EOS stuck closed' errors, and makes video modes somewhat playable.
----
Modified : /trunk/src/mame/drivers/wpc_dcs.c
Modified : /trunk/src/mame/drivers/wpc_flip1.c
Modified : /trunk/src/mame/drivers/wpc_flip2.c
Modified : /trunk/src/mame/machine/wpc.c
Modified : /trunk/src/mame/machine/wpc.h

Revision: 25785
Author: briantro
Date: 22 October 2013 01:38:12
Message:
peplus.c: Additional information / corrections - NW
----
Modified : /trunk/src/mame/drivers/peplus.c

Revision: 25784
Author: michaelz
Date: 22 October 2013 00:27:17
Message:
(MESS) Switch to modern TMS9995 implementation. [Michael Zapf]

----
Modified : /trunk/src/mess/drivers/cortex.c
Modified : /trunk/src/mess/drivers/evmbug.c
Modified : /trunk/src/mess/drivers/ti99_2.c
Modified : /trunk/src/mess/drivers/tutor.c

Revision: 25783
Author: michaelz
Date: 22 October 2013 00:26:27
Message:
Added auto wait state config. (nw)

----
Modified : /trunk/src/mame/drivers/jpmmps.c
Modified : /trunk/src/mame/drivers/jpms80.c
Modified : /trunk/src/mame/drivers/looping.c
Modified : /trunk/src/mame/drivers/nsm.c
Modified : /trunk/src/mame/drivers/nsmpoker.c

Revision: 25782
Author: michaelz
Date: 22 October 2013 00:25:36
Message:
Re-fixed decrementer. (nw)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c

Revision: 25781
Author: michaelz
Date: 21 October 2013 22:43:41
Message:
Fixed broken MID interrupt handling. [Michael Zapf]

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.h

Revision: 25780
Author: couriers
Date: 21 October 2013 21:37:06
Message:
Minor code clean-up in netlist devices
----
Modified : /trunk/src/emu/machine/net_lib.c
Modified : /trunk/src/emu/machine/net_lib.h
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h
Modified : /trunk/src/mame/drivers/pong.c

Revision: 25779
Author: michaelz
Date: 21 October 2013 20:26:32
Message:
Switched to modern TMS9995 CPU implementation. [Michael Zapf]

----
Modified : /trunk/src/mame/drivers/nsmpoker.c
Modified : /trunk/src/mame/drivers/pachifev.c

Revision: 25778
Author: tafoid
Date: 21 October 2013 19:55:46
Message:
a7800.c  [Robert Tuccitto]
Added Phase Shifts 24.7, 25.2, 26.2, 27.2.  Phase Shifts 24.7 through 27.7 degrees with 0.5 degree increments documented. Phase Shift 26.2 degrees made active. Fixed typo under 26.7 7$.

 
----
Modified : /trunk/src/mess/drivers/a7800.c

Revision: 25777
Author: tafoid
Date: 21 October 2013 19:45:26
Message:
Updated comments/rom names for Cosmic Monsters (version II)  [Andrew Welburn]

----
Modified : /trunk/src/mame/drivers/8080bw.c

Revision: 25776
Author: michaelz
Date: 21 October 2013 19:43:03
Message:
New 9995 now working, can drop old code.

----
Modified : /trunk/src/mame/drivers/nsm.c

Revision: 25775
Author: michaelz
Date: 21 October 2013 19:42:10
Message:
Fixed stuck decrementer interrupt.

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c

Revision: 25774
Author: mnaberez
Date: 21 October 2013 16:14:07
Message:
(MESS) pet_rom.xml: Added Paperclip 2.84. [Mike Naberezny]
----
Modified : /trunk/hash/pet_rom.xml

Revision: 25773
Author: mnaberez
Date: 21 October 2013 15:50:08
Message:
(MESS) pet_rom.xml: Added Waterloo Structured BASIC. [Mike Naberezny]
----
Modified : /trunk/hash/pet_rom.xml

Revision: 25772
Author: mnaberez
Date: 21 October 2013 15:34:20
Message:
(MESS) pet_rom.xml: Added WordPro 3. [Mike Naberezny]
----
Modified : /trunk/hash/pet_rom.xml

Revision: 25771
Author: curtcode
Date: 21 October 2013 14:02:40
Message:
Xcode 5.0 compile fixes. (nw)
----
Modified : /trunk/src/mess/drivers/tk80bs.c
Modified : /trunk/src/mess/drivers/zexall.c
Modified : /trunk/src/mess/machine/ti99/genboard.h

Revision: 25770
Author: barryrod
Date: 21 October 2013 10:46:51
Message:
wpc_flip2: Flipped the bits of the opto switches in Dr. Who, making it behave a bit more correctly.
----
Modified : /trunk/src/mame/drivers/wpc_flip2.c

Revision: 25769
Author: barryrod
Date: 21 October 2013 08:43:49
Message:
wpc_dcs: Start to get DCS-based games running.
----
Modified : /trunk/src/mame/audio/dcs.c
Modified : /trunk/src/mame/audio/dcs.h
Modified : /trunk/src/mame/drivers/wpc_dcs.c
Modified : /trunk/src/mame/includes/wpc_pin.h

Revision: 25768
Author: jgevarya
Date: 21 October 2013 04:26:59
Message:
I messed the copyrights and licenses up on these before, thanks to arbee for pointing it out (n/w)
----
Modified : /trunk/src/osd/sdl/SDLMain_tmpl.h
Modified : /trunk/src/osd/sdl/SDLMain_tmpl.m

Revision: 25767
Author: rbelmont
Date: 21 October 2013 03:27:35
Message:
(MESS) Misc. a2bus updates [R. Belmont]
- CFFA2: patch settings EEPROM to allow up to 13 partitions on both IDE connectors
- SCSI: Much improved documentation


----
Modified : /trunk/src/mess/machine/a2bus.c
Modified : /trunk/src/mess/machine/a2cffa.c
Modified : /trunk/src/mess/machine/a2scsi.c

Revision: 25766
Author: angelosa
Date: 21 October 2013 02:55:11
Message:
Licenses
----
Modified : /trunk/src/emu/machine/saturn.c
Modified : /trunk/src/mame/drivers/cshooter.c
Modified : /trunk/src/mame/drivers/stfight.c
Modified : /trunk/src/mame/drivers/stv.c
Modified : /trunk/src/mess/drivers/saturn.c

Revision: 25765
Author: mnaberez
Date: 20 October 2013 22:14:12
Message:
(MESS) pet_rom.xml: Added SORT. [Mike Naberezny]
----
Modified : /trunk/hash/pet_rom.xml

Revision: 25764
Author: curtcode
Date: 20 October 2013 20:50:55
Message:
(MESS) vip: Moved expansion and byte I/O ports under emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/vip
Added : /trunk/src/emu/bus/vip/byteio.c
Added : /trunk/src/emu/bus/vip/byteio.h
Added : /trunk/src/emu/bus/vip/exp.c
Added : /trunk/src/emu/bus/vip/exp.h
Added : /trunk/src/emu/bus/vip/vp550.c
Added : /trunk/src/emu/bus/vip/vp550.h
Added : /trunk/src/emu/bus/vip/vp570.c
Added : /trunk/src/emu/bus/vip/vp570.h
Added : /trunk/src/emu/bus/vip/vp575.c
Added : /trunk/src/emu/bus/vip/vp575.h
Added : /trunk/src/emu/bus/vip/vp585.c
Added : /trunk/src/emu/bus/vip/vp585.h
Added : /trunk/src/emu/bus/vip/vp590.c
Added : /trunk/src/emu/bus/vip/vp590.h
Added : /trunk/src/emu/bus/vip/vp595.c
Added : /trunk/src/emu/bus/vip/vp595.h
Added : /trunk/src/emu/bus/vip/vp620.c
Added : /trunk/src/emu/bus/vip/vp620.h
Added : /trunk/src/emu/bus/vip/vp700.c
Added : /trunk/src/emu/bus/vip/vp700.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/includes/vip.h
Deleted : /trunk/src/mess/machine/vip_byteio.c
Deleted : /trunk/src/mess/machine/vip_byteio.h
Deleted : /trunk/src/mess/machine/vip_exp.c
Deleted : /trunk/src/mess/machine/vip_exp.h
Deleted : /trunk/src/mess/machine/vp550.c
Deleted : /trunk/src/mess/machine/vp550.h
Deleted : /trunk/src/mess/machine/vp570.c
Deleted : /trunk/src/mess/machine/vp570.h
Deleted : /trunk/src/mess/machine/vp575.c
Deleted : /trunk/src/mess/machine/vp575.h
Deleted : /trunk/src/mess/machine/vp585.c
Deleted : /trunk/src/mess/machine/vp585.h
Deleted : /trunk/src/mess/machine/vp590.c
Deleted : /trunk/src/mess/machine/vp590.h
Deleted : /trunk/src/mess/machine/vp595.c
Deleted : /trunk/src/mess/machine/vp595.h
Deleted : /trunk/src/mess/machine/vp620.c
Deleted : /trunk/src/mess/machine/vp620.h
Deleted : /trunk/src/mess/machine/vp700.c
Deleted : /trunk/src/mess/machine/vp700.h
Modified : /trunk/src/mess/mess.mak

Revision: 25763
Author: curtcode
Date: 20 October 2013 20:43:49
Message:
Oops. (nw)
----
Deleted : /trunk/depend_emu.mak
Deleted : /trunk/depend_mess.mak

Revision: 25762
Author: curtcode
Date: 20 October 2013 20:43:30
Message:
(MESS) comx35: Moved expansion port under emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/comx35
Added : /trunk/src/emu/bus/comx35/clm.c
Added : /trunk/src/emu/bus/comx35/clm.h
Added : /trunk/src/emu/bus/comx35/eprom.c
Added : /trunk/src/emu/bus/comx35/eprom.h
Added : /trunk/src/emu/bus/comx35/exp.c
Added : /trunk/src/emu/bus/comx35/exp.h
Added : /trunk/src/emu/bus/comx35/expbox.c
Added : /trunk/src/emu/bus/comx35/expbox.h
Added : /trunk/src/emu/bus/comx35/fdc.c
Added : /trunk/src/emu/bus/comx35/fdc.h
Added : /trunk/src/emu/bus/comx35/joycard.c
Added : /trunk/src/emu/bus/comx35/joycard.h
Added : /trunk/src/emu/bus/comx35/printer.c
Added : /trunk/src/emu/bus/comx35/printer.h
Added : /trunk/src/emu/bus/comx35/ram.c
Added : /trunk/src/emu/bus/comx35/ram.h
Added : /trunk/src/emu/bus/comx35/thermal.c
Added : /trunk/src/emu/bus/comx35/thermal.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/comx35.c
Modified : /trunk/src/mess/includes/comx35.h
Deleted : /trunk/src/mess/machine/comx_clm.c
Deleted : /trunk/src/mess/machine/comx_clm.h
Deleted : /trunk/src/mess/machine/comx_eb.c
Deleted : /trunk/src/mess/machine/comx_eb.h
Deleted : /trunk/src/mess/machine/comx_epr.c
Deleted : /trunk/src/mess/machine/comx_epr.h
Deleted : /trunk/src/mess/machine/comx_fd.c
Deleted : /trunk/src/mess/machine/comx_fd.h
Deleted : /trunk/src/mess/machine/comx_joy.c
Deleted : /trunk/src/mess/machine/comx_joy.h
Deleted : /trunk/src/mess/machine/comx_prn.c
Deleted : /trunk/src/mess/machine/comx_prn.h
Deleted : /trunk/src/mess/machine/comx_ram.c
Deleted : /trunk/src/mess/machine/comx_ram.h
Deleted : /trunk/src/mess/machine/comx_thm.c
Deleted : /trunk/src/mess/machine/comx_thm.h
Deleted : /trunk/src/mess/machine/comxexp.c
Deleted : /trunk/src/mess/machine/comxexp.h
Modified : /trunk/src/mess/mess.mak

Revision: 25761
Author: curtcode
Date: 20 October 2013 20:31:44
Message:
(MESS) abcbus: Moved under emu/bus. (nw)
----
Added : /trunk/depend_emu.mak
Added : /trunk/depend_mess.mak
Added : /trunk/src/emu/bus/abcbus
Added : /trunk/src/emu/bus/abcbus/abc890.c
Added : /trunk/src/emu/bus/abcbus/abc890.h
Added : /trunk/src/emu/bus/abcbus/abcbus.c
Added : /trunk/src/emu/bus/abcbus/abcbus.h
Added : /trunk/src/emu/bus/abcbus/dos.c
Added : /trunk/src/emu/bus/abcbus/dos.h
Added : /trunk/src/emu/bus/abcbus/fd2.c
Added : /trunk/src/emu/bus/abcbus/fd2.h
Added : /trunk/src/emu/bus/abcbus/hdc.c
Added : /trunk/src/emu/bus/abcbus/hdc.h
Added : /trunk/src/emu/bus/abcbus/lux10828.c
Added : /trunk/src/emu/bus/abcbus/lux10828.h
Added : /trunk/src/emu/bus/abcbus/lux21046.c
Added : /trunk/src/emu/bus/abcbus/lux21046.h
Added : /trunk/src/emu/bus/abcbus/sio.c
Added : /trunk/src/emu/bus/abcbus/sio.h
Added : /trunk/src/emu/bus/abcbus/slutprov.c
Added : /trunk/src/emu/bus/abcbus/slutprov.h
Added : /trunk/src/emu/bus/abcbus/turbo.c
Added : /trunk/src/emu/bus/abcbus/turbo.h
Added : /trunk/src/emu/bus/abcbus/uni800.c
Added : /trunk/src/emu/bus/abcbus/uni800.h
Added : /trunk/src/emu/bus/abcbus/xebec.c
Added : /trunk/src/emu/bus/abcbus/xebec.h
Modified : /trunk/src/emu/bus/bus.mak
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/includes/abc80.h
Modified : /trunk/src/mess/includes/abc80x.h
Deleted : /trunk/src/mess/machine/abc830.c
Deleted : /trunk/src/mess/machine/abc830.h
Deleted : /trunk/src/mess/machine/abc890.c
Deleted : /trunk/src/mess/machine/abc890.h
Deleted : /trunk/src/mess/machine/abc_dos.c
Deleted : /trunk/src/mess/machine/abc_dos.h
Deleted : /trunk/src/mess/machine/abc_fd2.c
Deleted : /trunk/src/mess/machine/abc_fd2.h
Deleted : /trunk/src/mess/machine/abc_hdc.c
Deleted : /trunk/src/mess/machine/abc_hdc.h
Deleted : /trunk/src/mess/machine/abc_sio.c
Deleted : /trunk/src/mess/machine/abc_sio.h
Deleted : /trunk/src/mess/machine/abc_slutprov.c
Deleted : /trunk/src/mess/machine/abc_slutprov.h
Deleted : /trunk/src/mess/machine/abc_turbo.c
Deleted : /trunk/src/mess/machine/abc_turbo.h
Deleted : /trunk/src/mess/machine/abc_uni800.c
Deleted : /trunk/src/mess/machine/abc_uni800.h
Deleted : /trunk/src/mess/machine/abc_xebec.c
Deleted : /trunk/src/mess/machine/abc_xebec.h
Deleted : /trunk/src/mess/machine/abcbus.c
Deleted : /trunk/src/mess/machine/abcbus.h
Deleted : /trunk/src/mess/machine/lux10828.c
Deleted : /trunk/src/mess/machine/lux10828.h
Deleted : /trunk/src/mess/machine/lux21046.c
Deleted : /trunk/src/mess/machine/lux21046.h
Modified : /trunk/src/mess/mess.mak

Revision: 25760
Author: jgevarya
Date: 20 October 2013 20:16:11
Message:
spc700ds.c: fix disassembly of BRK opcode [Lord Nightmare, jwdonal]
----
Modified : /trunk/src/emu/cpu/spc700/spc700.c
Modified : /trunk/src/emu/cpu/spc700/spc700ds.c

Revision: 25759
Author: jgevarya
Date: 20 October 2013 19:59:29
Message:
whoops, forgot to commit this (n/w)
----
Modified : /trunk/src/mame/mame.lst

Revision: 25758
Author: mnaberez
Date: 20 October 2013 19:12:37
Message:
(MESS) softbox: Updated file location in comment. (nw)
----
Modified : /trunk/src/mess/drivers/softbox.c

Revision: 25757
Author: mnaberez
Date: 20 October 2013 18:56:10
Message:
(MESS) pet_rom.xml: Added McTerm 1.21. [Mike Naberezny, Stefano Santerini]
----
Modified : /trunk/hash/pet_rom.xml

Revision: 25756
Author: curtcode
Date: 20 October 2013 18:49:46
Message:
(MESS) c64: Moved expansion and user ports under emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/c64
Added : /trunk/src/emu/bus/c64/16kb.c
Added : /trunk/src/emu/bus/c64/16kb.h
Added : /trunk/src/emu/bus/c64/4cga.c
Added : /trunk/src/emu/bus/c64/4cga.h
Added : /trunk/src/emu/bus/c64/4dxh.c
Added : /trunk/src/emu/bus/c64/4dxh.h
Added : /trunk/src/emu/bus/c64/4ksa.c
Added : /trunk/src/emu/bus/c64/4ksa.h
Added : /trunk/src/emu/bus/c64/4tba.c
Added : /trunk/src/emu/bus/c64/4tba.h
Added : /trunk/src/emu/bus/c64/bn1541.c
Added : /trunk/src/emu/bus/c64/bn1541.h
Added : /trunk/src/emu/bus/c64/c128_comal80.c
Added : /trunk/src/emu/bus/c64/c128_comal80.h
Added : /trunk/src/emu/bus/c64/comal80.c
Added : /trunk/src/emu/bus/c64/comal80.h
Added : /trunk/src/emu/bus/c64/cpm.c
Added : /trunk/src/emu/bus/c64/cpm.h
Added : /trunk/src/emu/bus/c64/currah_speech.c
Added : /trunk/src/emu/bus/c64/currah_speech.h
Added : /trunk/src/emu/bus/c64/dela_ep256.c
Added : /trunk/src/emu/bus/c64/dela_ep256.h
Added : /trunk/src/emu/bus/c64/dela_ep64.c
Added : /trunk/src/emu/bus/c64/dela_ep64.h
Added : /trunk/src/emu/bus/c64/dela_ep7x8.c
Added : /trunk/src/emu/bus/c64/dela_ep7x8.h
Added : /trunk/src/emu/bus/c64/dinamic.c
Added : /trunk/src/emu/bus/c64/dinamic.h
Added : /trunk/src/emu/bus/c64/dqbb.c
Added : /trunk/src/emu/bus/c64/dqbb.h
Added : /trunk/src/emu/bus/c64/easy_calc_result.c
Added : /trunk/src/emu/bus/c64/easy_calc_result.h
Added : /trunk/src/emu/bus/c64/easyflash.c
Added : /trunk/src/emu/bus/c64/easyflash.h
Added : /trunk/src/emu/bus/c64/epyx_fast_load.c
Added : /trunk/src/emu/bus/c64/epyx_fast_load.h
Added : /trunk/src/emu/bus/c64/exos.c
Added : /trunk/src/emu/bus/c64/exos.h
Added : /trunk/src/emu/bus/c64/exp.c
Added : /trunk/src/emu/bus/c64/exp.h
Added : /trunk/src/emu/bus/c64/fcc.c
Added : /trunk/src/emu/bus/c64/fcc.h
Added : /trunk/src/emu/bus/c64/final.c
Added : /trunk/src/emu/bus/c64/final.h
Added : /trunk/src/emu/bus/c64/final3.c
Added : /trunk/src/emu/bus/c64/final3.h
Added : /trunk/src/emu/bus/c64/fun_play.c
Added : /trunk/src/emu/bus/c64/fun_play.h
Added : /trunk/src/emu/bus/c64/geocable.c
Added : /trunk/src/emu/bus/c64/geocable.h
Added : /trunk/src/emu/bus/c64/georam.c
Added : /trunk/src/emu/bus/c64/georam.h
Added : /trunk/src/emu/bus/c64/ide64.c
Added : /trunk/src/emu/bus/c64/ide64.h
Added : /trunk/src/emu/bus/c64/ieee488.c
Added : /trunk/src/emu/bus/c64/ieee488.h
Added : /trunk/src/emu/bus/c64/kingsoft.c
Added : /trunk/src/emu/bus/c64/kingsoft.h
Added : /trunk/src/emu/bus/c64/mach5.c
Added : /trunk/src/emu/bus/c64/mach5.h
Added : /trunk/src/emu/bus/c64/magic_desk.c
Added : /trunk/src/emu/bus/c64/magic_desk.h
Added : /trunk/src/emu/bus/c64/magic_formel.c
Added : /trunk/src/emu/bus/c64/magic_formel.h
Added : /trunk/src/emu/bus/c64/magic_voice.c
Added : /trunk/src/emu/bus/c64/magic_voice.h
Added : /trunk/src/emu/bus/c64/midi_maplin.c
Added : /trunk/src/emu/bus/c64/midi_maplin.h
Added : /trunk/src/emu/bus/c64/midi_namesoft.c
Added : /trunk/src/emu/bus/c64/midi_namesoft.h
Added : /trunk/src/emu/bus/c64/midi_passport.c
Added : /trunk/src/emu/bus/c64/midi_passport.h
Added : /trunk/src/emu/bus/c64/midi_sci.c
Added : /trunk/src/emu/bus/c64/midi_sci.h
Added : /trunk/src/emu/bus/c64/midi_siel.c
Added : /trunk/src/emu/bus/c64/midi_siel.h
Added : /trunk/src/emu/bus/c64/mikro_assembler.c
Added : /trunk/src/emu/bus/c64/mikro_assembler.h
Added : /trunk/src/emu/bus/c64/multiscreen.c
Added : /trunk/src/emu/bus/c64/multiscreen.h
Added : /trunk/src/emu/bus/c64/music64.c
Added : /trunk/src/emu/bus/c64/music64.h
Added : /trunk/src/emu/bus/c64/neoram.c
Added : /trunk/src/emu/bus/c64/neoram.h
Added : /trunk/src/emu/bus/c64/ocean.c
Added : /trunk/src/emu/bus/c64/ocean.h
Added : /trunk/src/emu/bus/c64/pagefox.c
Added : /trunk/src/emu/bus/c64/pagefox.h
Added : /trunk/src/emu/bus/c64/partner.c
Added : /trunk/src/emu/bus/c64/partner.h
Added : /trunk/src/emu/bus/c64/prophet64.c
Added : /trunk/src/emu/bus/c64/prophet64.h
Added : /trunk/src/emu/bus/c64/ps64.c
Added : /trunk/src/emu/bus/c64/ps64.h
Added : /trunk/src/emu/bus/c64/reu.c
Added : /trunk/src/emu/bus/c64/reu.h
Added : /trunk/src/emu/bus/c64/rex.c
Added : /trunk/src/emu/bus/c64/rex.h
Added : /trunk/src/emu/bus/c64/rex_ep256.c
Added : /trunk/src/emu/bus/c64/rex_ep256.h
Added : /trunk/src/emu/bus/c64/ross.c
Added : /trunk/src/emu/bus/c64/ross.h
Added : /trunk/src/emu/bus/c64/sfx_sound_expander.c
Added : /trunk/src/emu/bus/c64/sfx_sound_expander.h
Added : /trunk/src/emu/bus/c64/silverrock.c
Added : /trunk/src/emu/bus/c64/silverrock.h
Added : /trunk/src/emu/bus/c64/simons_basic.c
Added : /trunk/src/emu/bus/c64/simons_basic.h
Added : /trunk/src/emu/bus/c64/stardos.c
Added : /trunk/src/emu/bus/c64/stardos.h
Added : /trunk/src/emu/bus/c64/std.c
Added : /trunk/src/emu/bus/c64/std.h
Added : /trunk/src/emu/bus/c64/structured_basic.c
Added : /trunk/src/emu/bus/c64/structured_basic.h
Added : /trunk/src/emu/bus/c64/super_explode.c
Added : /trunk/src/emu/bus/c64/super_explode.h
Added : /trunk/src/emu/bus/c64/super_games.c
Added : /trunk/src/emu/bus/c64/super_games.h
Added : /trunk/src/emu/bus/c64/supercpu.c
Added : /trunk/src/emu/bus/c64/supercpu.h
Added : /trunk/src/emu/bus/c64/sw8k.c
Added : /trunk/src/emu/bus/c64/sw8k.h
Added : /trunk/src/emu/bus/c64/swiftlink.c
Added : /trunk/src/emu/bus/c64/swiftlink.h
Added : /trunk/src/emu/bus/c64/system3.c
Added : /trunk/src/emu/bus/c64/system3.h
Added : /trunk/src/emu/bus/c64/tdos.c
Added : /trunk/src/emu/bus/c64/tdos.h
Added : /trunk/src/emu/bus/c64/turbo232.c
Added : /trunk/src/emu/bus/c64/turbo232.h
Added : /trunk/src/emu/bus/c64/user.c
Added : /trunk/src/emu/bus/c64/user.h
Added : /trunk/src/emu/bus/c64/vic1011.c
Added : /trunk/src/emu/bus/c64/vic1011.h
Added : /trunk/src/emu/bus/c64/vizastar.c
Added : /trunk/src/emu/bus/c64/vizastar.h
Added : /trunk/src/emu/bus/c64/vw64.c
Added : /trunk/src/emu/bus/c64/vw64.h
Added : /trunk/src/emu/bus/c64/warp_speed.c
Added : /trunk/src/emu/bus/c64/warp_speed.h
Added : /trunk/src/emu/bus/c64/westermann.c
Added : /trunk/src/emu/bus/c64/westermann.h
Added : /trunk/src/emu/bus/c64/xl80.c
Added : /trunk/src/emu/bus/c64/xl80.h
Added : /trunk/src/emu/bus/c64/zaxxon.c
Added : /trunk/src/emu/bus/c64/zaxxon.h
Modified : /trunk/src/emu/bus/cbmiec/c1541.h
Modified : /trunk/src/emu/bus/cbmiec/c1571.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/emu/machine/machine.mak
Added : /trunk/src/emu/machine/mos8726.c
Added : /trunk/src/emu/machine/mos8726.h
Modified : /trunk/src/mess/includes/c128.h
Modified : /trunk/src/mess/includes/c64.h
Modified : /trunk/src/mess/includes/vic20.h
Deleted : /trunk/src/mess/machine/c128_comal80.c
Deleted : /trunk/src/mess/machine/c128_comal80.h
Deleted : /trunk/src/mess/machine/c64
Deleted : /trunk/src/mess/machine/mos8726.c
Deleted : /trunk/src/mess/machine/mos8726.h
Modified : /trunk/src/mess/mess.mak

Revision: 25755
Author: curtcode
Date: 20 October 2013 18:17:35
Message:
(MESS) adamnet: Moved under emu/bus. (nw)
----
Added : /trunk/src/emu/bus/adamnet
Added : /trunk/src/emu/bus/adamnet/adamnet.c
Added : /trunk/src/emu/bus/adamnet/adamnet.h
Added : /trunk/src/emu/bus/adamnet/ddp.c
Added : /trunk/src/emu/bus/adamnet/ddp.h
Added : /trunk/src/emu/bus/adamnet/fdc.c
Added : /trunk/src/emu/bus/adamnet/fdc.h
Added : /trunk/src/emu/bus/adamnet/kb.c
Added : /trunk/src/emu/bus/adamnet/kb.h
Added : /trunk/src/emu/bus/adamnet/printer.c
Added : /trunk/src/emu/bus/adamnet/printer.h
Added : /trunk/src/emu/bus/adamnet/spi.c
Added : /trunk/src/emu/bus/adamnet/spi.h
Modified : /trunk/src/emu/bus/bus.mak
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/includes/adam.h
Deleted : /trunk/src/mess/machine/adam_ddp.c
Deleted : /trunk/src/mess/machine/adam_ddp.h
Deleted : /trunk/src/mess/machine/adam_fdc.c
Deleted : /trunk/src/mess/machine/adam_fdc.h
Deleted : /trunk/src/mess/machine/adam_kb.c
Deleted : /trunk/src/mess/machine/adam_kb.h
Deleted : /trunk/src/mess/machine/adam_prn.c
Deleted : /trunk/src/mess/machine/adam_prn.h
Deleted : /trunk/src/mess/machine/adam_spi.c
Deleted : /trunk/src/mess/machine/adam_spi.h
Deleted : /trunk/src/mess/machine/adamnet.c
Deleted : /trunk/src/mess/machine/adamnet.h
Modified : /trunk/src/mess/mess.mak

Revision: 25754
Author: curtcode
Date: 20 October 2013 17:53:46
Message:
(MESS) wangpcbus: Moved under emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/wangpc
Added : /trunk/src/emu/bus/wangpc/emb.c
Added : /trunk/src/emu/bus/wangpc/emb.h
Added : /trunk/src/emu/bus/wangpc/lic.c
Added : /trunk/src/emu/bus/wangpc/lic.h
Added : /trunk/src/emu/bus/wangpc/lvc.c
Added : /trunk/src/emu/bus/wangpc/lvc.h
Added : /trunk/src/emu/bus/wangpc/mcc.c
Added : /trunk/src/emu/bus/wangpc/mcc.h
Added : /trunk/src/emu/bus/wangpc/mvc.c
Added : /trunk/src/emu/bus/wangpc/mvc.h
Added : /trunk/src/emu/bus/wangpc/rtc.c
Added : /trunk/src/emu/bus/wangpc/rtc.h
Added : /trunk/src/emu/bus/wangpc/tig.c
Added : /trunk/src/emu/bus/wangpc/tig.h
Added : /trunk/src/emu/bus/wangpc/wangpc.c
Added : /trunk/src/emu/bus/wangpc/wangpc.h
Added : /trunk/src/emu/bus/wangpc/wdc.c
Added : /trunk/src/emu/bus/wangpc/wdc.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/wangpc.c
Modified : /trunk/src/mess/includes/wangpc.h
Deleted : /trunk/src/mess/machine/wangpc_emb.c
Deleted : /trunk/src/mess/machine/wangpc_emb.h
Deleted : /trunk/src/mess/machine/wangpc_lic.c
Deleted : /trunk/src/mess/machine/wangpc_lic.h
Deleted : /trunk/src/mess/machine/wangpc_lvc.c
Deleted : /trunk/src/mess/machine/wangpc_lvc.h
Deleted : /trunk/src/mess/machine/wangpc_mcc.c
Deleted : /trunk/src/mess/machine/wangpc_mcc.h
Deleted : /trunk/src/mess/machine/wangpc_mvc.c
Deleted : /trunk/src/mess/machine/wangpc_mvc.h
Deleted : /trunk/src/mess/machine/wangpc_rtc.c
Deleted : /trunk/src/mess/machine/wangpc_rtc.h
Deleted : /trunk/src/mess/machine/wangpc_tig.c
Deleted : /trunk/src/mess/machine/wangpc_tig.h
Deleted : /trunk/src/mess/machine/wangpc_wdc.c
Deleted : /trunk/src/mess/machine/wangpc_wdc.h
Deleted : /trunk/src/mess/machine/wangpcbus.c
Deleted : /trunk/src/mess/machine/wangpcbus.h
Modified : /trunk/src/mess/mess.mak

Revision: 25753
Author: curtcode
Date: 20 October 2013 17:35:08
Message:
(MESS) cbmiec: Moved under emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/cbmiec
Added : /trunk/src/emu/bus/cbmiec/c1541.c
Added : /trunk/src/emu/bus/cbmiec/c1541.h
Added : /trunk/src/emu/bus/cbmiec/c1571.c
Added : /trunk/src/emu/bus/cbmiec/c1571.h
Added : /trunk/src/emu/bus/cbmiec/c1581.c
Added : /trunk/src/emu/bus/cbmiec/c1581.h
Added : /trunk/src/emu/bus/cbmiec/c64_nl10.c
Added : /trunk/src/emu/bus/cbmiec/c64_nl10.h
Added : /trunk/src/emu/bus/cbmiec/cbmiec.c
Added : /trunk/src/emu/bus/cbmiec/cbmiec.h
Added : /trunk/src/emu/bus/cbmiec/cmdhd.c
Added : /trunk/src/emu/bus/cbmiec/cmdhd.h
Added : /trunk/src/emu/bus/cbmiec/diag264_lb_iec.c
Added : /trunk/src/emu/bus/cbmiec/diag264_lb_iec.h
Added : /trunk/src/emu/bus/cbmiec/fd2000.c
Added : /trunk/src/emu/bus/cbmiec/fd2000.h
Added : /trunk/src/emu/bus/cbmiec/interpod.c
Added : /trunk/src/emu/bus/cbmiec/interpod.h
Added : /trunk/src/emu/bus/cbmiec/serialbox.c
Added : /trunk/src/emu/bus/cbmiec/serialbox.h
Modified : /trunk/src/emu/bus/ieee488/c2031.c
Modified : /trunk/src/emu/bus/ieee488/c2031.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/c65.c
Modified : /trunk/src/mess/drivers/primo.c
Modified : /trunk/src/mess/includes/c128.h
Modified : /trunk/src/mess/includes/c64.h
Modified : /trunk/src/mess/includes/c65.h
Modified : /trunk/src/mess/includes/plus4.h
Modified : /trunk/src/mess/includes/primo.h
Modified : /trunk/src/mess/includes/vic20.h
Deleted : /trunk/src/mess/machine/c1541.c
Deleted : /trunk/src/mess/machine/c1541.h
Modified : /trunk/src/mess/machine/c1551.c
Modified : /trunk/src/mess/machine/c1551.h
Deleted : /trunk/src/mess/machine/c1571.c
Deleted : /trunk/src/mess/machine/c1571.h
Deleted : /trunk/src/mess/machine/c1581.c
Deleted : /trunk/src/mess/machine/c1581.h
Deleted : /trunk/src/mess/machine/c64_nl10.c
Deleted : /trunk/src/mess/machine/c64_nl10.h
Modified : /trunk/src/mess/machine/c65.c
Deleted : /trunk/src/mess/machine/cbmiec.c
Deleted : /trunk/src/mess/machine/cbmiec.h
Deleted : /trunk/src/mess/machine/cmdhd.c
Deleted : /trunk/src/mess/machine/cmdhd.h
Deleted : /trunk/src/mess/machine/diag264_lb_iec.c
Deleted : /trunk/src/mess/machine/diag264_lb_iec.h
Deleted : /trunk/src/mess/machine/fd2000.c
Deleted : /trunk/src/mess/machine/fd2000.h
Deleted : /trunk/src/mess/machine/interpod.c
Deleted : /trunk/src/mess/machine/interpod.h
Modified : /trunk/src/mess/machine/primo.c
Deleted : /trunk/src/mess/machine/serialbox.c
Deleted : /trunk/src/mess/machine/serialbox.h
Modified : /trunk/src/mess/mess.mak

Revision: 25752
Author: michaelz
Date: 20 October 2013 17:02:06
Message:
Keeping the old version a bit longer.

----
Modified : /trunk/src/mame/drivers/nsm.c

Revision: 25751
Author: curtcode
Date: 20 October 2013 17:00:54
Message:
(MESS) ieee488: Moved under emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/ieee488
Added : /trunk/src/emu/bus/ieee488/c2031.c
Added : /trunk/src/emu/bus/ieee488/c2031.h
Added : /trunk/src/emu/bus/ieee488/c2040.c
Added : /trunk/src/emu/bus/ieee488/c2040.h
Added : /trunk/src/emu/bus/ieee488/c8280.c
Added : /trunk/src/emu/bus/ieee488/c8280.h
Added : /trunk/src/emu/bus/ieee488/d9060.c
Added : /trunk/src/emu/bus/ieee488/d9060.h
Added : /trunk/src/emu/bus/ieee488/d9060hd.c
Added : /trunk/src/emu/bus/ieee488/d9060hd.h
Added : /trunk/src/emu/bus/ieee488/hardbox.c
Added : /trunk/src/emu/bus/ieee488/hardbox.h
Added : /trunk/src/emu/bus/ieee488/ieee488.c
Added : /trunk/src/emu/bus/ieee488/ieee488.h
Added : /trunk/src/emu/bus/ieee488/shark.c
Added : /trunk/src/emu/bus/ieee488/shark.h
Added : /trunk/src/emu/bus/ieee488/softbox.c
Added : /trunk/src/emu/bus/ieee488/softbox.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/includes/cbm2.h
Modified : /trunk/src/mess/includes/osborne1.h
Modified : /trunk/src/mess/includes/pet.h
Modified : /trunk/src/mess/includes/sage2.h
Modified : /trunk/src/mess/includes/softbox.h
Modified : /trunk/src/mess/includes/tek405x.h
Modified : /trunk/src/mess/includes/vic20.h
Modified : /trunk/src/mess/includes/victor9k.h
Modified : /trunk/src/mess/includes/vixen.h
Deleted : /trunk/src/mess/machine/c2031.c
Deleted : /trunk/src/mess/machine/c2031.h
Deleted : /trunk/src/mess/machine/c2040.c
Deleted : /trunk/src/mess/machine/c2040.h
Modified : /trunk/src/mess/machine/c64/ieee488.h
Deleted : /trunk/src/mess/machine/c8280.c
Deleted : /trunk/src/mess/machine/c8280.h
Deleted : /trunk/src/mess/machine/d9060.c
Deleted : /trunk/src/mess/machine/d9060.h
Deleted : /trunk/src/mess/machine/d9060hd.c
Deleted : /trunk/src/mess/machine/d9060hd.h
Deleted : /trunk/src/mess/machine/hardbox.c
Deleted : /trunk/src/mess/machine/hardbox.h
Deleted : /trunk/src/mess/machine/ieee488.c
Deleted : /trunk/src/mess/machine/ieee488.h
Modified : /trunk/src/mess/machine/interpod.h
Deleted : /trunk/src/mess/machine/shark.c
Deleted : /trunk/src/mess/machine/shark.h
Deleted : /trunk/src/mess/machine/softbox.c
Deleted : /trunk/src/mess/machine/softbox.h
Modified : /trunk/src/mess/machine/vic1112.h
Modified : /trunk/src/mess/mess.mak

Revision: 25750
Author: michaelz
Date: 20 October 2013 16:49:59
Message:
Switch to modern TMS9995 implementation. [Michael Zapf]

----
Modified : /trunk/src/mame/drivers/jpmmps.c
Modified : /trunk/src/mame/drivers/jpms80.c
Modified : /trunk/src/mame/drivers/nsm.c

Revision: 25749
Author: michaelz
Date: 20 October 2013 16:49:25
Message:
Minor changes for better debugging (nw)

----
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c

Revision: 25748
Author: curtcode
Date: 20 October 2013 16:35:36
Message:
(MESS) s100: Moved under emu/bus. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/s100
Added : /trunk/src/emu/bus/s100/dj2db.c
Added : /trunk/src/emu/bus/s100/dj2db.h
Added : /trunk/src/emu/bus/s100/djdma.c
Added : /trunk/src/emu/bus/s100/djdma.h
Added : /trunk/src/emu/bus/s100/mm65k16s.c
Added : /trunk/src/emu/bus/s100/mm65k16s.h
Added : /trunk/src/emu/bus/s100/nsmdsa.c
Added : /trunk/src/emu/bus/s100/nsmdsa.h
Added : /trunk/src/emu/bus/s100/nsmdsad.c
Added : /trunk/src/emu/bus/s100/nsmdsad.h
Added : /trunk/src/emu/bus/s100/s100.c
Added : /trunk/src/emu/bus/s100/s100.h
Added : /trunk/src/emu/bus/s100/wunderbus.c
Added : /trunk/src/emu/bus/s100/wunderbus.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/horizon.c
Modified : /trunk/src/mess/includes/mpz80.h
Modified : /trunk/src/mess/includes/xor100.h
Deleted : /trunk/src/mess/machine/s100.c
Deleted : /trunk/src/mess/machine/s100.h
Deleted : /trunk/src/mess/machine/s100_dj2db.c
Deleted : /trunk/src/mess/machine/s100_dj2db.h
Deleted : /trunk/src/mess/machine/s100_djdma.c
Deleted : /trunk/src/mess/machine/s100_djdma.h
Deleted : /trunk/src/mess/machine/s100_mm65k16s.c
Deleted : /trunk/src/mess/machine/s100_mm65k16s.h
Deleted : /trunk/src/mess/machine/s100_nsmdsa.c
Deleted : /trunk/src/mess/machine/s100_nsmdsa.h
Deleted : /trunk/src/mess/machine/s100_nsmdsad.c
Deleted : /trunk/src/mess/machine/s100_nsmdsad.h
Deleted : /trunk/src/mess/machine/s100_wunderbus.c
Deleted : /trunk/src/mess/machine/s100_wunderbus.h
Modified : /trunk/src/mess/mess.mak

Revision: 25747
Author: angelosa
Date: 20 October 2013 16:10:59
Message:
ADR and track # fixes
----
Modified : /trunk/src/emu/machine/stvcd.c
Modified : /trunk/src/mame/includes/stv.h

Revision: 25746
Author: curtcode
Date: 20 October 2013 15:35:48
Message:
(MESS) compis: Connected the FDC via the iSBX bus. [Curt Coder]
----
Modified : /trunk/src/emu/bus/isbx/compis_fdc.c
Modified : /trunk/src/emu/bus/isbx/compis_fdc.h
Modified : /trunk/src/emu/machine/z80dart.h
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/machine/compis.c

Revision: 25745
Author: curtcode
Date: 20 October 2013 15:26:15
Message:
(MESS) compis: FDC WIP. (nw)
----
Modified : /trunk/src/emu/bus/isbx/compis_fdc.c
Modified : /trunk/src/emu/bus/isbx/compis_fdc.h
Modified : /trunk/src/emu/bus/isbx/isbx.c
Modified : /trunk/src/emu/bus/isbx/isbx.h

Revision: 25744
Author: curtcode
Date: 20 October 2013 13:50:21
Message:
(MESS) compis: FDC WIP. (nw)
----
Modified : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/isbx/compis_fdc.c
Added : /trunk/src/emu/bus/isbx/compis_fdc.h
Modified : /trunk/src/emu/bus/isbx/isbx.c
Modified : /trunk/src/emu/bus/isbx/isbx.h
Modified : /trunk/src/mess/drivers/compis.c

Revision: 25743
Author: michaelz
Date: 20 October 2013 11:38:52
Message:
Replace legacy TMS9980 implementation with modern version. [Michael
Zapf]

----
Modified : /trunk/src/mame/drivers/supertnk.c
Modified : /trunk/src/mame/drivers/tmspoker.c

Revision: 25742
Author: smf
Date: 20 October 2013 11:09:46
Message:
Fix for mametesters 05216 by defaulting ram to 0. I don't know whether this is guaranteed or whether it's a game or emulation bug. Also tidied up a few things and added a couple of comments. [smf]
----
Modified : /trunk/src/emu/cpu/psx/psx.c

Revision: 25741
Author: jgevarya
Date: 20 October 2013 10:49:45
Message:
8080bw.c: Changed Space Invaders Stand-up Version (sisv) sets around based on new information/dumps from Andrew Welburn; sisv2->sisv, sisv->sisv3, new set sisv2, placeholder set sisv1; many comment changes as well. Removed accidentally included overlay roms from sisv sets. Also changed sitvo->sitv1 [Andrew Welburn, Lord Nightmare]

New sets:
Space Invaders (SV version rev 2)

New non-working sets:
Space Invaders (SV version rev 1)
----
Modified : /trunk/src/mame/drivers/8080bw.c

Revision: 25740
Author: curtcode
Date: 20 October 2013 10:39:59
Message:
isbx: Added a placeholder for the Intel iSBX bus. [Curt Coder]
----
Added : /trunk/src/emu/bus
Added : /trunk/src/emu/bus/bus.mak
Added : /trunk/src/emu/bus/isbx
Added : /trunk/src/emu/bus/isbx/isbx.c
Added : /trunk/src/emu/bus/isbx/isbx.h
Modified : /trunk/src/emu/emu.mak
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/mess.mak

Revision: 25739
Author: curtcode
Date: 20 October 2013 10:11:32
Message:
(MESS) compis: Added MPSC and RS-232 ports. [Curt Coder]
----
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/machine/compis.c

Revision: 25738
Author: curtcode
Date: 20 October 2013 09:49:57
Message:
(MESS) compis: Added cassette. [Curt Coder]
----
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/machine/compis.c

Revision: 25737
Author: curtcode
Date: 20 October 2013 09:04:23
Message:
Fixed compile. (nw)
----
Modified : /trunk/src/emu/webengine.c

Revision: 25736
Author: rbelmont
Date: 20 October 2013 06:24:49
Message:
web: Page not found handling, sends a 404 error. [Firehawke]


----
Modified : /trunk/src/emu/webengine.c
Modified : /trunk/src/emu/webengine.h

Revision: 25735
Author: rbelmont
Date: 20 October 2013 06:23:32
Message:
winfile: Allow write-only files to be opened by external programs while MAME still has them open (matches POSIX semantics, useful for log files) [Firehawke]


nw: This was approved by Aaron.


----
Modified : /trunk/src/osd/windows/winfile.c

Revision: 25734
Author: rbelmont
Date: 20 October 2013 06:07:47
Message:
New games added as GAME_NOT_WORKING
-----------------------------------
Fate: Unlimited Codes (FUD1 Ver. A) [Guru, R. Belmont]


----
Modified : /trunk/src/mame/drivers/namcops2.c
Modified : /trunk/src/mame/mame.lst

Revision: 25733
Author: briantro
Date: 20 October 2013 05:26:36
Message:
new Emergency Call Ambulance clone added

New Clone Added
------------------------------------------
Emergency Call Ambulance (US location test?) [ShouTime, The Dumping Union]
----
Modified : /trunk/src/mame/drivers/model3.c
Modified : /trunk/src/mame/mame.lst

Revision: 25732
Author: briantro
Date: 20 October 2013 04:49:00
Message:
new Fire Shark clone

New Clone Added
----------------------------------
Fire Shark (earlier) [ShouTime, The Dumping Union]
----
Modified : /trunk/src/mame/drivers/toaplan1.c
Modified : /trunk/src/mame/mame.lst

Revision: 25731
Author: crazyc
Date: 20 October 2013 01:22:27
Message:
i186: timer is 1/4 internal clock, 1/8 external clock (nw)
----
Modified : /trunk/src/emu/cpu/i86/i186.c

Revision: 25730
Author: michaelz
Date: 20 October 2013 00:49:15
Message:
ti99: Some cleanups wrt. CPU configuration.

----
Modified : /trunk/src/mess/drivers/geneve.c
Modified : /trunk/src/mess/drivers/ti99_4p.c
Modified : /trunk/src/mess/drivers/ti99_4x.c
Modified : /trunk/src/mess/drivers/ti99_8.c
Modified : /trunk/src/mess/drivers/tm990189.c

Revision: 25729
Author: michaelz
Date: 20 October 2013 00:48:20
Message:
Using new TMS9980/95 implementation. [Michael Zapf]

----
Modified : /trunk/src/mame/drivers/cosmic.c
Modified : /trunk/src/mame/drivers/jpmsru.c
Modified : /trunk/src/mame/drivers/jubilee.c
Modified : /trunk/src/mame/drivers/jvh.c
Modified : /trunk/src/mame/drivers/looping.c

Revision: 25728
Author: michaelz
Date: 20 October 2013 00:47:38
Message:
Fixed broken IDLE in 9995; various cleanups.

----
Modified : /trunk/src/emu/cpu/tms9900/tms9900.c
Modified : /trunk/src/emu/cpu/tms9900/tms9900.h
Modified : /trunk/src/emu/cpu/tms9900/tms9980a.c
Modified : /trunk/src/emu/cpu/tms9900/tms9980a.h
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.h

Revision: 25727
Author: michaelz
Date: 20 October 2013 00:46:28
Message:
Common parts of TMS99xx CPUs

----
Added : /trunk/src/emu/cpu/tms9900/tms99com.h

Revision: 25726
Author: philipbe
Date: 19 October 2013 20:43:36
Message:
04484: rushhero: tms57002: sfmr - Contact Mamedev [Phil Bennett]

tms57002: Implement SFMR instruction [Phil Bennett]
----
Modified : /trunk/src/emu/cpu/tms57002/tmsinstr.lst

Revision: 25725
Author: curtcode
Date: 19 October 2013 20:20:42
Message:
(MESS) compis: Emulated the keyboard. [Curt Coder, Marcus Comstedt]
----
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/includes/compis.h
Modified : /trunk/src/mess/machine/compis.c
Modified : /trunk/src/mess/machine/compiskb.c

Revision: 25724
Author: curtcode
Date: 19 October 2013 20:18:40
Message:
upd7220: Less verbose. (nw)
----
Modified : /trunk/src/emu/video/upd7220.c

Revision: 25723
Author: curtcode
Date: 19 October 2013 19:34:59
Message:
i186: Added internal clock divider. [Curt Coder]
----
Modified : /trunk/src/emu/cpu/i86/i186.h
Modified : /trunk/src/mame/drivers/ataxx.c
Modified : /trunk/src/mame/drivers/bingo.c
Modified : /trunk/src/mame/drivers/bingor.c
Modified : /trunk/src/mame/drivers/gambl186.c
Modified : /trunk/src/mame/drivers/highvdeo.c
Modified : /trunk/src/mame/drivers/leland.c
Modified : /trunk/src/mame/drivers/subsino2.c
Modified : /trunk/src/mess/drivers/compis.c
Modified : /trunk/src/mess/drivers/rmnimbus.c
Modified : /trunk/src/mess/machine/isa_dectalk.c

Revision: 25722
Author: curtcode
Date: 19 October 2013 16:54:01
Message:
(MESS) compis: Keyboard WIP. (nw)
----
Modified : /trunk/src/mess/machine/compiskb.c
Modified : /trunk/src/mess/machine/compiskb.h

Revision: 25721
Author: curtcode
Date: 19 October 2013 13:11:09
Message:
(MESS) compis.xml: Added working System II and MS-DOS images. [Curt Coder]
----
Modified : /trunk/hash/compis.xml

Revision: 25720
Author: smf
Date: 19 October 2013 09:28:13
Message:
removed variables that aren't needed since r25236 (nw)
----
Modified : /trunk/src/mame/drivers/taitotz.c

Revision: 25719
Author: smf
Date: 19 October 2013 09:12:34
Message:
fixes for building with Visual Studio 2013 RTM [smf]
----
Modified : /trunk/src/emu/cpu/mips/mips3.c
Modified : /trunk/src/emu/video/fixfreq.c
Modified : /trunk/src/mess/tools/imgtool/modules/bml3.c
Modified : /trunk/src/mess/tools/imgtool/modules/ti99.c
Modified : /trunk/src/mess/tools/imgtool/modules/vzdos.c

Revision: 25718
Author: curtcode
Date: 19 October 2013 08:49:56
Message:
(MESS) compis: Keyboard WIP. (nw)
----
Modified : /trunk/src/mess/machine/compiskb.c
Modified : /trunk/src/mess/machine/compiskb.h

Revision: 25717
Author: ivanva
Date: 19 October 2013 08:31:10
Message:
Moved a pair of handlers into the driver state in tasman.c (nw)
----
Modified : /trunk/src/mame/drivers/tasman.c

Revision: 25716
Author: ivanva
Date: 19 October 2013 07:58:56
Message:
Modernized mc6846 device.(nw)


----
Modified : /trunk/src/emu/machine/mc6846.c
Modified : /trunk/src/emu/machine/mc6846.h
Modified : /trunk/src/mess/drivers/thomson.c
Modified : /trunk/src/mess/includes/thomson.h
Modified : /trunk/src/mess/machine/thomson.c

Revision: 25715
Author: curtcode
Date: 18 October 2013 20:41:59
Message:
zippath.c: Fixed crash in debug builds. [somebody]
----
Modified : /trunk/src/lib/util/zippath.c

Revision: 25714
Author: curtcode
Date: 18 October 2013 18:18:14
Message:
(MESS) c64: Triton Quick Disk WIP. (nw)
----
Modified : /trunk/src/mess/machine/c64/tdos.c

Revision: 25713
Author: barryrod
Date: 18 October 2013 07:01:32
Message:
wpc_flip2: derived from wpc_flip1, and made switch 22 (coin door) a toggle switch.
----
Modified : /trunk/src/mame/drivers/wpc_dot.c
Modified : /trunk/src/mame/drivers/wpc_flip1.c
Modified : /trunk/src/mame/drivers/wpc_flip2.c
Modified : /trunk/src/mame/includes/wpc_pin.h

Revision: 25712
Author: barryrod
Date: 18 October 2013 02:39:59
Message:
wpc_flip1: drived from wpc_dot, gets The Addams Family running.
----
Modified : /trunk/src/mame/drivers/wpc_dot.c
Modified : /trunk/src/mame/drivers/wpc_flip1.c
Added : /trunk/src/mame/includes/wpc_pin.h

Revision: 25711
Author: curtcode
Date: 17 October 2013 19:59:48
Message:
License tags. (nw)
----
Modified : /trunk/src/emu/machine/40105.c
Modified : /trunk/src/emu/machine/40105.h

Revision: 25710
Author: angelosa
Date: 17 October 2013 17:22:43
Message:
New NOT WORKING system
--------------------
MOLECULAR Computer [Al Kossow]
----
Modified : /trunk/src/emu/video/pc_vga.c
Modified : /trunk/src/mame/etc/template_cpu.c
Modified : /trunk/src/mame/etc/template_cpu.h
Modified : /trunk/src/mame/etc/template_device.c
Modified : /trunk/src/mame/etc/template_device.h
Modified : /trunk/src/mame/etc/template_driver.c
Modified : /trunk/src/mess/drivers/apricotf.c
Added : /trunk/src/mess/drivers/molecular.c
Modified : /trunk/src/mess/mess.lst
Modified : /trunk/src/mess/mess.mak

Revision: 25709
Author: michaelz
Date: 17 October 2013 16:58:25
Message:
cosmicg: Using new TMS9980 implementation [Michael Zapf]

----
Modified : /trunk/src/mame/drivers/cosmic.c
Modified : /trunk/src/mame/includes/cosmic.h

Revision: 25708
Author: dirkbest
Date: 17 October 2013 15:26:24
Message:
add license info for some things i worked on, some small cleanups
----
Modified : /trunk/docs/licenseinfo.txt
Modified : /trunk/src/emu/cpu/i8089/i8089.c
Modified : /trunk/src/emu/cpu/i8089/i8089.h
Modified : /trunk/src/emu/cpu/i8089/i8089_channel.c
Modified : /trunk/src/emu/cpu/i8089/i8089_channel.h
Modified : /trunk/src/emu/cpu/i8089/i8089_dasm.c
Modified : /trunk/src/emu/cpu/i8089/i8089_ops.c
Modified : /trunk/src/emu/machine/74145.c
Modified : /trunk/src/emu/machine/74145.h
Modified : /trunk/src/emu/machine/ctronics.c
Modified : /trunk/src/emu/machine/ctronics.h
Modified : /trunk/src/emu/machine/ins8154.c
Modified : /trunk/src/emu/machine/ins8154.h
Modified : /trunk/src/emu/machine/ram.c
Modified : /trunk/src/emu/machine/ram.h
Modified : /trunk/src/emu/video/dl1416.c
Modified : /trunk/src/emu/video/dl1416.h
Modified : /trunk/src/mess/drivers/aim65_40.c
Modified : /trunk/src/mess/drivers/apricot.c
Modified : /trunk/src/mess/drivers/astrocde.c
Modified : /trunk/src/mess/drivers/ct486.c
Modified : /trunk/src/mess/drivers/einstein.c
Modified : /trunk/src/mess/drivers/ex800.c
Modified : /trunk/src/mess/drivers/lx800.c
Modified : /trunk/src/mess/drivers/mc10.c
Modified : /trunk/src/mess/drivers/mtx.c
Modified : /trunk/src/mess/drivers/mz700.c
Modified : /trunk/src/mess/drivers/nascom1.c
Modified : /trunk/src/mess/drivers/px4.c
Modified : /trunk/src/mess/drivers/samcoupe.c
Modified : /trunk/src/mess/drivers/sym1.c
Modified : /trunk/src/mess/drivers/vtech1.c
Deleted : /trunk/src/mess/includes/aim65_40.h
Modified : /trunk/src/mess/includes/einstein.h
Modified : /trunk/src/mess/includes/mtx.h
Modified : /trunk/src/mess/includes/mz700.h
Modified : /trunk/src/mess/includes/nascom1.h
Deleted : /trunk/src/mess/includes/sym1.h
Modified : /trunk/src/mess/layout/acrnsys1.lay
Modified : /trunk/src/mess/layout/aim65.lay
Modified : /trunk/src/mess/layout/aim65_40.lay
Modified : /trunk/src/mess/layout/ex800.lay
Modified : /trunk/src/mess/layout/lx800.lay
Modified : /trunk/src/mess/layout/px4.lay
Modified : /trunk/src/mess/machine/cs4031.c
Modified : /trunk/src/mess/machine/cs4031.h
Modified : /trunk/src/mess/machine/e05a03.c
Modified : /trunk/src/mess/machine/e05a03.h
Modified : /trunk/src/mess/machine/einstein.c
Modified : /trunk/src/mess/machine/epson_sio.c
Modified : /trunk/src/mess/machine/epson_sio.h
Modified : /trunk/src/mess/machine/isa_cards.c
Modified : /trunk/src/mess/machine/isa_cards.h
Modified : /trunk/src/mess/machine/mtx.c
Modified : /trunk/src/mess/machine/mz700.c
Modified : /trunk/src/mess/machine/nascom1.c
Modified : /trunk/src/mess/machine/pf10.c
Modified : /trunk/src/mess/machine/pf10.h
Modified : /trunk/src/mess/machine/samcoupe.c
Deleted : /trunk/src/mess/machine/sym1.c
Modified : /trunk/src/mess/machine/tf20.c
Modified : /trunk/src/mess/machine/tf20.h
Modified : /trunk/src/mess/mess.mak
Modified : /trunk/src/mess/video/samcoupe.c

Revision: 25707
Author: robbbert
Date: 17 October 2013 11:47:33
Message:
overlooked this one yesterday
----
Modified : /trunk/src/mess/drivers/ravens.c

Revision: 25706
Author: robbbert
Date: 17 October 2013 11:30:20
Message:
(MESS) pipbug : fixed quickload regression
----
Modified : /trunk/src/mess/drivers/pipbug.c

Revision: 25705
Author: barryrod
Date: 17 October 2013 10:03:27
Message:
wpc_dot: added a few extra keys so that games can be started. (no whatsnew)
----
Modified : /trunk/src/mame/drivers/wpc_dot.c

Revision: 25704
Author: robbbert
Date: 17 October 2013 09:26:24
Message:
I also worked on this.
----
Modified : /trunk/src/mame/drivers/jaguar.c

Revision: 25703
Author: barryrod
Date: 17 October 2013 07:54:01
Message:
wpc_dot: improved DMD a touch.
----
Modified : /trunk/src/mame/drivers/wpc_dot.c
Modified : /trunk/src/mame/machine/wpc.c

Revision: 25702
Author: barryrod
Date: 17 October 2013 03:08:58
Message:
wpc_dot: Made a start on the DMD.  Still needs work.
----
Modified : /trunk/src/mame/drivers/wpc_an.c
Modified : /trunk/src/mame/drivers/wpc_dot.c
Modified : /trunk/src/mame/machine/wpc.c
Modified : /trunk/src/mame/machine/wpc.h

Revision: 25701
Author: angelosa
Date: 17 October 2013 01:00:09
Message:
And this one, too
----
Modified : /trunk/src/emu/machine/seibu_cop.c

Revision: 25700
Author: angelosa
Date: 17 October 2013 00:58:54
Message:
Bunch of copyright changes, of course I'm missing some more too
----
Modified : /trunk/src/emu/machine/rtc9701.c
Modified : /trunk/src/emu/video/h63484.c
Modified : /trunk/src/emu/video/upd7220.c
Modified : /trunk/src/mess/drivers/a5105.c
Modified : /trunk/src/mess/drivers/pce.c
Modified : /trunk/src/mess/drivers/x1twin.c

Revision: 25699
Author: rbelmont
Date: 17 October 2013 00:42:15
Message:
(MESS) aha1542: apply license header requested by author (nw)

----
Modified : /trunk/src/mess/machine/isa_aha1542.c

Revision: 25698
Author: hap
Date: 16 October 2013 22:26:11
Message:
this one is by Kale
----
Modified : /trunk/src/mame/drivers/cmmb.c

Revision: 25697
Author: hap
Date: 16 October 2013 22:25:24
Message:
some credit tags
----
Modified : /trunk/src/mame/drivers/deshoros.c
Modified : /trunk/src/mame/drivers/mlanding.c

Revision: 25696
Author: hap
Date: 16 October 2013 22:20:07
Message:
license tag
----
Modified : /trunk/src/mame/drivers/kungfur.c

Revision: 25695
Author: hap
Date: 16 October 2013 22:12:34
Message:
tag files that are (mostly) by me
----
Modified : /trunk/src/emu/machine/7200fifo.c
Modified : /trunk/src/emu/machine/7200fifo.h
Modified : /trunk/src/emu/sound/i5000.c
Modified : /trunk/src/emu/sound/i5000.h
Modified : /trunk/src/emu/sound/tc8830f.c
Modified : /trunk/src/emu/sound/tc8830f.h
Modified : /trunk/src/mame/drivers/forte2.c
Modified : /trunk/src/mame/drivers/headonb.c
Modified : /trunk/src/mame/drivers/meyc8088.c
Modified : /trunk/src/mame/drivers/mw18w.c
Modified : /trunk/src/mame/drivers/unkhorse.c

Revision: 25694
Author: couriers
Date: 16 October 2013 21:59:29
Message:
Pong now uses the new analog monitor device.
- Cleanup code (at least a bit :-))
- Minor improvements
----
Modified : /trunk/src/emu/machine/net_lib.c
Modified : /trunk/src/emu/machine/netlist.c
Modified : /trunk/src/emu/machine/netlist.h
Modified : /trunk/src/mame/drivers/pong.c
Modified : /trunk/src/mame/mame.mak

Revision: 25693
Author: couriers
Date: 16 October 2013 21:53:19
Message:
Added a fixed frequency monitor emulation to src/emu/video.
This implementation takes an analog composite signal, extracts hsync, vsync and field information in addition to greyscale video. 
Currently needed for pong.
----
Added : /trunk/src/emu/video/fixfreq.c
Added : /trunk/src/emu/video/fixfreq.h
Modified : /trunk/src/emu/video/video.mak

Revision: 25692
Author: couriers
Date: 16 October 2013 21:38:48
Message:
Updated license tags
The 8257 used 8237 as a skeleton but ended up as a complete rewrite.
----
Modified : /trunk/src/emu/machine/8257dma.c
Modified : /trunk/src/emu/machine/8257dma.h

Revision: 25691
Author: jgevarya
Date: 16 October 2013 19:54:37
Message:
Vas Crabb, from Bannister Shoutbox: "...feel free to re-license my contributions as BSD. The files that I wrote from scratch would be eigccppc.h, eigccx86.h, rgbvmx.h, osxutils.*, and the Cocoa debugger."
----
Modified : /trunk/src/emu/eigccppc.h
Modified : /trunk/src/emu/eigccx86.h
Modified : /trunk/src/emu/video/rgbvmx.h
Modified : /trunk/src/osd/sdl/SDLMain_tmpl.h
Modified : /trunk/src/osd/sdl/SDLMain_tmpl.m
Modified : /trunk/src/osd/sdl/debugosx.h
Modified : /trunk/src/osd/sdl/debugosx.m
Modified : /trunk/src/osd/sdl/osxutils.h
Modified : /trunk/src/osd/sdl/osxutils.m

Revision: 25690
Author: michaelz
Date: 16 October 2013 19:30:16
Message:
ti99: Licensing

----
Modified : /trunk/src/emu/machine/tms9901.c
Modified : /trunk/src/emu/machine/tms9901.h
Modified : /trunk/src/emu/machine/tms9902.c
Modified : /trunk/src/emu/machine/tms9902.h
Modified : /trunk/src/mess/drivers/geneve.c
Modified : /trunk/src/mess/drivers/ti99_4p.c
Modified : /trunk/src/mess/drivers/ti99_4x.c
Modified : /trunk/src/mess/drivers/ti99_8.c
Modified : /trunk/src/mess/machine/ti99/bwg.c
Modified : /trunk/src/mess/machine/ti99/bwg.h
Modified : /trunk/src/mess/machine/ti99/datamux.c
Modified : /trunk/src/mess/machine/ti99/datamux.h
Modified : /trunk/src/mess/machine/ti99/evpc.c
Modified : /trunk/src/mess/machine/ti99/evpc.h
Modified : /trunk/src/mess/machine/ti99/genboard.c
Modified : /trunk/src/mess/machine/ti99/genboard.h
Modified : /trunk/src/mess/machine/ti99/grom.c
Modified : /trunk/src/mess/machine/ti99/grom.h
Modified : /trunk/src/mess/machine/ti99/gromport.c
Modified : /trunk/src/mess/machine/ti99/gromport.h
Modified : /trunk/src/mess/machine/ti99/handset.c
Modified : /trunk/src/mess/machine/ti99/handset.h
Modified : /trunk/src/mess/machine/ti99/hfdc.c
Modified : /trunk/src/mess/machine/ti99/hfdc.h
Modified : /trunk/src/mess/machine/ti99/horizon.c
Modified : /trunk/src/mess/machine/ti99/horizon.h
Modified : /trunk/src/mess/machine/ti99/hsgpl.c
Modified : /trunk/src/mess/machine/ti99/hsgpl.h
Modified : /trunk/src/mess/machine/ti99/joyport.c
Modified : /trunk/src/mess/machine/ti99/joyport.h
Modified : /trunk/src/mess/machine/ti99/mapper8.c
Modified : /trunk/src/mess/machine/ti99/mapper8.h
Modified : /trunk/src/mess/machine/ti99/mecmouse.c
Modified : /trunk/src/mess/machine/ti99/mecmouse.h
Modified : /trunk/src/mess/machine/ti99/memex.c
Modified : /trunk/src/mess/machine/ti99/memex.h
Modified : /trunk/src/mess/machine/ti99/myarcmem.c
Modified : /trunk/src/mess/machine/ti99/myarcmem.h
Modified : /trunk/src/mess/machine/ti99/p_code.c
Modified : /trunk/src/mess/machine/ti99/p_code.h
Modified : /trunk/src/mess/machine/ti99/peribox.c
Modified : /trunk/src/mess/machine/ti99/peribox.h
Modified : /trunk/src/mess/machine/ti99/samsmem.c
Modified : /trunk/src/mess/machine/ti99/samsmem.h
Modified : /trunk/src/mess/machine/ti99/spchsyn.c
Modified : /trunk/src/mess/machine/ti99/spchsyn.h
Modified : /trunk/src/mess/machine/ti99/speech8.c
Modified : /trunk/src/mess/machine/ti99/speech8.h
Modified : /trunk/src/mess/machine/ti99/ti32kmem.c
Modified : /trunk/src/mess/machine/ti99/ti32kmem.h
Modified : /trunk/src/mess/machine/ti99/ti99_hd.c
Modified : /trunk/src/mess/machine/ti99/ti99_hd.h
Modified : /trunk/src/mess/machine/ti99/ti99defs.h
Modified : /trunk/src/mess/machine/ti99/ti_fdc.c
Modified : /trunk/src/mess/machine/ti99/ti_fdc.h
Modified : /trunk/src/mess/machine/ti99/ti_rs232.c
Modified : /trunk/src/mess/machine/ti99/ti_rs232.h
Modified : /trunk/src/mess/machine/ti99/tn_ide.c
Modified : /trunk/src/mess/machine/ti99/tn_ide.h
Modified : /trunk/src/mess/machine/ti99/tn_usbsm.c
Modified : /trunk/src/mess/machine/ti99/tn_usbsm.h
Modified : /trunk/src/mess/machine/ti99/videowrp.c
Modified : /trunk/src/mess/machine/ti99/videowrp.h

Revision: 25689
Author: angelosa
Date: 16 October 2013 19:24:53
Message:
I've did work on this, I claim illegal to change the license like this ...
----
Modified : /trunk/src/mame/drivers/jaguar.c

Revision: 25688
Author: angelosa
Date: 16 October 2013 18:58:31
Message:
Removed old SCUDSP, not worth it anyway
----
Modified : /trunk/src/emu/machine/machine.mak
Modified : /trunk/src/emu/machine/saturn.c
Deleted : /trunk/src/emu/machine/scudsp.c
Deleted : /trunk/src/emu/machine/scudsp.h
Modified : /trunk/src/mame/drivers/3do.c
Modified : /trunk/src/mame/drivers/jaguar.c
Modified : /trunk/src/mame/drivers/legionna.c
Modified : /trunk/src/mame/drivers/raiden2.c
Modified : /trunk/src/mame/drivers/stv.c
Modified : /trunk/src/mess/drivers/saturn.c

Revision: 25687
Author: angelosa
Date: 16 October 2013 18:27:16
Message:
Another one
----
Modified : /trunk/src/emu/machine/stvcd.c

Revision: 25686
Author: mnaberez
Date: 16 October 2013 17:42:47
Message:
(MESS) hardbox: Add license tags. (nw)
----
Modified : /trunk/src/mess/machine/hardbox.c
Modified : /trunk/src/mess/machine/hardbox.h

Revision: 25685
Author: mnaberez
Date: 16 October 2013 17:34:59
Message:
(MESS) pet_rom.xml: Fix size of McTerm. (nw)
----
Modified : /trunk/hash/pet_rom.xml

Revision: 25684
Author: michaelz
Date: 16 October 2013 15:14:00
Message:
Keeping MAME license for orphan files.

----
Modified : /trunk/src/emu/cpu/tms9900/9900dasm.c
Modified : /trunk/src/emu/cpu/tms9900/99xxcore.h
Modified : /trunk/src/emu/cpu/tms9900/99xxstat.h
Modified : /trunk/src/emu/cpu/tms9900/ti990_10l.c
Modified : /trunk/src/emu/cpu/tms9900/tms9900l.c
Modified : /trunk/src/emu/cpu/tms9900/tms9900l.h
Modified : /trunk/src/emu/cpu/tms9900/tms9980al.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995l.c

Revision: 25683
Author: rbelmont
Date: 16 October 2013 14:51:55
Message:
sh2: license tags for DRC (nw)

----
Modified : /trunk/src/emu/cpu/sh2/sh2comn.c
Modified : /trunk/src/emu/cpu/sh2/sh2drc.c
Modified : /trunk/src/emu/cpu/sh2/sh2fe.c

Revision: 25682
Author: curtcode
Date: 16 October 2013 14:38:21
Message:
License tags. (nw)
----
Modified : /trunk/src/emu/cpu/cop400/cop400.c
Modified : /trunk/src/emu/cpu/cop400/cop400.h
Modified : /trunk/src/emu/cpu/cop400/cop400op.c
Modified : /trunk/src/emu/cpu/cop400/cop410ds.c
Modified : /trunk/src/emu/cpu/cop400/cop420ds.c
Modified : /trunk/src/emu/cpu/cop400/cop440ds.c
Modified : /trunk/src/emu/cpu/cosmac/cosdasm.c
Modified : /trunk/src/emu/cpu/cosmac/cosmac.c
Modified : /trunk/src/emu/cpu/cosmac/cosmac.h
Modified : /trunk/src/emu/dirtc.c
Modified : /trunk/src/emu/dirtc.h
Modified : /trunk/src/emu/machine/adc0808.c
Modified : /trunk/src/emu/machine/adc0808.h
Modified : /trunk/src/emu/machine/am9517a.c
Modified : /trunk/src/emu/machine/am9517a.h
Modified : /trunk/src/emu/machine/cdp1852.c
Modified : /trunk/src/emu/machine/cdp1852.h
Modified : /trunk/src/emu/machine/cdp1871.c
Modified : /trunk/src/emu/machine/cdp1871.h
Modified : /trunk/src/emu/machine/com8116.c
Modified : /trunk/src/emu/machine/com8116.h
Modified : /trunk/src/emu/machine/ds1302.c
Modified : /trunk/src/emu/machine/ds1302.h
Modified : /trunk/src/emu/machine/ds75160a.c
Modified : /trunk/src/emu/machine/ds75160a.h
Modified : /trunk/src/emu/machine/ds75161a.c
Modified : /trunk/src/emu/machine/ds75161a.h
Modified : /trunk/src/emu/machine/e0516.c
Modified : /trunk/src/emu/machine/e0516.h
Modified : /trunk/src/emu/machine/i8155.c
Modified : /trunk/src/emu/machine/i8155.h
Modified : /trunk/src/emu/machine/i8212.c
Modified : /trunk/src/emu/machine/i8212.h
Modified : /trunk/src/emu/machine/i8214.c
Modified : /trunk/src/emu/machine/i8214.h
Modified : /trunk/src/emu/machine/i8255.c
Modified : /trunk/src/emu/machine/i8255.h
Modified : /trunk/src/emu/machine/i8355.c
Modified : /trunk/src/emu/machine/i8355.h
Modified : /trunk/src/emu/machine/im6402.c
Modified : /trunk/src/emu/machine/im6402.h
Modified : /trunk/src/emu/machine/mc2661.c
Modified : /trunk/src/emu/machine/mc2661.h
Modified : /trunk/src/emu/machine/mc6852.c
Modified : /trunk/src/emu/machine/mc6852.h
Modified : /trunk/src/emu/machine/mc68901.c
Modified : /trunk/src/emu/machine/mc68901.h
Modified : /trunk/src/emu/machine/mccs1850.c
Modified : /trunk/src/emu/machine/mccs1850.h
Modified : /trunk/src/emu/machine/mm74c922.c
Modified : /trunk/src/emu/machine/mm74c922.h
Modified : /trunk/src/emu/machine/mos6526.c
Modified : /trunk/src/emu/machine/mos6526.h
Modified : /trunk/src/emu/machine/mos6529.c
Modified : /trunk/src/emu/machine/mos6529.h
Modified : /trunk/src/emu/machine/mos6551.c
Modified : /trunk/src/emu/machine/mos6551.h
Modified : /trunk/src/emu/machine/msm5832.c
Modified : /trunk/src/emu/machine/msm5832.h
Modified : /trunk/src/emu/machine/msm58321.c
Modified : /trunk/src/emu/machine/msm58321.h
Modified : /trunk/src/emu/machine/nmc9306.c
Modified : /trunk/src/emu/machine/nmc9306.h
Modified : /trunk/src/emu/machine/pla.c
Modified : /trunk/src/emu/machine/pla.h
Modified : /trunk/src/emu/machine/rp5c01.c
Modified : /trunk/src/emu/machine/rp5c01.h
Modified : /trunk/src/emu/machine/rp5c15.c
Modified : /trunk/src/emu/machine/rp5c15.h
Modified : /trunk/src/emu/machine/upd1990a.c
Modified : /trunk/src/emu/machine/upd1990a.h
Modified : /trunk/src/emu/machine/wd11c00_17.c
Modified : /trunk/src/emu/machine/wd11c00_17.h
Modified : /trunk/src/emu/machine/wd2010.c
Modified : /trunk/src/emu/machine/wd2010.h
Modified : /trunk/src/emu/machine/z80dart.c
Modified : /trunk/src/emu/machine/z80dart.h
Modified : /trunk/src/emu/machine/z80pio.c
Modified : /trunk/src/emu/machine/z80pio.h
Modified : /trunk/src/emu/machine/z80sti.c
Modified : /trunk/src/emu/machine/z80sti.h
Modified : /trunk/src/emu/machine/z8536.c
Modified : /trunk/src/emu/machine/z8536.h
Modified : /trunk/src/emu/sound/cdp1863.c
Modified : /trunk/src/emu/sound/cdp1863.h
Modified : /trunk/src/emu/sound/cdp1864.c
Modified : /trunk/src/emu/sound/cdp1864.h
Modified : /trunk/src/emu/sound/cdp1869.c
Modified : /trunk/src/emu/sound/cdp1869.h
Modified : /trunk/src/emu/sound/t6721a.c
Modified : /trunk/src/emu/sound/t6721a.h
Modified : /trunk/src/emu/video/cdp1861.c
Modified : /trunk/src/emu/video/cdp1861.h
Modified : /trunk/src/emu/video/cdp1862.c
Modified : /trunk/src/emu/video/cdp1862.h
Modified : /trunk/src/emu/video/crt9007.c
Modified : /trunk/src/emu/video/crt9007.h
Modified : /trunk/src/emu/video/crt9021.c
Modified : /trunk/src/emu/video/crt9021.h
Modified : /trunk/src/emu/video/crt9212.c
Modified : /trunk/src/emu/video/crt9212.h
Modified : /trunk/src/emu/video/dm9368.c
Modified : /trunk/src/emu/video/dm9368.h
Modified : /trunk/src/emu/video/hd61830.c
Modified : /trunk/src/emu/video/hd61830.h
Modified : /trunk/src/emu/video/i8275x.c
Modified : /trunk/src/emu/video/i8275x.h
Modified : /trunk/src/emu/video/msm6255.c
Modified : /trunk/src/emu/video/msm6255.h
Modified : /trunk/src/emu/video/saa5050.c
Modified : /trunk/src/emu/video/saa5050.h
Modified : /trunk/src/emu/video/sed1330.c
Modified : /trunk/src/emu/video/sed1330.h
Modified : /trunk/src/emu/video/upd3301.c
Modified : /trunk/src/emu/video/upd3301.h
Modified : /trunk/src/lib/formats/adam_dsk.c
Modified : /trunk/src/lib/formats/adam_dsk.h
Modified : /trunk/src/lib/formats/comx35_dsk.c
Modified : /trunk/src/lib/formats/comx35_dsk.h
Modified : /trunk/src/lib/formats/d64_dsk.c
Modified : /trunk/src/lib/formats/d64_dsk.h
Modified : /trunk/src/lib/formats/d67_dsk.c
Modified : /trunk/src/lib/formats/d67_dsk.h
Modified : /trunk/src/lib/formats/d80_dsk.c
Modified : /trunk/src/lib/formats/d80_dsk.h
Modified : /trunk/src/lib/formats/d81_dsk.c
Modified : /trunk/src/lib/formats/d81_dsk.h
Modified : /trunk/src/lib/formats/ep64_dsk.c
Modified : /trunk/src/lib/formats/ep64_dsk.h
Modified : /trunk/src/lib/formats/g64_dsk.c
Modified : /trunk/src/lib/formats/g64_dsk.h
Modified : /trunk/src/lib/formats/sf7000_dsk.c
Modified : /trunk/src/lib/formats/sf7000_dsk.h
Modified : /trunk/src/lib/formats/tiki100_dsk.c
Modified : /trunk/src/lib/formats/tiki100_dsk.h
Modified : /trunk/src/mame/drivers/cidelsa.c
Modified : /trunk/src/mame/video/cidelsa.c
Modified : /trunk/src/mess/drivers/abc1600.c
Modified : /trunk/src/mess/drivers/abc80.c
Modified : /trunk/src/mess/drivers/abc80x.c
Modified : /trunk/src/mess/drivers/adam.c
Modified : /trunk/src/mess/drivers/atarist.c
Modified : /trunk/src/mess/drivers/beta.c
Modified : /trunk/src/mess/drivers/bullet.c
Modified : /trunk/src/mess/drivers/bw2.c
Modified : /trunk/src/mess/drivers/c128.c
Modified : /trunk/src/mess/drivers/c64.c
Modified : /trunk/src/mess/drivers/c64dtv.c
Modified : /trunk/src/mess/drivers/c80.c
Modified : /trunk/src/mess/drivers/cbm2.c
Modified : /trunk/src/mess/drivers/cgc7900.c
Modified : /trunk/src/mess/drivers/comx35.c
Modified : /trunk/src/mess/drivers/cosmicos.c
Modified : /trunk/src/mess/drivers/elf.c
Modified : /trunk/src/mess/drivers/ep64.c
Modified : /trunk/src/mess/drivers/eti660.c
Modified : /trunk/src/mess/drivers/exp85.c
Modified : /trunk/src/mess/drivers/huebler.c
Modified : /trunk/src/mess/drivers/hx20.c
Modified : /trunk/src/mess/drivers/kyocera.c
Modified : /trunk/src/mess/drivers/lc80.c
Modified : /trunk/src/mess/drivers/mc1000.c
Modified : /trunk/src/mess/drivers/microkit.c
Modified : /trunk/src/mess/drivers/mikromik.c
Modified : /trunk/src/mess/drivers/mpz80.c
Modified : /trunk/src/mess/drivers/newbrain.c
Modified : /trunk/src/mess/drivers/ob68k1a.c
Modified : /trunk/src/mess/drivers/pc1512.c
Modified : /trunk/src/mess/drivers/pc8001.c
Modified : /trunk/src/mess/drivers/pc8401a.c
Modified : /trunk/src/mess/drivers/pet.c
Modified : /trunk/src/mess/drivers/phc25.c
Modified : /trunk/src/mess/drivers/plus4.c
Modified : /trunk/src/mess/drivers/poly880.c
Modified : /trunk/src/mess/drivers/portfoli.c
Modified : /trunk/src/mess/drivers/prof180x.c
Modified : /trunk/src/mess/drivers/prof80.c
Modified : /trunk/src/mess/drivers/ql.c
Modified : /trunk/src/mess/drivers/sage2.c
Modified : /trunk/src/mess/drivers/sg1000.c
Modified : /trunk/src/mess/drivers/softbox.c
Modified : /trunk/src/mess/drivers/studio2.c
Modified : /trunk/src/mess/drivers/super6.c
Modified : /trunk/src/mess/drivers/superslave.c
Modified : /trunk/src/mess/drivers/tandy2k.c
Modified : /trunk/src/mess/drivers/tdv2324.c
Modified : /trunk/src/mess/drivers/tek405x.c
Modified : /trunk/src/mess/drivers/tek410x.c
Modified : /trunk/src/mess/drivers/test_t400.c
Modified : /trunk/src/mess/drivers/tiki100.c
Modified : /trunk/src/mess/drivers/tmc1800.c
Modified : /trunk/src/mess/drivers/tmc2000e.c
Modified : /trunk/src/mess/drivers/tmc600.c
Modified : /trunk/src/mess/drivers/trs80m2.c
Modified : /trunk/src/mess/drivers/v1050.c
Modified : /trunk/src/mess/drivers/vic10.c
Modified : /trunk/src/mess/drivers/vic20.c
Modified : /trunk/src/mess/drivers/victor9k.c
Modified : /trunk/src/mess/drivers/vidbrain.c
Modified : /trunk/src/mess/drivers/vip.c
Modified : /trunk/src/mess/drivers/vixen.c
Modified : /trunk/src/mess/drivers/wangpc.c
Modified : /trunk/src/mess/drivers/xerox820.c
Modified : /trunk/src/mess/drivers/xor100.c
Modified : /trunk/src/mess/includes/abc1600.h
Modified : /trunk/src/mess/includes/abc80.h
Modified : /trunk/src/mess/includes/abc80x.h
Modified : /trunk/src/mess/includes/adam.h
Modified : /trunk/src/mess/includes/atarist.h
Modified : /trunk/src/mess/includes/beta.h
Modified : /trunk/src/mess/includes/bullet.h
Modified : /trunk/src/mess/includes/bw2.h
Modified : /trunk/src/mess/includes/c128.h
Modified : /trunk/src/mess/includes/c64.h
Modified : /trunk/src/mess/includes/c80.h
Modified : /trunk/src/mess/includes/cbm2.h
Modified : /trunk/src/mess/includes/cgc7900.h
Modified : /trunk/src/mess/includes/comx35.h
Modified : /trunk/src/mess/includes/cosmicos.h
Modified : /trunk/src/mess/includes/elf.h
Modified : /trunk/src/mess/includes/ep64.h
Modified : /trunk/src/mess/includes/eti660.h
Modified : /trunk/src/mess/includes/exp85.h
Modified : /trunk/src/mess/includes/huebler.h
Modified : /trunk/src/mess/includes/kyocera.h
Modified : /trunk/src/mess/includes/lc80.h
Modified : /trunk/src/mess/includes/mc1000.h
Modified : /trunk/src/mess/includes/mikromik.h
Modified : /trunk/src/mess/includes/mpz80.h
Modified : /trunk/src/mess/includes/newbrain.h
Modified : /trunk/src/mess/includes/ob68k1a.h
Modified : /trunk/src/mess/includes/pc1512.h
Modified : /trunk/src/mess/includes/pc8001.h
Modified : /trunk/src/mess/includes/pc8401a.h
Modified : /trunk/src/mess/includes/pet.h
Modified : /trunk/src/mess/includes/phc25.h
Modified : /trunk/src/mess/includes/plus4.h
Modified : /trunk/src/mess/includes/poly880.h
Modified : /trunk/src/mess/includes/portfoli.h
Modified : /trunk/src/mess/includes/prof180x.h
Modified : /trunk/src/mess/includes/prof80.h
Modified : /trunk/src/mess/includes/ql.h
Modified : /trunk/src/mess/includes/sage2.h
Modified : /trunk/src/mess/includes/sg1000.h
Modified : /trunk/src/mess/includes/softbox.h
Modified : /trunk/src/mess/includes/studio2.h
Modified : /trunk/src/mess/includes/super6.h
Modified : /trunk/src/mess/includes/superslave.h
Modified : /trunk/src/mess/includes/tandy2k.h
Modified : /trunk/src/mess/includes/tek405x.h
Modified : /trunk/src/mess/includes/tiki100.h
Modified : /trunk/src/mess/includes/tmc1800.h
Modified : /trunk/src/mess/includes/tmc2000e.h
Modified : /trunk/src/mess/includes/tmc600.h
Modified : /trunk/src/mess/includes/trs80m2.h
Modified : /trunk/src/mess/includes/v1050.h
Modified : /trunk/src/mess/includes/vic10.h
Modified : /trunk/src/mess/includes/vic20.h
Modified : /trunk/src/mess/includes/victor9k.h
Modified : /trunk/src/mess/includes/vidbrain.h
Modified : /trunk/src/mess/includes/vip.h
Modified : /trunk/src/mess/includes/wangpc.h
Modified : /trunk/src/mess/includes/xerox820.h
Modified : /trunk/src/mess/includes/xor100.h
Modified : /trunk/src/mess/machine/64h156.c
Modified : /trunk/src/mess/machine/64h156.h
Modified : /trunk/src/mess/machine/abc1600_bus.c
Modified : /trunk/src/mess/machine/abc1600_bus.h
Modified : /trunk/src/mess/machine/abc1600mac.c
Modified : /trunk/src/mess/machine/abc1600mac.h
Modified : /trunk/src/mess/machine/abc77.c
Modified : /trunk/src/mess/machine/abc77.h
Modified : /trunk/src/mess/machine/abc800kb.c
Modified : /trunk/src/mess/machine/abc800kb.h
Modified : /trunk/src/mess/machine/abc80kb.c
Modified : /trunk/src/mess/machine/abc80kb.h
Modified : /trunk/src/mess/machine/abc830.c
Modified : /trunk/src/mess/machine/abc830.h
Modified : /trunk/src/mess/machine/abc890.c
Modified : /trunk/src/mess/machine/abc890.h
Modified : /trunk/src/mess/machine/abc99.c
Modified : /trunk/src/mess/machine/abc99.h
Modified : /trunk/src/mess/machine/abc_dos.c
Modified : /trunk/src/mess/machine/abc_dos.h
Modified : /trunk/src/mess/machine/abc_fd2.c
Modified : /trunk/src/mess/machine/abc_fd2.h
Modified : /trunk/src/mess/machine/abc_hdc.c
Modified : /trunk/src/mess/machine/abc_hdc.h
Modified : /trunk/src/mess/machine/abc_sio.c
Modified : /trunk/src/mess/machine/abc_sio.h
Modified : /trunk/src/mess/machine/abc_slutprov.c
Modified : /trunk/src/mess/machine/abc_slutprov.h
Modified : /trunk/src/mess/machine/abc_turbo.c
Modified : /trunk/src/mess/machine/abc_turbo.h
Modified : /trunk/src/mess/machine/abc_uni800.c
Modified : /trunk/src/mess/machine/abc_uni800.h
Modified : /trunk/src/mess/machine/abc_xebec.c
Modified : /trunk/src/mess/machine/abc_xebec.h
Modified : /trunk/src/mess/machine/abcbus.c
Modified : /trunk/src/mess/machine/abcbus.h
Modified : /trunk/src/mess/machine/abckb.c
Modified : /trunk/src/mess/machine/abckb.h
Modified : /trunk/src/mess/machine/adam_ddp.c
Modified : /trunk/src/mess/machine/adam_ddp.h
Modified : /trunk/src/mess/machine/adam_fdc.c
Modified : /trunk/src/mess/machine/adam_fdc.h
Modified : /trunk/src/mess/machine/adam_ide.c
Modified : /trunk/src/mess/machine/adam_ide.h
Modified : /trunk/src/mess/machine/adam_kb.c
Modified : /trunk/src/mess/machine/adam_kb.h
Modified : /trunk/src/mess/machine/adam_prn.c
Modified : /trunk/src/mess/machine/adam_prn.h
Modified : /trunk/src/mess/machine/adam_ram.c
Modified : /trunk/src/mess/machine/adam_ram.h
Modified : /trunk/src/mess/machine/adam_spi.c
Modified : /trunk/src/mess/machine/adam_spi.h
Modified : /trunk/src/mess/machine/adamexp.c
Modified : /trunk/src/mess/machine/adamexp.h
Modified : /trunk/src/mess/machine/adamlink.c
Modified : /trunk/src/mess/machine/adamlink.h
Modified : /trunk/src/mess/machine/adamnet.c
Modified : /trunk/src/mess/machine/adamnet.h
Modified : /trunk/src/mess/machine/bw2_ramcard.c
Modified : /trunk/src/mess/machine/bw2_ramcard.h
Modified : /trunk/src/mess/machine/bw2exp.c
Modified : /trunk/src/mess/machine/bw2exp.h
Modified : /trunk/src/mess/machine/c128_comal80.c
Modified : /trunk/src/mess/machine/c128_comal80.h
Modified : /trunk/src/mess/machine/c1541.c
Modified : /trunk/src/mess/machine/c1541.h
Modified : /trunk/src/mess/machine/c1551.c
Modified : /trunk/src/mess/machine/c1551.h
Modified : /trunk/src/mess/machine/c1571.c
Modified : /trunk/src/mess/machine/c1571.h
Modified : /trunk/src/mess/machine/c1581.c
Modified : /trunk/src/mess/machine/c1581.h
Modified : /trunk/src/mess/machine/c2031.c
Modified : /trunk/src/mess/machine/c2031.h
Modified : /trunk/src/mess/machine/c2040.c
Modified : /trunk/src/mess/machine/c2040.h
Modified : /trunk/src/mess/machine/c2n.c
Modified : /trunk/src/mess/machine/c2n.h
Modified : /trunk/src/mess/machine/c64/16kb.c
Modified : /trunk/src/mess/machine/c64/16kb.h
Modified : /trunk/src/mess/machine/c64/4cga.c
Modified : /trunk/src/mess/machine/c64/4cga.h
Modified : /trunk/src/mess/machine/c64/4dxh.c
Modified : /trunk/src/mess/machine/c64/4dxh.h
Modified : /trunk/src/mess/machine/c64/4ksa.c
Modified : /trunk/src/mess/machine/c64/4ksa.h
Modified : /trunk/src/mess/machine/c64/4tba.c
Modified : /trunk/src/mess/machine/c64/4tba.h
Modified : /trunk/src/mess/machine/c64/bn1541.c
Modified : /trunk/src/mess/machine/c64/bn1541.h
Modified : /trunk/src/mess/machine/c64/comal80.c
Modified : /trunk/src/mess/machine/c64/comal80.h
Modified : /trunk/src/mess/machine/c64/cpm.c
Modified : /trunk/src/mess/machine/c64/cpm.h
Modified : /trunk/src/mess/machine/c64/currah_speech.c
Modified : /trunk/src/mess/machine/c64/currah_speech.h
Modified : /trunk/src/mess/machine/c64/dela_ep256.c
Modified : /trunk/src/mess/machine/c64/dela_ep256.h
Modified : /trunk/src/mess/machine/c64/dela_ep64.c
Modified : /trunk/src/mess/machine/c64/dela_ep64.h
Modified : /trunk/src/mess/machine/c64/dela_ep7x8.c
Modified : /trunk/src/mess/machine/c64/dela_ep7x8.h
Modified : /trunk/src/mess/machine/c64/dinamic.c
Modified : /trunk/src/mess/machine/c64/dinamic.h
Modified : /trunk/src/mess/machine/c64/dqbb.c
Modified : /trunk/src/mess/machine/c64/dqbb.h
Modified : /trunk/src/mess/machine/c64/easy_calc_result.c
Modified : /trunk/src/mess/machine/c64/easy_calc_result.h
Modified : /trunk/src/mess/machine/c64/easyflash.c
Modified : /trunk/src/mess/machine/c64/easyflash.h
Modified : /trunk/src/mess/machine/c64/epyx_fast_load.c
Modified : /trunk/src/mess/machine/c64/epyx_fast_load.h
Modified : /trunk/src/mess/machine/c64/exos.c
Modified : /trunk/src/mess/machine/c64/exos.h
Modified : /trunk/src/mess/machine/c64/exp.c
Modified : /trunk/src/mess/machine/c64/exp.h
Modified : /trunk/src/mess/machine/c64/fcc.c
Modified : /trunk/src/mess/machine/c64/fcc.h
Modified : /trunk/src/mess/machine/c64/final.c
Modified : /trunk/src/mess/machine/c64/final.h
Modified : /trunk/src/mess/machine/c64/final3.c
Modified : /trunk/src/mess/machine/c64/final3.h
Modified : /trunk/src/mess/machine/c64/fun_play.c
Modified : /trunk/src/mess/machine/c64/fun_play.h
Modified : /trunk/src/mess/machine/c64/geocable.c
Modified : /trunk/src/mess/machine/c64/geocable.h
Modified : /trunk/src/mess/machine/c64/georam.c
Modified : /trunk/src/mess/machine/c64/georam.h
Modified : /trunk/src/mess/machine/c64/ide64.c
Modified : /trunk/src/mess/machine/c64/ide64.h
Modified : /trunk/src/mess/machine/c64/ieee488.c
Modified : /trunk/src/mess/machine/c64/ieee488.h
Modified : /trunk/src/mess/machine/c64/kingsoft.c
Modified : /trunk/src/mess/machine/c64/kingsoft.h
Modified : /trunk/src/mess/machine/c64/mach5.c
Modified : /trunk/src/mess/machine/c64/mach5.h
Modified : /trunk/src/mess/machine/c64/magic_desk.c
Modified : /trunk/src/mess/machine/c64/magic_desk.h
Modified : /trunk/src/mess/machine/c64/magic_formel.c
Modified : /trunk/src/mess/machine/c64/magic_formel.h
Modified : /trunk/src/mess/machine/c64/magic_voice.c
Modified : /trunk/src/mess/machine/c64/magic_voice.h
Modified : /trunk/src/mess/machine/c64/midi_maplin.c
Modified : /trunk/src/mess/machine/c64/midi_maplin.h
Modified : /trunk/src/mess/machine/c64/midi_namesoft.c
Modified : /trunk/src/mess/machine/c64/midi_namesoft.h
Modified : /trunk/src/mess/machine/c64/midi_passport.c
Modified : /trunk/src/mess/machine/c64/midi_passport.h
Modified : /trunk/src/mess/machine/c64/midi_sci.c
Modified : /trunk/src/mess/machine/c64/midi_sci.h
Modified : /trunk/src/mess/machine/c64/midi_siel.c
Modified : /trunk/src/mess/machine/c64/midi_siel.h
Modified : /trunk/src/mess/machine/c64/mikro_assembler.c
Modified : /trunk/src/mess/machine/c64/mikro_assembler.h
Modified : /trunk/src/mess/machine/c64/multiscreen.c
Modified : /trunk/src/mess/machine/c64/multiscreen.h
Modified : /trunk/src/mess/machine/c64/music64.c
Modified : /trunk/src/mess/machine/c64/music64.h
Modified : /trunk/src/mess/machine/c64/neoram.c
Modified : /trunk/src/mess/machine/c64/neoram.h
Modified : /trunk/src/mess/machine/c64/ocean.c
Modified : /trunk/src/mess/machine/c64/ocean.h
Modified : /trunk/src/mess/machine/c64/pagefox.c
Modified : /trunk/src/mess/machine/c64/pagefox.h
Modified : /trunk/src/mess/machine/c64/partner.c
Modified : /trunk/src/mess/machine/c64/partner.h
Modified : /trunk/src/mess/machine/c64/prophet64.c
Modified : /trunk/src/mess/machine/c64/prophet64.h
Modified : /trunk/src/mess/machine/c64/ps64.c
Modified : /trunk/src/mess/machine/c64/ps64.h
Modified : /trunk/src/mess/machine/c64/reu.c
Modified : /trunk/src/mess/machine/c64/reu.h
Modified : /trunk/src/mess/machine/c64/rex.c
Modified : /trunk/src/mess/machine/c64/rex.h
Modified : /trunk/src/mess/machine/c64/rex_ep256.c
Modified : /trunk/src/mess/machine/c64/rex_ep256.h
Modified : /trunk/src/mess/machine/c64/ross.c
Modified : /trunk/src/mess/machine/c64/ross.h
Modified : /trunk/src/mess/machine/c64/sfx_sound_expander.c
Modified : /trunk/src/mess/machine/c64/sfx_sound_expander.h
Modified : /trunk/src/mess/machine/c64/silverrock.c
Modified : /trunk/src/mess/machine/c64/silverrock.h
Modified : /trunk/src/mess/machine/c64/simons_basic.c
Modified : /trunk/src/mess/machine/c64/simons_basic.h
Modified : /trunk/src/mess/machine/c64/stardos.c
Modified : /trunk/src/mess/machine/c64/stardos.h
Modified : /trunk/src/mess/machine/c64/std.c
Modified : /trunk/src/mess/machine/c64/std.h
Modified : /trunk/src/mess/machine/c64/structured_basic.c
Modified : /trunk/src/mess/machine/c64/structured_basic.h
Modified : /trunk/src/mess/machine/c64/super_explode.c
Modified : /trunk/src/mess/machine/c64/super_explode.h
Modified : /trunk/src/mess/machine/c64/super_games.c
Modified : /trunk/src/mess/machine/c64/super_games.h
Modified : /trunk/src/mess/machine/c64/supercpu.c
Modified : /trunk/src/mess/machine/c64/supercpu.h
Modified : /trunk/src/mess/machine/c64/sw8k.c
Modified : /trunk/src/mess/machine/c64/sw8k.h
Modified : /trunk/src/mess/machine/c64/swiftlink.c
Modified : /trunk/src/mess/machine/c64/swiftlink.h
Modified : /trunk/src/mess/machine/c64/system3.c
Modified : /trunk/src/mess/machine/c64/system3.h
Modified : /trunk/src/mess/machine/c64/tdos.c
Modified : /trunk/src/mess/machine/c64/tdos.h
Modified : /trunk/src/mess/machine/c64/turbo232.c
Modified : /trunk/src/mess/machine/c64/turbo232.h
Modified : /trunk/src/mess/machine/c64/user.c
Modified : /trunk/src/mess/machine/c64/user.h
Modified : /trunk/src/mess/machine/c64/vic1011.c
Modified : /trunk/src/mess/machine/c64/vic1011.h
Modified : /trunk/src/mess/machine/c64/vizastar.c
Modified : /trunk/src/mess/machine/c64/vizastar.h
Modified : /trunk/src/mess/machine/c64/vw64.c
Modified : /trunk/src/mess/machine/c64/vw64.h
Modified : /trunk/src/mess/machine/c64/warp_speed.c
Modified : /trunk/src/mess/machine/c64/warp_speed.h
Modified : /trunk/src/mess/machine/c64/westermann.c
Modified : /trunk/src/mess/machine/c64/westermann.h
Modified : /trunk/src/mess/machine/c64/xl80.c
Modified : /trunk/src/mess/machine/c64/xl80.h
Modified : /trunk/src/mess/machine/c64/zaxxon.c
Modified : /trunk/src/mess/machine/c64/zaxxon.h
Modified : /trunk/src/mess/machine/c64_nl10.c
Modified : /trunk/src/mess/machine/c64_nl10.h
Modified : /trunk/src/mess/machine/c8280.c
Modified : /trunk/src/mess/machine/c8280.h
Modified : /trunk/src/mess/machine/cbm2_24k.c
Modified : /trunk/src/mess/machine/cbm2_24k.h
Modified : /trunk/src/mess/machine/cbm2_graphic.c
Modified : /trunk/src/mess/machine/cbm2_graphic.h
Modified : /trunk/src/mess/machine/cbm2_std.c
Modified : /trunk/src/mess/machine/cbm2_std.h
Modified : /trunk/src/mess/machine/cbm2exp.c
Modified : /trunk/src/mess/machine/cbm2exp.h
Modified : /trunk/src/mess/machine/cbm2user.c
Modified : /trunk/src/mess/machine/cbm2user.h
Modified : /trunk/src/mess/machine/cbm_crt.c
Modified : /trunk/src/mess/machine/cbm_crt.h
Modified : /trunk/src/mess/machine/cbmiec.c
Modified : /trunk/src/mess/machine/cbmiec.h
Modified : /trunk/src/mess/machine/cmdhd.c
Modified : /trunk/src/mess/machine/cmdhd.h
Modified : /trunk/src/mess/machine/compiskb.c
Modified : /trunk/src/mess/machine/compiskb.h
Modified : /trunk/src/mess/machine/comx_clm.c
Modified : /trunk/src/mess/machine/comx_clm.h
Modified : /trunk/src/mess/machine/comx_eb.c
Modified : /trunk/src/mess/machine/comx_eb.h
Modified : /trunk/src/mess/machine/comx_epr.c
Modified : /trunk/src/mess/machine/comx_epr.h
Modified : /trunk/src/mess/machine/comx_fd.c
Modified : /trunk/src/mess/machine/comx_fd.h
Modified : /trunk/src/mess/machine/comx_joy.c
Modified : /trunk/src/mess/machine/comx_joy.h
Modified : /trunk/src/mess/machine/comx_prn.c
Modified : /trunk/src/mess/machine/comx_prn.h
Modified : /trunk/src/mess/machine/comx_ram.c
Modified : /trunk/src/mess/machine/comx_ram.h
Modified : /trunk/src/mess/machine/comx_thm.c
Modified : /trunk/src/mess/machine/comx_thm.h
Modified : /trunk/src/mess/machine/comxexp.c
Modified : /trunk/src/mess/machine/comxexp.h
Modified : /trunk/src/mess/machine/comxpl80.c
Modified : /trunk/src/mess/machine/comxpl80.h
Modified : /trunk/src/mess/machine/d9060.c
Modified : /trunk/src/mess/machine/d9060.h
Modified : /trunk/src/mess/machine/diag264_lb_iec.c
Modified : /trunk/src/mess/machine/diag264_lb_iec.h
Modified : /trunk/src/mess/machine/diag264_lb_tape.c
Modified : /trunk/src/mess/machine/diag264_lb_tape.h
Modified : /trunk/src/mess/machine/diag264_lb_user.c
Modified : /trunk/src/mess/machine/diag264_lb_user.h
Modified : /trunk/src/mess/machine/e01.c
Modified : /trunk/src/mess/machine/e01.h
Modified : /trunk/src/mess/machine/ecb_grip.c
Modified : /trunk/src/mess/machine/ecb_grip.h
Modified : /trunk/src/mess/machine/ecbbus.c
Modified : /trunk/src/mess/machine/ecbbus.h
Modified : /trunk/src/mess/machine/econet.c
Modified : /trunk/src/mess/machine/econet.h
Modified : /trunk/src/mess/machine/ep64_exdos.c
Modified : /trunk/src/mess/machine/ep64_exdos.h
Modified : /trunk/src/mess/machine/ep64exp.c
Modified : /trunk/src/mess/machine/ep64exp.h
Modified : /trunk/src/mess/machine/fd2000.c
Modified : /trunk/src/mess/machine/fd2000.h
Modified : /trunk/src/mess/machine/ieee488.c
Modified : /trunk/src/mess/machine/ieee488.h
Modified : /trunk/src/mess/machine/imi5000h.c
Modified : /trunk/src/mess/machine/imi5000h.h
Modified : /trunk/src/mess/machine/interpod.c
Modified : /trunk/src/mess/machine/interpod.h
Modified : /trunk/src/mess/machine/isa_wd1002a_wx1.c
Modified : /trunk/src/mess/machine/isa_wd1002a_wx1.h
Modified : /trunk/src/mess/machine/isa_wdxt_gen.c
Modified : /trunk/src/mess/machine/isa_wdxt_gen.h
Modified : /trunk/src/mess/machine/kb_pc83.c
Modified : /trunk/src/mess/machine/kb_pc83.h
Modified : /trunk/src/mess/machine/kb_pcat84.c
Modified : /trunk/src/mess/machine/kb_pcat84.h
Modified : /trunk/src/mess/machine/kb_pcxt83.c
Modified : /trunk/src/mess/machine/kb_pcxt83.h
Modified : /trunk/src/mess/machine/lux10828.c
Modified : /trunk/src/mess/machine/lux10828.h
Modified : /trunk/src/mess/machine/lux21046.c
Modified : /trunk/src/mess/machine/lux21046.h
Modified : /trunk/src/mess/machine/lux4105.c
Modified : /trunk/src/mess/machine/lux4105.h
Modified : /trunk/src/mess/machine/mos6702.c
Modified : /trunk/src/mess/machine/mos6702.h
Modified : /trunk/src/mess/machine/mos8706.c
Modified : /trunk/src/mess/machine/mos8706.h
Modified : /trunk/src/mess/machine/mos8722.c
Modified : /trunk/src/mess/machine/mos8722.h
Modified : /trunk/src/mess/machine/mos8726.c
Modified : /trunk/src/mess/machine/mos8726.h
Modified : /trunk/src/mess/machine/pc1512kb.c
Modified : /trunk/src/mess/machine/pc1512kb.h
Modified : /trunk/src/mess/machine/pet_64k.c
Modified : /trunk/src/mess/machine/pet_64k.h
Modified : /trunk/src/mess/machine/petcass.c
Modified : /trunk/src/mess/machine/petcass.h
Modified : /trunk/src/mess/machine/petexp.c
Modified : /trunk/src/mess/machine/petexp.h
Modified : /trunk/src/mess/machine/petuser.c
Modified : /trunk/src/mess/machine/petuser.h
Modified : /trunk/src/mess/machine/plus4_sid.c
Modified : /trunk/src/mess/machine/plus4_sid.h
Modified : /trunk/src/mess/machine/plus4_std.c
Modified : /trunk/src/mess/machine/plus4_std.h
Modified : /trunk/src/mess/machine/plus4exp.c
Modified : /trunk/src/mess/machine/plus4exp.h
Modified : /trunk/src/mess/machine/plus4user.h
Modified : /trunk/src/mess/machine/s100.c
Modified : /trunk/src/mess/machine/s100.h
Modified : /trunk/src/mess/machine/s100_dj2db.c
Modified : /trunk/src/mess/machine/s100_dj2db.h
Modified : /trunk/src/mess/machine/s100_djdma.c
Modified : /trunk/src/mess/machine/s100_djdma.h
Modified : /trunk/src/mess/machine/s100_mm65k16s.c
Modified : /trunk/src/mess/machine/s100_mm65k16s.h
Modified : /trunk/src/mess/machine/s100_nsmdsa.c
Modified : /trunk/src/mess/machine/s100_nsmdsa.h
Modified : /trunk/src/mess/machine/s100_nsmdsad.c
Modified : /trunk/src/mess/machine/s100_nsmdsad.h
Modified : /trunk/src/mess/machine/s100_wunderbus.c
Modified : /trunk/src/mess/machine/s100_wunderbus.h
Modified : /trunk/src/mess/machine/s1410.c
Modified : /trunk/src/mess/machine/s1410.h
Modified : /trunk/src/mess/machine/serialbox.c
Modified : /trunk/src/mess/machine/serialbox.h
Modified : /trunk/src/mess/machine/shark.c
Modified : /trunk/src/mess/machine/shark.h
Modified : /trunk/src/mess/machine/softbox.c
Modified : /trunk/src/mess/machine/softbox.h
Modified : /trunk/src/mess/machine/superpet.c
Modified : /trunk/src/mess/machine/superpet.h
Modified : /trunk/src/mess/machine/tandy2kb.c
Modified : /trunk/src/mess/machine/tandy2kb.h
Modified : /trunk/src/mess/machine/trs80m2kb.c
Modified : /trunk/src/mess/machine/trs80m2kb.h
Modified : /trunk/src/mess/machine/v1050kb.c
Modified : /trunk/src/mess/machine/v1050kb.h
Modified : /trunk/src/mess/machine/vb_money_minder.c
Modified : /trunk/src/mess/machine/vb_money_minder.h
Modified : /trunk/src/mess/machine/vb_std.c
Modified : /trunk/src/mess/machine/vb_std.h
Modified : /trunk/src/mess/machine/vb_timeshare.c
Modified : /trunk/src/mess/machine/vb_timeshare.h
Modified : /trunk/src/mess/machine/vcs_joy.c
Modified : /trunk/src/mess/machine/vcs_joy.h
Modified : /trunk/src/mess/machine/vcs_lightpen.c
Modified : /trunk/src/mess/machine/vcs_lightpen.h
Modified : /trunk/src/mess/machine/vcs_paddles.c
Modified : /trunk/src/mess/machine/vcs_paddles.h
Modified : /trunk/src/mess/machine/vcsctrl.c
Modified : /trunk/src/mess/machine/vcsctrl.h
Modified : /trunk/src/mess/machine/vic1010.c
Modified : /trunk/src/mess/machine/vic1010.h
Modified : /trunk/src/mess/machine/vic1011.c
Modified : /trunk/src/mess/machine/vic1011.h
Modified : /trunk/src/mess/machine/vic10exp.c
Modified : /trunk/src/mess/machine/vic10exp.h
Modified : /trunk/src/mess/machine/vic10std.c
Modified : /trunk/src/mess/machine/vic10std.h
Modified : /trunk/src/mess/machine/vic1110.c
Modified : /trunk/src/mess/machine/vic1110.h
Modified : /trunk/src/mess/machine/vic1111.c
Modified : /trunk/src/mess/machine/vic1111.h
Modified : /trunk/src/mess/machine/vic1112.c
Modified : /trunk/src/mess/machine/vic1112.h
Modified : /trunk/src/mess/machine/vic1210.c
Modified : /trunk/src/mess/machine/vic1210.h
Modified : /trunk/src/mess/machine/vic20_megacart.c
Modified : /trunk/src/mess/machine/vic20_megacart.h
Modified : /trunk/src/mess/machine/vic20exp.c
Modified : /trunk/src/mess/machine/vic20exp.h
Modified : /trunk/src/mess/machine/vic20std.c
Modified : /trunk/src/mess/machine/vic20std.h
Modified : /trunk/src/mess/machine/vic20user.c
Modified : /trunk/src/mess/machine/vic20user.h
Modified : /trunk/src/mess/machine/victor9kb.c
Modified : /trunk/src/mess/machine/victor9kb.h
Modified : /trunk/src/mess/machine/vidbrain_exp.c
Modified : /trunk/src/mess/machine/vidbrain_exp.h
Modified : /trunk/src/mess/machine/vip_byteio.c
Modified : /trunk/src/mess/machine/vip_byteio.h
Modified : /trunk/src/mess/machine/vip_exp.c
Modified : /trunk/src/mess/machine/vip_exp.h
Modified : /trunk/src/mess/machine/vp550.c
Modified : /trunk/src/mess/machine/vp550.h
Modified : /trunk/src/mess/machine/vp570.c
Modified : /trunk/src/mess/machine/vp570.h
Modified : /trunk/src/mess/machine/vp575.c
Modified : /trunk/src/mess/machine/vp575.h
Modified : /trunk/src/mess/machine/vp585.c
Modified : /trunk/src/mess/machine/vp585.h
Modified : /trunk/src/mess/machine/vp590.c
Modified : /trunk/src/mess/machine/vp590.h
Modified : /trunk/src/mess/machine/vp595.c
Modified : /trunk/src/mess/machine/vp595.h
Modified : /trunk/src/mess/machine/vp620.c
Modified : /trunk/src/mess/machine/vp620.h
Modified : /trunk/src/mess/machine/vp700.c
Modified : /trunk/src/mess/machine/vp700.h
Modified : /trunk/src/mess/machine/wangpc_emb.c
Modified : /trunk/src/mess/machine/wangpc_emb.h
Modified : /trunk/src/mess/machine/wangpc_lic.c
Modified : /trunk/src/mess/machine/wangpc_lic.h
Modified : /trunk/src/mess/machine/wangpc_lvc.c
Modified : /trunk/src/mess/machine/wangpc_lvc.h
Modified : /trunk/src/mess/machine/wangpc_mcc.c
Modified : /trunk/src/mess/machine/wangpc_mcc.h
Modified : /trunk/src/mess/machine/wangpc_mvc.c
Modified : /trunk/src/mess/machine/wangpc_mvc.h
Modified : /trunk/src/mess/machine/wangpc_rtc.c
Modified : /trunk/src/mess/machine/wangpc_rtc.h
Modified : /trunk/src/mess/machine/wangpc_tig.c
Modified : /trunk/src/mess/machine/wangpc_tig.h
Modified : /trunk/src/mess/machine/wangpc_wdc.c
Modified : /trunk/src/mess/machine/wangpc_wdc.h
Modified : /trunk/src/mess/machine/wangpcbus.c
Modified : /trunk/src/mess/machine/wangpcbus.h
Modified : /trunk/src/mess/machine/wangpckb.c
Modified : /trunk/src/mess/machine/wangpckb.h
Modified : /trunk/src/mess/machine/zx8302.c
Modified : /trunk/src/mess/machine/zx8302.h
Modified : /trunk/src/mess/video/abc1600.c
Modified : /trunk/src/mess/video/abc1600.h
Modified : /trunk/src/mess/video/abc80.c
Modified : /trunk/src/mess/video/abc800.c
Modified : /trunk/src/mess/video/abc802.c
Modified : /trunk/src/mess/video/abc806.c
Modified : /trunk/src/mess/video/atarist.c
Modified : /trunk/src/mess/video/atarist.h
Modified : /trunk/src/mess/video/cgc7900.c
Modified : /trunk/src/mess/video/comx35.c
Modified : /trunk/src/mess/video/isa_pc1640_iga.c
Modified : /trunk/src/mess/video/isa_pc1640_iga.h
Modified : /trunk/src/mess/video/kyocera.c
Modified : /trunk/src/mess/video/mikromik.c
Modified : /trunk/src/mess/video/newbrain.c
Modified : /trunk/src/mess/video/pc1512.c
Modified : /trunk/src/mess/video/tmc1800.c
Modified : /trunk/src/mess/video/tmc600.c
Modified : /trunk/src/mess/video/uv201.c
Modified : /trunk/src/mess/video/uv201.h
Modified : /trunk/src/mess/video/v1050.c
Modified : /trunk/src/mess/video/zx8301.c
Modified : /trunk/src/mess/video/zx8301.h

Revision: 25681
Author: robbbert
Date: 16 October 2013 14:23:05
Message:
(MESS) binbug, cd2650 : fix quickload regression
----
Modified : /trunk/src/mess/drivers/binbug.c
Modified : /trunk/src/mess/drivers/cd2650.c

Revision: 25680
Author: robbbert
Date: 16 October 2013 14:07:06
Message:
(MESS) ravens : fixed quickload
----
Modified : /trunk/src/mess/drivers/ravens.c

Revision: 25679
Author: michaelz
Date: 16 October 2013 13:47:56
Message:
Licensing

----
Modified : /trunk/src/emu/cpu/tms9900/9900dasm.c
Modified : /trunk/src/emu/cpu/tms9900/99xxcore.h
Modified : /trunk/src/emu/cpu/tms9900/99xxstat.h
Modified : /trunk/src/emu/cpu/tms9900/ti990_10.c
Modified : /trunk/src/emu/cpu/tms9900/ti990_10l.c
Modified : /trunk/src/emu/cpu/tms9900/tms9900.c
Modified : /trunk/src/emu/cpu/tms9900/tms9900.h
Modified : /trunk/src/emu/cpu/tms9900/tms9900l.c
Modified : /trunk/src/emu/cpu/tms9900/tms9900l.h
Modified : /trunk/src/emu/cpu/tms9900/tms9980a.c
Modified : /trunk/src/emu/cpu/tms9900/tms9980a.h
Modified : /trunk/src/emu/cpu/tms9900/tms9980al.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.c
Modified : /trunk/src/emu/cpu/tms9900/tms9995.h
Modified : /trunk/src/emu/cpu/tms9900/tms9995l.c

Revision: 25678
Author: miodragm
Date: 16 October 2013 13:31:50
Message:
Marking some of my core files (nw)
----
Modified : /trunk/src/emu/cpu/i4004/4004dasm.c
Modified : /trunk/src/emu/cpu/i4004/i4004.c
Modified : /trunk/src/emu/cpu/i4004/i4004.h
Modified : /trunk/src/emu/cpu/i8008/8008dasm.c
Modified : /trunk/src/emu/cpu/i8008/i8008.c
Modified : /trunk/src/emu/cpu/i8008/i8008.h
Modified : /trunk/src/emu/cpu/pps4/pps4.c
Modified : /trunk/src/emu/cpu/pps4/pps4.h
Modified : /trunk/src/emu/cpu/pps4/pps4dasm.c
Modified : /trunk/src/emu/cpu/scmp/scmp.c
Modified : /trunk/src/emu/cpu/scmp/scmp.h
Modified : /trunk/src/emu/cpu/scmp/scmpdasm.c
Modified : /trunk/src/emu/dislot.c
Modified : /trunk/src/emu/dislot.h
Modified : /trunk/src/emu/luaengine.c
Modified : /trunk/src/emu/luaengine.h
Modified : /trunk/src/emu/webengine.c
Modified : /trunk/src/emu/webengine.h
Modified : /trunk/src/mess/tools/castool/main.c
Modified : /trunk/src/mess/tools/floptool/main.c

Revision: 25677
Author: angelosa
Date: 16 October 2013 12:58:03
Message:
Bunch of clear ?, nw
----
Modified : /trunk/src/mess/drivers/mycom.c
Modified : /trunk/src/mess/drivers/rx78.c

Revision: 25676
Author: robbbert
Date: 16 October 2013 12:43:41
Message:
removed stray comma from last commit
----
Modified : /trunk/src/mess/drivers/plan80.c

Revision: 25675
Author: robbbert
Date: 16 October 2013 12:23:28
Message:
(MESS) Added copyright info - feel free to update as needed
----
Modified : /trunk/src/mess/drivers/68ksbc.c
Modified : /trunk/src/mess/drivers/a6809.c
Modified : /trunk/src/mess/drivers/ace.c
Modified : /trunk/src/mess/drivers/acrnsys1.c
Modified : /trunk/src/mess/drivers/aim65.c
Modified : /trunk/src/mess/drivers/alphatro.c
Modified : /trunk/src/mess/drivers/altair.c
Modified : /trunk/src/mess/drivers/altos5.c
Modified : /trunk/src/mess/drivers/ampro.c
Modified : /trunk/src/mess/drivers/apexc.c
Modified : /trunk/src/mess/drivers/applix.c
Modified : /trunk/src/mess/drivers/argo.c
Modified : /trunk/src/mess/drivers/attache.c
Modified : /trunk/src/mess/drivers/babbage.c
Modified : /trunk/src/mess/drivers/basic52.c
Modified : /trunk/src/mess/drivers/bbcbc.c
Modified : /trunk/src/mess/drivers/bcs3.c
Modified : /trunk/src/mess/drivers/beehive.c
Modified : /trunk/src/mess/drivers/bigbord2.c
Modified : /trunk/src/mess/drivers/binbug.c
Modified : /trunk/src/mess/drivers/br8641.c
Modified : /trunk/src/mess/drivers/camplynx.c
Modified : /trunk/src/mess/drivers/ccs2810.c
Modified : /trunk/src/mess/drivers/ccs300.c
Modified : /trunk/src/mess/drivers/cd2650.c
Modified : /trunk/src/mess/drivers/chaos.c
Modified : /trunk/src/mess/drivers/cm1800.c
Modified : /trunk/src/mess/drivers/codata.c
Modified : /trunk/src/mess/drivers/cortex.c
Modified : /trunk/src/mess/drivers/craft.c
Modified : /trunk/src/mess/drivers/cvicny.c
Modified : /trunk/src/mess/drivers/czk80.c
Modified : /trunk/src/mess/drivers/d6800.c
Modified : /trunk/src/mess/drivers/d6809.c
Modified : /trunk/src/mess/drivers/dim68k.c
Modified : /trunk/src/mess/drivers/dolphunk.c
Modified : /trunk/src/mess/drivers/dps1.c
Modified : /trunk/src/mess/drivers/dsb46.c
Modified : /trunk/src/mess/drivers/eacc.c
Modified : /trunk/src/mess/drivers/elekscmp.c
Modified : /trunk/src/mess/drivers/evmbug.c
Modified : /trunk/src/mess/drivers/ex800.c
Modified : /trunk/src/mess/drivers/ft68m.c
Modified : /trunk/src/mess/drivers/gamecom.c
Modified : /trunk/src/mess/drivers/grfd2301.c
Modified : /trunk/src/mess/drivers/h8.c
Modified : /trunk/src/mess/drivers/homelab.c
Modified : /trunk/src/mess/drivers/hpz80unk.c
Modified : /trunk/src/mess/drivers/ibm6580.c
Modified : /trunk/src/mess/drivers/imds.c
Modified : /trunk/src/mess/drivers/imsai.c
Modified : /trunk/src/mess/drivers/instruct.c
Modified : /trunk/src/mess/drivers/ipc.c
Modified : /trunk/src/mess/drivers/isbc.c
Modified : /trunk/src/mess/drivers/jade.c
Modified : /trunk/src/mess/drivers/jonos.c
Modified : /trunk/src/mess/drivers/k8915.c
Modified : /trunk/src/mess/drivers/kaypro.c
Modified : /trunk/src/mess/drivers/konin.c
Modified : /trunk/src/mess/drivers/lcmate2.c
Modified : /trunk/src/mess/drivers/lft.c
Modified : /trunk/src/mess/drivers/llc.c
Modified : /trunk/src/mess/drivers/lola8a.c
Modified : /trunk/src/mess/drivers/mbee.c
Modified : /trunk/src/mess/drivers/mccpm.c
Modified : /trunk/src/mess/drivers/mekd2.c
Modified : /trunk/src/mess/drivers/mes.c
Modified : /trunk/src/mess/drivers/mice.c
Modified : /trunk/src/mess/drivers/mits680b.c
Modified : /trunk/src/mess/drivers/mmd1.c
Modified : /trunk/src/mess/drivers/modellot.c
Modified : /trunk/src/mess/drivers/ms9540.c
Modified : /trunk/src/mess/drivers/octopus.c
Modified : /trunk/src/mess/drivers/okean240.c
Modified : /trunk/src/mess/drivers/onyx.c
Modified : /trunk/src/mess/drivers/p112.c
Modified : /trunk/src/mess/drivers/pcm.c
Modified : /trunk/src/mess/drivers/pecom.c
Modified : /trunk/src/mess/drivers/pegasus.c
Modified : /trunk/src/mess/drivers/pencil2.c
Modified : /trunk/src/mess/drivers/pipbug.c
Modified : /trunk/src/mess/drivers/pk8000.c
Modified : /trunk/src/mess/drivers/plan80.c
Modified : /trunk/src/mess/drivers/pm68k.c
Modified : /trunk/src/mess/drivers/pmi80.c
Modified : /trunk/src/mess/drivers/poly.c
Modified : /trunk/src/mess/drivers/poly88.c
Modified : /trunk/src/mess/drivers/pp01.c
Modified : /trunk/src/mess/drivers/pt68k4.c
Modified : /trunk/src/mess/drivers/ptcsol.c
Modified : /trunk/src/mess/drivers/pyl601.c
Modified : /trunk/src/mess/drivers/qtsbc.c
Modified : /trunk/src/mess/drivers/sapi1.c
Modified : /trunk/src/mess/drivers/savia84.c
Modified : /trunk/src/mess/drivers/sbc6510.c
Modified : /trunk/src/mess/drivers/sdk85.c
Modified : /trunk/src/mess/drivers/sdk86.c
Modified : /trunk/src/mess/drivers/seattle.c
Modified : /trunk/src/mess/drivers/selz80.c
Modified : /trunk/src/mess/drivers/sitcom.c
Modified : /trunk/src/mess/drivers/slc1.c
Modified : /trunk/src/mess/drivers/sorcerer.c
Modified : /trunk/src/mess/drivers/super80.c
Modified : /trunk/src/mess/drivers/swtpc.c
Modified : /trunk/src/mess/drivers/tec1.c
Modified : /trunk/src/mess/drivers/tk80.c
Modified : /trunk/src/mess/drivers/tm990189.c
Modified : /trunk/src/mess/drivers/trs80.c
Modified : /trunk/src/mess/drivers/ts816.c
Modified : /trunk/src/mess/drivers/tv950.c
Modified : /trunk/src/mess/drivers/tx0.c
Modified : /trunk/src/mess/drivers/unior.c
Modified : /trunk/src/mess/drivers/univac.c
Modified : /trunk/src/mess/drivers/ut88.c
Modified : /trunk/src/mess/drivers/v6809.c
Modified : /trunk/src/mess/drivers/vc4000.c
Modified : /trunk/src/mess/drivers/vector06.c
Modified : /trunk/src/mess/drivers/vii.c
Modified : /trunk/src/mess/drivers/votrpss.c
Modified : /trunk/src/mess/drivers/vta2000.c
Modified : /trunk/src/mess/drivers/wicat.c
Modified : /trunk/src/mess/drivers/z1013.c
Modified : /trunk/src/mess/drivers/z80dev.c
Modified : /trunk/src/mess/drivers/z80ne.c
Modified : /trunk/src/mess/drivers/z9001.c
Modified : /trunk/src/mess/drivers/zexall.c
Modified : /trunk/src/mess/drivers/zorba.c
Modified : /trunk/src/mess/drivers/zrt80.c
Modified : /trunk/src/mess/drivers/zsbc3.c
Modified : /trunk/src/mess/drivers/zx.c

Revision: 25674
Author: aarongil
Date: 16 October 2013 10:38:09
Message:
Added license tags to a few more files. Also converted many of OG's
BSD licenses to tags since when he copied & pasted them he forgot to
remove one instance of my name, which I caught while searching. ;-)

----
Modified : /trunk/src/emu/cpu/asap/asapdasm.c
Modified : /trunk/src/emu/cpu/ccpu/ccpu.c
Modified : /trunk/src/emu/cpu/ccpu/ccpu.h
Modified : /trunk/src/emu/cpu/ccpu/ccpudasm.c
Modified : /trunk/src/emu/cpu/dsp32/dsp32dis.c
Modified : /trunk/src/emu/cpu/jaguar/jagdasm.c
Modified : /trunk/src/emu/cpu/jaguar/jaguar.c
Modified : /trunk/src/emu/cpu/jaguar/jaguar.h
Modified : /trunk/src/emu/cpu/m6805/6805dasm.c
Modified : /trunk/src/emu/cpu/mcs48/mcs48dsm.c
Modified : /trunk/src/emu/cpu/mips/mips3.c
Modified : /trunk/src/emu/cpu/mips/mips3dsm.c
Modified : /trunk/src/emu/cpu/mips/r3000.c
Modified : /trunk/src/emu/cpu/mips/r3000.h
Modified : /trunk/src/emu/cpu/mips/r3kdasm.c
Modified : /trunk/src/emu/cpu/t11/t11dasm.c
Modified : /trunk/src/emu/cpu/tms32031/dis32031.c
Modified : /trunk/src/emu/cpu/tms57002/57002dsm.c
Modified : /trunk/src/emu/cpu/tms57002/tms57002.c
Modified : /trunk/src/emu/cpu/tms57002/tms57002.h
Modified : /trunk/src/emu/cpu/tms57002/tms57kdec.c
Modified : /trunk/src/emu/diimage.c
Modified : /trunk/src/emu/diimage.h
Modified : /trunk/src/emu/machine/amigafdc.c
Modified : /trunk/src/emu/machine/smc91c9x.c
Modified : /trunk/src/emu/machine/smc91c9x.h
Modified : /trunk/src/emu/machine/wd_fdc.c
Modified : /trunk/src/emu/sound/dmadac.c
Modified : /trunk/src/emu/sound/dmadac.h
Modified : /trunk/src/emu/sound/es5506.c
Modified : /trunk/src/emu/sound/es5506.h
Modified : /trunk/src/emu/sound/msm5205.c
Modified : /trunk/src/emu/sound/ymz280b.c
Modified : /trunk/src/emu/sound/ymz280b.h
Modified : /trunk/src/lib/formats/a5105_dsk.c
Modified : /trunk/src/lib/formats/adam_dsk.c
Modified : /trunk/src/lib/formats/ami_dsk.c
Modified : /trunk/src/lib/formats/ap2_dsk.c
Modified : /trunk/src/lib/formats/ap_dsk35.c
Modified : /trunk/src/lib/formats/apollo_dsk.c
Modified : /trunk/src/lib/formats/applix_dsk.c
Modified : /trunk/src/lib/formats/asst128_dsk.c
Modified : /trunk/src/lib/formats/bw12_dsk.c
Modified : /trunk/src/lib/formats/bw2_dsk.c
Modified : /trunk/src/lib/formats/comx35_dsk.c
Modified : /trunk/src/lib/formats/cpis_dsk.c
Modified : /trunk/src/lib/formats/d64_dsk.c
Modified : /trunk/src/lib/formats/d67_dsk.c
Modified : /trunk/src/lib/formats/d80_dsk.c
Modified : /trunk/src/lib/formats/d81_dsk.c
Modified : /trunk/src/lib/formats/d88_dsk.c
Modified : /trunk/src/lib/formats/dfi_dsk.c
Modified : /trunk/src/lib/formats/dim_dsk.c
Modified : /trunk/src/lib/formats/ep64_dsk.c
Modified : /trunk/src/lib/formats/flopimg.c
Modified : /trunk/src/lib/formats/g64_dsk.c
Modified : /trunk/src/lib/formats/hxcmfm_dsk.c
Modified : /trunk/src/lib/formats/imd_dsk.c
Modified : /trunk/src/lib/formats/iq151_dsk.c
Modified : /trunk/src/lib/formats/kaypro_dsk.c
Modified : /trunk/src/lib/formats/kc85_dsk.c
Modified : /trunk/src/lib/formats/m20_dsk.c
Modified : /trunk/src/lib/formats/m5_dsk.c
Modified : /trunk/src/lib/formats/mbee_dsk.c
Modified : /trunk/src/lib/formats/mfi_dsk.c
Modified : /trunk/src/lib/formats/mm_dsk.c
Modified : /trunk/src/lib/formats/nanos_dsk.c
Modified : /trunk/src/lib/formats/pc98fdi_dsk.c
Modified : /trunk/src/lib/formats/pyldin_dsk.c
Modified : /trunk/src/lib/formats/sf7000_dsk.c
Modified : /trunk/src/lib/formats/smx_dsk.c
Modified : /trunk/src/lib/formats/st_dsk.c
Modified : /trunk/src/lib/formats/tiki100_dsk.c
Modified : /trunk/src/lib/formats/tvc_dsk.c
Modified : /trunk/src/lib/formats/upd765_dsk.c
Modified : /trunk/src/lib/formats/wd177x_dsk.c
Modified : /trunk/src/lib/formats/xdf_dsk.c
Modified : /trunk/src/mame/drivers/crgolf.c
Modified : /trunk/src/mame/drivers/seattle.c
Modified : /trunk/src/mame/drivers/vegas.c
Modified : /trunk/src/mame/machine/slapstic.c

Revision: 25673
Author: aarongil
Date: 16 October 2013 10:16:06
Message:
Based on memory and obvious stuff, attempted to flag driver code
with the appropriate license. If there are files in here that need
additional attribution or which I'm wrong about, let me know. I
deliberately skipped a lot of files I'm 95% sure I rewrote but
which had other names in the header, pending further investigation.

----
Modified : /trunk/src/mame/audio/cage.c
Modified : /trunk/src/mame/audio/cage.h
Modified : /trunk/src/mame/audio/cinemat.c
Modified : /trunk/src/mame/audio/cyberbal.c
Modified : /trunk/src/mame/audio/dcs.c
Modified : /trunk/src/mame/audio/dcs.h
Modified : /trunk/src/mame/audio/exidy.c
Modified : /trunk/src/mame/audio/exidy.h
Modified : /trunk/src/mame/audio/exidy440.c
Modified : /trunk/src/mame/audio/exidy440.h
Modified : /trunk/src/mame/audio/gridlee.c
Modified : /trunk/src/mame/audio/harddriv.c
Modified : /trunk/src/mame/audio/hitme.c
Modified : /trunk/src/mame/audio/jaguar.c
Modified : /trunk/src/mame/audio/leland.c
Modified : /trunk/src/mame/audio/midway.c
Modified : /trunk/src/mame/audio/namco52.c
Modified : /trunk/src/mame/audio/namco52.h
Modified : /trunk/src/mame/audio/namco54.c
Modified : /trunk/src/mame/audio/namco54.h
Modified : /trunk/src/mame/audio/segag80r.c
Modified : /trunk/src/mame/audio/segasnd.c
Modified : /trunk/src/mame/audio/segasnd.h
Modified : /trunk/src/mame/audio/turbo.c
Modified : /trunk/src/mame/drivers/alg.c
Modified : /trunk/src/mame/drivers/arcadecl.c
Modified : /trunk/src/mame/drivers/artmagic.c
Modified : /trunk/src/mame/drivers/atarig1.c
Modified : /trunk/src/mame/drivers/atarig42.c
Modified : /trunk/src/mame/drivers/atarigt.c
Modified : /trunk/src/mame/drivers/atarigx2.c
Modified : /trunk/src/mame/drivers/atarisy1.c
Modified : /trunk/src/mame/drivers/atarisy2.c
Modified : /trunk/src/mame/drivers/ataxx.c
Modified : /trunk/src/mame/drivers/badlands.c
Modified : /trunk/src/mame/drivers/balsente.c
Modified : /trunk/src/mame/drivers/batman.c
Modified : /trunk/src/mame/drivers/blstroid.c
Modified : /trunk/src/mame/drivers/btoads.c
Modified : /trunk/src/mame/drivers/cinemat.c
Modified : /trunk/src/mame/drivers/cliffhgr.c
Modified : /trunk/src/mame/drivers/coolpool.c
Modified : /trunk/src/mame/drivers/cyberbal.c
Modified : /trunk/src/mame/drivers/dcheese.c
Modified : /trunk/src/mame/drivers/dlair.c
Modified : /trunk/src/mame/drivers/dribling.c
Modified : /trunk/src/mame/drivers/eprom.c
Modified : /trunk/src/mame/drivers/exerion.c
Modified : /trunk/src/mame/drivers/exidy.c
Modified : /trunk/src/mame/drivers/exidy440.c
Modified : /trunk/src/mame/drivers/foodf.c
Modified : /trunk/src/mame/drivers/gaelco3d.c
Modified : /trunk/src/mame/drivers/galaxian.c
Modified : /trunk/src/mame/drivers/gauntlet.c
Modified : /trunk/src/mame/drivers/gridlee.c
Modified : /trunk/src/mame/drivers/harddriv.c
Modified : /trunk/src/mame/drivers/itech32.c
Modified : /trunk/src/mame/drivers/itech8.c
Modified : /trunk/src/mame/drivers/jaguar.c
Modified : /trunk/src/mame/drivers/kinst.c
Modified : /trunk/src/mame/drivers/klax.c
Modified : /trunk/src/mame/drivers/leland.c
Modified : /trunk/src/mame/drivers/lethalj.c
Modified : /trunk/src/mame/drivers/mcr.c
Modified : /trunk/src/mame/drivers/mcr3.c
Modified : /trunk/src/mame/drivers/mcr68.c
Modified : /trunk/src/mame/drivers/midvunit.c
Modified : /trunk/src/mame/drivers/midwunit.c
Modified : /trunk/src/mame/drivers/midxunit.c
Modified : /trunk/src/mame/drivers/midzeus.c
Modified : /trunk/src/mame/drivers/missile.c
Modified : /trunk/src/mame/drivers/offtwall.c
Modified : /trunk/src/mame/drivers/policetr.c
Modified : /trunk/src/mame/drivers/rampart.c
Modified : /trunk/src/mame/drivers/relief.c
Modified : /trunk/src/mame/drivers/rpunch.c
Modified : /trunk/src/mame/drivers/segag80r.c
Modified : /trunk/src/mame/drivers/segag80v.c
Modified : /trunk/src/mame/drivers/segas32.c
Modified : /trunk/src/mame/drivers/shuuz.c
Modified : /trunk/src/mame/drivers/skullxbo.c
Modified : /trunk/src/mame/drivers/suprridr.c
Modified : /trunk/src/mame/drivers/thunderj.c
Modified : /trunk/src/mame/drivers/tickee.c
Modified : /trunk/src/mame/drivers/toobin.c
Modified : /trunk/src/mame/drivers/victory.c
Modified : /trunk/src/mame/drivers/vindictr.c
Modified : /trunk/src/mame/drivers/xtheball.c
Modified : /trunk/src/mame/drivers/xybots.c
Modified : /trunk/src/mame/includes/arcadecl.h
Modified : /trunk/src/mame/includes/artmagic.h
Modified : /trunk/src/mame/includes/atarig1.h
Modified : /trunk/src/mame/includes/atarig42.h
Modified : /trunk/src/mame/includes/atarigt.h
Modified : /trunk/src/mame/includes/atarigx2.h
Modified : /trunk/src/mame/includes/atarisy1.h
Modified : /trunk/src/mame/includes/atarisy2.h
Modified : /trunk/src/mame/includes/badlands.h
Modified : /trunk/src/mame/includes/balsente.h
Modified : /trunk/src/mame/includes/batman.h
Modified : /trunk/src/mame/includes/blstroid.h
Modified : /trunk/src/mame/includes/btoads.h
Modified : /trunk/src/mame/includes/cinemat.h
Modified : /trunk/src/mame/includes/coolpool.h
Modified : /trunk/src/mame/includes/cyberbal.h
Modified : /trunk/src/mame/includes/dcheese.h
Modified : /trunk/src/mame/includes/dribling.h
Modified : /trunk/src/mame/includes/eprom.h
Modified : /trunk/src/mame/includes/exerion.h
Modified : /trunk/src/mame/includes/exidy.h
Modified : /trunk/src/mame/includes/exidy440.h
Modified : /trunk/src/mame/includes/foodf.h
Modified : /trunk/src/mame/includes/gaelco3d.h
Modified : /trunk/src/mame/includes/galaxian.h
Modified : /trunk/src/mame/includes/gauntlet.h
Modified : /trunk/src/mame/includes/gridlee.h
Modified : /trunk/src/mame/includes/harddriv.h
Modified : /trunk/src/mame/includes/itech32.h
Modified : /trunk/src/mame/includes/itech8.h
Modified : /trunk/src/mame/includes/jaguar.h
Modified : /trunk/src/mame/includes/klax.h
Modified : /trunk/src/mame/includes/leland.h
Modified : /trunk/src/mame/includes/lethalj.h
Modified : /trunk/src/mame/includes/mcr.h
Modified : /trunk/src/mame/includes/mcr3.h
Modified : /trunk/src/mame/includes/mcr68.h
Modified : /trunk/src/mame/includes/midvunit.h
Modified : /trunk/src/mame/includes/midwunit.h
Modified : /trunk/src/mame/includes/midxunit.h
Modified : /trunk/src/mame/includes/midzeus.h
Modified : /trunk/src/mame/includes/offtwall.h
Modified : /trunk/src/mame/includes/policetr.h
Modified : /trunk/src/mame/includes/rampart.h
Modified : /trunk/src/mame/includes/relief.h
Modified : /trunk/src/mame/includes/rpunch.h
